(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[    152594,       4489]
NotebookOptionsPosition[    108121,       3437]
NotebookOutlinePosition[    145187,       4218]
CellTagsIndexPosition[    145144,       4215]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {
    ButtonBox[Cell[GraphicsData["CompressedBitmap", "\<\
eJzVWL1uFDEQduzd2/wgISEkRHco0NGlAN0DAAXcC1CdIqSkQKAkokjDC9Aj
UoBESUt5LW9AR5UHiQ782fPtzXq9l70lKKLwrj3jmfHOfPaM98Xs5ODV69nJ
4f5s/PRo9vbgcP94/OTNkSe5DWPML9/ujA36v31XHlPz6ebuB7O3t2fMuv0t
9M3I/Dh5H3ps3x4/M9+fv6zCoAzsxcVF3TAuA8+Znx+/BBpGhdAwBj2O2rRR
eFYwUctTL8eFzNRyaMJ3YjBh2/BdpTk9PTXn5+dmsViY+XxuptOpnwzeKPRB
Aw8N8zzNBbYzZ2dngYwRRbQ6vEVlISIgQwwjm6EVmVXhDX5PE2CDhcWXPdSl
HynqSmHr1aHJR7vM4scRKpsSR8QMTv/64JH/1jYGSoktaXjruOJd/AV2iDtA
lLixsBCm9ULNTouNL4TH6Cl6Fv3okyrwQaOnMYdzc9hxSeQw12Jkg4oYIvof
TZyei4GTsFE/7WLslV1iqmqZ4rfobXGJbroHYjYwXQ0+rWYossoGQkCJCAMl
oo7BsgkCMN8liAIvpQ1BGWU/330Y59neKOs8m3Qw6HS6B85nYBj0NHgiExxu
dYgmk0mIHN45f+eOJpuENwY2HlqJ4U5bW5062sjTH6htc7cNh1Glkgo9z4OK
fYseMcCsVsfWP9FnJroK/OTm0e6Sti6SdIDUts05p1pxMulUU4RnTEM9DyWb
qAYUqk7VrqE6XVYq2zz4cssfDpHtRkQ1VBAZwse/04D9f0CxAhQmBsldubql
Eyhh2xeyqcFhHFcdJ71w0ql581rQMZKAEAEsivG2UpPiMFGoYaSuOxW1Kxpt
ncmUH2WX0HB1yo+5aVgWUiIIFVXrmpX5QJvTVdcyZ6yXR7rsXX1O2mmtnfU1
9Wlb9zSmqkbgdThAt8l2B/7cwCraJRimHGBga9CIEI87oo5CmZI6FYtT4p7Q
6/J2FLrK2oVSTDagMLSg1oW6ldk6NHJqgVQ2FKelas+Kt8vO9npqVhbOYbmR
W9Wz0dK1C67KJGTLNBQxw22PxlS1xEz/Gz3xpG/pTdyW9biNzT43/Corj/2h
z93kBwXzGiEku463W15+9eV4jRs+g+nPlrQcZSgkNCOBed+LvdJ8o4foykt8
1VoUf3SAFm9+rpECJc/tSGSZy9Bu9UxQ9/GUn0fjfy1zO+4M76F3w6Xj7Qpp
gm44vkxZs4zy22d3zdUUDcz7/m7GBdwaOseThreW6fMvz2z8AbMc9mc=\
\>"], "Graphics",
      Evaluatable->False,
      GeneratedCell->False,
      CellAutoOverwrite->False,
      ImageSize->{218, 23},
      ImageMargins->{{0, 0}, {0, 0}},
      ImageRegion->{{0, 1}, {0, 1}}],
     Active->True,
     Appearance->{Automatic, None},
     BaseStyle->"Hyperlink",
     ButtonData:>{
       URL["http://www.wolframscience.com"], None},
     ButtonNote->"A New Kind of Science"]}
  }]], "TitleCell1",
 CellMargins->{{Inherited, Inherited}, {0, Inherited}}],

Cell[TextData[{
 "From: ",
 StyleBox["A New Kind of Science",
  FontSlant->"Italic"],
 ", by Stephen Wolfram \[Copyright] 2002 Stephen Wolfram, LLC"
}], "Text",
 ShowCellBracket->False,
 CellMargins->{{36, Inherited}, {Inherited, 5}}],

Cell["NOTES FOR CHAPTER 6", "TitleHeader"],

Cell[CellGroupData[{

Cell["Starting from Randomness", "Title"],

Cell[CellGroupData[{

Cell["Four Classes of Behavior", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 249 \[CenterDot] Game of life", "Subsection"], Cell[
     " (page 949)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.5347923737976913`*^9, 3.5347923737976913`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LifeStep", "[", "a_List", "]"}], ":=", 
  RowBox[{"MapThread", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"#1", "==", "1"}], "&&", 
         RowBox[{"#2", "==", "4"}]}], "||", 
        RowBox[{"#2", "==", "3"}]}], ",", "1", ",", "0"}], "]"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{"RotateLeft", "[", 
         RowBox[{"a", ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "j"}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", 
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}], "}"}], ",", "2"}],
    "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LifeStep", "[", "a_List", "]"}], ":=", 
  RowBox[{"MapThread", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"#1", "==", "1"}], "&&", 
         RowBox[{"#2", "==", "4"}]}], "||", 
        RowBox[{"#2", "==", "3"}]}], ",", "1", ",", "0"}], "]"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{"RotateLeft", "[", 
         RowBox[{"a", ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "j"}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", 
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}], "}"}], ",", "2"}],
    "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"LifeStep", ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
        "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
        "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", "5"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.512996608589183*^9, 3.512996611286474*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "1", "1", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "1", "0", "1", "0", "0", "0", "0"},
    {"0", "0", "1", "0", "0", "1", "0", "0", "0", "0"},
    {"0", "0", "0", "1", "1", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "1", "0", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{
  3.413654379289521*^9, 3.428244531945673*^9, 3.432315298311607*^9, 
   3.500209907170923*^9, {3.512996611949361*^9, 3.512996615191523*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LifeStep", "[", "list_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"Array", "[", 
         RowBox[{"List", ",", 
          RowBox[{"{", 
           RowBox[{"3", ",", "3"}], "}"}], ",", 
          RowBox[{"-", "1"}]}], "]"}], ",", "1"}], "]"}]}], "}"}], ",", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"u", "=", 
        RowBox[{"Split", "[", 
         RowBox[{"Sort", "[", 
          RowBox[{"Flatten", "[", 
           RowBox[{
            RowBox[{"Outer", "[", 
             RowBox[{"Plus", ",", "list", ",", "p", ",", "1"}], "]"}], ",", 
            "1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"Union", "[", 
       RowBox[{
        RowBox[{"Cases", "[", 
         RowBox[{"u", ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x_", ",", "_", ",", "_"}], "}"}], "\[Rule]", "x"}]}], 
         "]"}], ",", 
        RowBox[{"Intersection", "[", 
         RowBox[{
          RowBox[{"Cases", "[", 
           RowBox[{"u", ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x_", ",", "_", ",", "_", ",", "_"}], "}"}], "\[Rule]", 
             "x"}]}], "]"}], ",", "list"}], "]"}]}], "]"}]}], "]"}]}], 
   "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LifeStep", "[", "list_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"Array", "[", 
         RowBox[{"List", ",", 
          RowBox[{"{", 
           RowBox[{"3", ",", "3"}], "}"}], ",", 
          RowBox[{"-", "1"}]}], "]"}], ",", "1"}], "]"}]}], "}"}], ",", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"u", "=", 
        RowBox[{"Split", "[", 
         RowBox[{"Sort", "[", 
          RowBox[{"Flatten", "[", 
           RowBox[{
            RowBox[{"Outer", "[", 
             RowBox[{"Plus", ",", "list", ",", "p", ",", "1"}], "]"}], ",", 
            "1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"Union", "[", 
       RowBox[{
        RowBox[{"Cases", "[", 
         RowBox[{"u", ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x_", ",", "_", ",", "_"}], "}"}], "\[Rule]", "x"}]}], 
         "]"}], ",", 
        RowBox[{"Intersection", "[", 
         RowBox[{
          RowBox[{"Cases", "[", 
           RowBox[{"u", ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x_", ",", "_", ",", "_", ",", "_"}], "}"}], "\[Rule]", 
             "x"}]}], "]"}], ",", "list"}], "]"}]}], "]"}]}], "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.432315206158745*^9, 3.432315206923402*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{"LifeStep", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "4"}], "}"}]}], "}"}], ",", "5"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "4"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413654379379389*^9, 3.4282445439849358`*^9, 
  3.432315298442712*^9, 3.500209912959177*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["3D class 4 rules", "Subsection"], Cell[" (page 949)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LifeStep3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p_", ",", "q_", ",", "r_"}], "}"}], ",", "a_List"}], "]"}], ":=", 
  RowBox[{"MapThread", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"#1", "==", "1"}], "&&", 
         RowBox[{"p", "\[LessEqual]", "#2", "\[LessEqual]", "q"}]}], "||", 
        RowBox[{"#2", "==", "r"}]}], ",", "1", ",", "0"}], "]"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"RotateLeft", "[", 
          RowBox[{"a", ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "j", ",", "k"}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], "-", "a"}]}], 
     "}"}], ",", "3"}], "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LifeStep3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p_", ",", "q_", ",", "r_"}], "}"}], ",", "a_List"}], "]"}], ":=", 
  RowBox[{"MapThread", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"#1", "==", "1"}], "&&", 
         RowBox[{"p", "\[LessEqual]", "#2", "\[LessEqual]", "q"}]}], "||", 
        RowBox[{"#2", "==", "r"}]}], ",", "1", ",", "0"}], "]"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"RotateLeft", "[", 
          RowBox[{"a", ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "j", ",", "k"}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], "-", "a"}]}], 
     "}"}], ",", "3"}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"LifeStep3D", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"4", ",", "5", ",", "5"}], "}"}], ",", "#"}], "]"}], "&"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
         "0"}], "}"}]}], "}"}]}], "}"}], ",", "7"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413654379462834*^9, 3.42824455763461*^9, 
  3.432315298545637*^9, 3.500209920695356*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Systems of Limited Size and Class 2 Behavior", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 260 \[CenterDot] Maximum periods", "Subsection"], Cell[
     " (page 950)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "[", 
   RowBox[{"m_", ",", "k_"}], "]"}], ":=", 
  RowBox[{
   SuperscriptBox["k", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "m"}]], "-", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"s", "[", 
         RowBox[{"#", ",", "k"}], "]"}], "&"}], ",", 
       RowBox[{"Drop", "[", 
        RowBox[{
         RowBox[{"Divisors", "[", "m", "]"}], ",", 
         RowBox[{"-", "1"}]}], "]"}]}], "]"}]}], "]"}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "[", 
   RowBox[{"m_", ",", "k_"}], "]"}], ":=", 
  RowBox[{
   SuperscriptBox["k", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "m"}]], "-", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"s", "[", 
         RowBox[{"#", ",", "k"}], "]"}], "&"}], ",", 
       RowBox[{"Drop", "[", 
        RowBox[{
         RowBox[{"Divisors", "[", "m", "]"}], ",", 
         RowBox[{"-", "1"}]}], "]"}]}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.4282445860770607`*^9, {3.4282446666470346`*^9, 3.428244674468803*^9}, {
   3.428246852535851*^9, 3.428246867902145*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"s", "[", 
  RowBox[{"5", ",", "2"}], "]"}]], "Input"],

Cell[BoxData["30"], "Output",
 CellChangeTimes->{
  3.413654379529521*^9, {3.428244582889463*^9, 3.428244589764065*^9}, {
   3.428244654409348*^9, 3.4282446698782997`*^9}, 3.428246398149638*^9, {
   3.4282468556043987`*^9, 3.428246870396872*^9}, 3.428246944263546*^9, 
   3.432315298624672*^9, 3.50020992744882*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "[", 
   RowBox[{"m_", ",", "k_"}], "]"}], ":=", 
  RowBox[{"Apply", "[", 
   RowBox[{"Plus", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"MoebiusMu", "[", 
         RowBox[{"m", "/", "#"}], "]"}], " ", 
        SuperscriptBox["k", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "#"}]]}], "&"}], ")"}], 
     "[", 
     RowBox[{"Divisors", "[", "m", "]"}], "]"}]}], "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "[", 
   RowBox[{"m_", ",", "k_"}], "]"}], ":=", 
  RowBox[{"Apply", "[", 
   RowBox[{"Plus", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"MoebiusMu", "[", 
         RowBox[{
         "m", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "#"}], 
         "]"}], " ", 
        SuperscriptBox["k", 
         RowBox[{"\[VeryThinSpace]", "#"}]]}], "&"}], ")"}], "[", 
     RowBox[{"Divisors", "[", "m", "]"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.432315225353032*^9, {3.5002099317399883`*^9, 3.500209932471489*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"s", "[", 
  RowBox[{"5", ",", "2"}], "]"}]], "Input"],

Cell[BoxData["30"], "Output",
 CellChangeTimes->{
  3.4136543796418543`*^9, {3.428246886597621*^9, 3.428246937520122*^9}, 
   3.432315298727268*^9, 3.5002099357853394`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Additive cellular automata", "Subsection"], Cell[
     " (page 951)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PolynomialMod", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", "x"}], ")"}], 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], " ", "z"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]], "-", "1"}], ",", 
     "2"}], "}"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"z", "=", 
         RowBox[{"FromDigits", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", "0"}], "}"}], ",",
            "x"}], "]"}]}], ",", 
        RowBox[{"t", "=", "i"}], ",", 
        RowBox[{"n", "=", "5"}]}], "}"}], ",", 
      RowBox[{"PolynomialMod", "[", 
       RowBox[{
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "x"}], ")"}], 
          RowBox[{"\[VeryThinSpace]", "t"}]], " ", "z"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           SuperscriptBox["x", 
            RowBox[{"\[VeryThinSpace]", "n"}]], "-", "1"}], ",", "2"}], 
         "}"}]}], "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "5"}], "}"}]}], "]"}], "//", 
  "Expand"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   SuperscriptBox["x", "2"], ",", 
   RowBox[{
    SuperscriptBox["x", "2"], "+", 
    SuperscriptBox["x", "3"]}], ",", 
   RowBox[{
    SuperscriptBox["x", "2"], "+", 
    SuperscriptBox["x", "4"]}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["x", "2"], "+", 
    SuperscriptBox["x", "3"], "+", 
    SuperscriptBox["x", "4"]}], ",", 
   RowBox[{"x", "+", 
    SuperscriptBox["x", "2"]}], ",", 
   RowBox[{"x", "+", 
    SuperscriptBox["x", "3"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.413654379698155*^9, 3.428246964493878*^9, 
  3.432315298789114*^9, 3.500209940368361*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"q", "[", "n", "]"}], "=", 
  RowBox[{
   RowBox[{"2", "^", 
    RowBox[{"MultiplicativeOrder", "[", 
     RowBox[{"2", ",", "n", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"-", "1"}]}], "}"}]}], "]"}]}], "-", "1"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"q", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"2", "^", 
     RowBox[{"MultiplicativeOrder", "[", 
      RowBox[{"2", ",", "n", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "]"}]}], "-", "1"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"q", "[", "n", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "3", ",", "50", ",", "2"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "3", ",", "7", ",", "7", ",", "31", ",", "63", ",", "15", ",", 
   "15", ",", "511", ",", "63", ",", "2047", ",", "1023", ",", "511", ",", 
   "16383", ",", "31", ",", "31", ",", "4095", ",", "262143", ",", "4095", 
   ",", "1023", ",", "127", ",", "4095", ",", "8388607", ",", "2097151"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4136543797802477`*^9, 3.428246975628654*^9, 
  3.432315298880808*^9, 3.500209945727153*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Randomness in Class 3 Systems", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Additive rules", "Subsection"], Cell[" (page 952)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Mod", "[", 
  RowBox[{
   RowBox[{"ListCorrelate", "[", 
    RowBox[{"w", ",", "list", ",", 
     RowBox[{"Ceiling", "[", 
      RowBox[{
       RowBox[{"Length", "[", "w", "]"}], "/", "2"}], "]"}]}], "]"}], ",", 
   "k"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"w", "=", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], ",", 
      RowBox[{"list", "=", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
         "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
      ",", 
      RowBox[{"k", "=", "2"}]}], "}"}], ",", 
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{"ListCorrelate", "[", 
          RowBox[{"w", ",", "#", ",", 
           RowBox[{"Ceiling", "[", 
            RowBox[{
             AdjustmentBox[
              RowBox[{"Length", "[", "w", "]"}],
              BoxMargins->{{0, -0.111111}, {0, 0}}], "/", 
             AdjustmentBox["2",
              BoxMargins->{{-0.222222, 0}, {0, 0}}]}], "]"}]}], "]"}], ",", 
         "k"}], "]"}], "&"}], ",", "list", ",", "6"}], "]"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5129966231860647`*^9, 3.5129966257045393`*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "0", "1", "0", "0", "0", "1", "0", "0", "0", "0"},
    {"0", "0", "0", "1", "0", "1", "0", "1", "0", "1", "0", "0", "0"},
    {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0"},
    {"0", "1", "0", "1", "0", "0", "0", "0", "0", "1", "0", "1", "0"},
    {"1", "0", "0", "0", "1", "0", "0", "0", "1", "0", "0", "0", "1"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.413654379896813*^9, 3.428246985088273*^9, 
  3.43231529893585*^9, 3.500209950635985*^9, 3.512996627074627*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Probabilistic estimates", "Subsection"], Cell[" (page 953)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"probs", "=", 
   RowBox[{"Apply", "[", 
    RowBox[{"Times", ",", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"IntegerDigits", "[", 
         RowBox[{
          RowBox[{"8", "-", "i"}], ",", "2", ",", "3"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "8"}], "}"}]}], "]"}], "/.", "\[InvisibleSpace]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", "p"}], ",", 
        RowBox[{"0", "\[Rule]", 
         RowBox[{"1", "-", "p"}]}]}], "}"}]}], ",", 
     RowBox[{"{", "1", "}"}]}], "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{"Simplify", "[", 
  RowBox[{"probs", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
   RowBox[{"IntegerDigits", "[", 
    RowBox[{"m", ",", "2", ",", "8"}], "]"}]}], "]"}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"m", "=", "22"}], ",", 
     RowBox[{"probs", "=", 
      RowBox[{"Apply", "[", 
       RowBox[{"Times", ",", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"IntegerDigits", "[", 
            RowBox[{
             RowBox[{"8", "-", "i"}], ",", "2", ",", "3"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "8"}], "}"}]}], "]"}], "/.", 
         "\[InvisibleSpace]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "\[Rule]", "p"}], ",", 
           RowBox[{"0", "\[Rule]", 
            RowBox[{"1", "-", "p"}]}]}], "}"}]}], ",", 
        RowBox[{"{", "1", "}"}]}], "]"}]}]}], "}"}], ",", 
   RowBox[{"Simplify", "[", 
    RowBox[{"probs", ".", 
     RowBox[{"IntegerDigits", "[", 
      RowBox[{"m", ",", "2", ",", "8"}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"3", " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "p"}], ")"}], "2"], " ", "p"}]], "Output",
 CellChangeTimes->{3.413654380007134*^9, 3.428246994225091*^9, 
  3.432315298982689*^9, 3.50020995532582*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Density in rule 90", "Subsection"], Cell[" (page 953)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "/", "2"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "p"}]}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"2", "^", 
       RowBox[{"DigitCount", "[", 
        RowBox[{"t", ",", "2", ",", "1"}], "]"}]}], ")"}]}]}], 
   ")"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "p"}]}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"2", "^", 
          RowBox[{"DigitCount", "[", 
           RowBox[{"t", ",", "2", ",", "1"}], "]"}]}], ")"}]}]}], ")"}]}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "4"}], "}"}]}], "]"}], "//", "Expand"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"2", " ", "p"}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["p", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "p"}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["p", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"4", " ", "p"}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["p", "2"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["p", "3"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["p", "4"]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "p"}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["p", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.413654380082654*^9, 3.4282470139418*^9, 
  3.432315299039983*^9, 3.500209959599803*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Special Initial Conditions", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Systems based on numbers", "Subsection"], Cell[" (page 955)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Select", "[", 
  RowBox[{
   RowBox[{"x", "/.", "\[InvisibleSpace]", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Nest", "[", 
        RowBox[{"f", ",", "x", ",", "p"}], "]"}], "==", "x"}], ",", "x"}], 
     "]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Im", "[", "#", "]"}], "==", "0"}], "&"}]}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Module", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", "=", "2"}], ",", "f"}], "}"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{"4", " ", "x", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}]}], ";", 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"x", "/.", "\[InvisibleSpace]", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Nest", "[", 
           RowBox[{"f", ",", "x", ",", "p"}], "]"}], "==", "x"}], ",", "x"}], 
        "]"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Im", "[", "#", "]"}], "==", "0"}], "&"}]}], "]"}]}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", 
   FractionBox["3", "4"], ",", 
   RowBox[{
    FractionBox["1", "8"], " ", 
    RowBox[{"(", 
     RowBox[{"5", "-", 
      SqrtBox["5"]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", "8"], " ", 
    RowBox[{"(", 
     RowBox[{"5", "+", 
      SqrtBox["5"]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.4136543802596292`*^9, 3.428247035275269*^9, 
  3.4323152990988083`*^9, 3.500209963404999*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Sarkovskii's theorem", "Subsection"], Cell[" (page 955)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"OrderedQ", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"MemberQ", "[", 
         RowBox[{
          RowBox[{"p", "/", "#"}], ",", "1"}], "]"}], ",", 
        RowBox[{"Map", "[", 
         RowBox[{"Reverse", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p", "/", "#"}], ",", "#"}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"#", ",", 
          RowBox[{"p", "/", "#"}]}], "}"}]}], "]"}], "]"}], "&"}], ")"}], "[", 
   RowBox[{"2", "^", 
    RowBox[{"IntegerExponent", "[", 
     RowBox[{"p", ",", "2"}], "]"}]}], "]"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"OrderedQ", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"MemberQ", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"m", ",", "n"}], "}"}], "/", "#"}], ",", "1"}], 
              "]"}], ",", 
             RowBox[{"Map", "[", 
              RowBox[{"Reverse", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"m", ",", "n"}], "}"}], "/", "#"}], ",", "#"}], 
                "}"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"m", ",", "n"}], "}"}], "/", "#"}]}], "}"}]}], "]"}],
            "]"}], "&"}], ")"}], "[", 
        RowBox[{"2", "^", 
         RowBox[{"IntegerExponent", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"m", ",", "n"}], "}"}], ",", "2"}], "]"}]}], "]"}], "]"}],
       ",", "1", ",", "0"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"m", ",", "1", ",", "20"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "1", ",", "20"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5129966344234657`*^9, 3.512996636911591*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0"},
    {"1", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0"},
    {"1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1"},
    {"1", "1", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0"},
    {"1", "1", "0", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1"},
    {"1", "1", "0", "1", "0", "1", "0", "1", "0", "1", "0", "1", "0", "1", 
     "0", "1", "0", "1", "0", "1"},
    {"1", "1", "0", "1", "0", "1", "1", "1", "1", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1"},
    {"1", "1", "0", "1", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0"},
    {"1", "1", "0", "1", "0", "1", "0", "1", "1", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1"},
    {"1", "1", "0", "1", "0", "0", "0", "1", "0", "1", "0", "1", "0", "1", 
     "0", "1", "0", "1", "0", "1"},
    {"1", "1", "0", "1", "0", "1", "0", "1", "0", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1"},
    {"1", "1", "0", "1", "0", "0", "0", "1", "0", "0", "0", "1", "0", "0", 
     "0", "1", "0", "0", "0", "1"},
    {"1", "1", "0", "1", "0", "1", "0", "1", "0", "1", "0", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1"},
    {"1", "1", "0", "1", "0", "0", "0", "1", "0", "0", "0", "1", "0", "1", 
     "0", "1", "0", "1", "0", "1"},
    {"1", "1", "0", "1", "0", "1", "0", "1", "0", "1", "0", "1", "0", "1", 
     "1", "1", "1", "1", "1", "1"},
    {"1", "1", "0", "1", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
     "0", "1", "0", "0", "0", "0"},
    {"1", "1", "0", "1", "0", "1", "0", "1", "0", "1", "0", "1", "0", "1", 
     "0", "1", "1", "1", "1", "1"},
    {"1", "1", "0", "1", "0", "0", "0", "1", "0", "0", "0", "1", "0", "0", 
     "0", "1", "0", "1", "0", "1"},
    {"1", "1", "0", "1", "0", "1", "0", "1", "0", "1", "0", "1", "0", "1", 
     "0", "1", "0", "1", "1", "1"},
    {"1", "1", "0", "1", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
     "0", "1", "0", "0", "0", "1"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.413654380458639*^9, 3.428247038266458*^9, 
  3.432315299158682*^9, 3.5002099677624483`*^9, 3.512996638369102*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Fractal dimensions", "Subsection"], Cell[" (page 955)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"w_", ",", "k_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"Apply", "[", 
   RowBox[{"Plus", ",", 
    RowBox[{"Sign", "[", 
     RowBox[{"NestList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{
          RowBox[{"ListCorrelate", "[", 
           RowBox[{"w", ",", "#", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "0"}], "]"}], ",", 
          "k"}], "]"}], "&"}], ",", 
       RowBox[{"{", "1", "}"}], ",", 
       RowBox[{"t", "-", "1"}]}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"w_", ",", "k_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"Apply", "[", 
   RowBox[{"Plus", ",", 
    RowBox[{"Sign", "[", 
     RowBox[{"NestList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{
          RowBox[{"ListCorrelate", "[", 
           RowBox[{"w", ",", "#", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "0"}], "]"}], ",", 
          "k"}], "]"}], "&"}], ",", 
       RowBox[{"{", "1", "}"}], ",", 
       RowBox[{"t", "-", "1"}]}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", "2", ",", "5"}], 
  "]"}]], "Input"],

Cell[BoxData["11"], "Output",
 CellChangeTimes->{3.41365438054456*^9, 3.428247059333523*^9, 
  3.432315299270591*^9, 3.500209977376438*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Log", "[", 
  RowBox[{"k", ",", 
   RowBox[{
    RowBox[{"g", "[", 
     RowBox[{"w", ",", "k", ",", 
      SuperscriptBox["k", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
        RowBox[{"m", "+", "1"}]}]]}], "]"}], "/", 
    RowBox[{"g", "[", 
     RowBox[{"w", ",", "k", ",", 
      SuperscriptBox["k", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "m"}]]}], "]"}]}]}], 
  "]"}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"w_", ",", "k_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"Apply", "[", 
   RowBox[{"Plus", ",", 
    RowBox[{"Sign", "[", 
     RowBox[{"NestList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{
          RowBox[{"ListCorrelate", "[", 
           RowBox[{"w", ",", "#", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "0"}], "]"}], ",", 
          "k"}], "]"}], "&"}], ",", 
       RowBox[{"{", "1", "}"}], ",", 
       RowBox[{"t", "-", "1"}]}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"w", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"k", "=", "2"}], ",", 
     RowBox[{"m", "=", "3"}]}], "}"}], ",", 
   RowBox[{"Log", "[", 
    RowBox[{"k", ",", 
     RowBox[{
      AdjustmentBox[
       RowBox[{"g", "[", 
        RowBox[{"w", ",", "k", ",", 
         SuperscriptBox["k", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
           RowBox[{"m", "+", "1"}]}]]}], "]"}],
       BoxMargins->{{0, -0.111111}, {0, 0}}], "/", 
      AdjustmentBox[
       RowBox[{"g", "[", 
        RowBox[{"w", ",", "k", ",", 
         SuperscriptBox["k", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "m"}]]}], "]"}],
       BoxMargins->{{-0.222222, 0}, {0, 0}}]}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{"Log", "[", "3", "]"}], 
  RowBox[{"Log", "[", "2", "]"}]]], "Output",
 CellChangeTimes->{3.4136543806589603`*^9, 3.428247069596548*^9, 
  3.4323152993371696`*^9, 3.5002099838040657`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"d", "[", 
    RowBox[{"w_", ",", 
     RowBox[{"k_", ":", "2"}]}], "]"}], ":=", 
   RowBox[{"Log", "[", 
    RowBox[{"k", ",", 
     RowBox[{"Max", "[", 
      RowBox[{"Abs", "[", 
       RowBox[{"Eigenvalues", "[", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"s", "=", 
            RowBox[{
             RowBox[{"Length", "[", "w", "]"}], "-", "1"}]}], "}"}], ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Map", "[", 
              RowBox[{
               RowBox[{"Function", "[", 
                RowBox[{"u", ",", 
                 RowBox[{"Map", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Count", "[", 
                    RowBox[{"u", ",", "#"}], "]"}], "&"}], ",", "#1"}], 
                  "]"}]}], "]"}], ",", 
               RowBox[{"Map", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Flatten", "[", 
                   RowBox[{
                    RowBox[{"Map", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"Take", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"k", "+", "s", "-", "1"}]}], "]"}], ",", "s", ",",
                     "1"}], "]"}], "&"}], ",", 
                    RowBox[{"NestList", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ListConvolve", "[", 
                    RowBox[{"w", ",", "#"}], "]"}], ",", "k"}], "]"}], "&"}], 
                    ",", "#", ",", 
                    RowBox[{"k", "-", "1"}]}], "]"}]}], "]"}], ",", "1"}], 
                   "]"}], "&"}], ",", 
                 RowBox[{"Map", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Map", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"k", "-", "1"}], "}"}]}], "]"}], ",", "#"}], 
                    "}"}], "&"}], ",", 
                    RowBox[{"Append", "[", 
                    RowBox[{"#", ",", "0"}], "]"}]}], "]"}], "]"}], "&"}], 
                   ",", "#"}], "]"}]}], "]"}]}], "]"}], "&"}], ")"}], "[", 
           RowBox[{"Array", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"IntegerDigits", "[", 
               RowBox[{"#", ",", "k", ",", "s"}], "]"}], "&"}], ",", 
             RowBox[{
              SuperscriptBox["k", 
               RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "s"}]], "-", 
              "1"}]}], "]"}], "]"}]}], "]"}], "]"}], "]"}], "]"}]}], "]"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "0", ",", "1", ",", "0"}], "}"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"2", ",", 
      RowBox[{"Root", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"4", "+", 
          RowBox[{"2", " ", "#"}], "-", 
          RowBox[{"2", " ", 
           SuperscriptBox["#", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "-", 
          RowBox[{"3", " ", 
           SuperscriptBox["#", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "3"}]]}], "+", 
          SuperscriptBox["#", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]]}], "&"}], ",", 
        "2"}], "]"}]}], "]"}], "\[TildeEqual]", "1.72"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "0", ",", "1", ",", "1"}], "}"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"2", ",", 
      RowBox[{"Root", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], "+", 
          RowBox[{"4", " ", "#"}], "+", 
          SuperscriptBox["#", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "-", 
          RowBox[{"4", " ", 
           SuperscriptBox["#", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "3"}]]}], "+", 
          SuperscriptBox["#", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]]}], "&"}], ",", 
        "2"}], "]"}]}], "]"}], "\[TildeEqual]", "1.8"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", "k"}], "]"}], "=", 
   RowBox[{"1", "+", 
    RowBox[{"Log", "[", 
     RowBox[{"k", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", "+", "1"}], ")"}], "/", "2"}]}], "]"}]}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", "3"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"3", ",", "6"}], "]"}], "\[TildeEqual]", "1.63"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", "5"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"5", ",", "19"}], "]"}], "\[TildeEqual]", "1.83"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", "7"}], "]"}], "=", 
  RowBox[{
   RowBox[{"Log", "[", 
    RowBox[{"7", ",", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"-", "27136"}], "+", 
         RowBox[{"23280", " ", "#"}], "-", 
         RowBox[{"7288", " ", 
          SuperscriptBox["#", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "+", 
         RowBox[{"1008", " ", 
          SuperscriptBox["#", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "3"}]]}], "-", 
         RowBox[{"59", " ", 
          SuperscriptBox["#", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]]}], "+", 
         SuperscriptBox["#", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "5"}]]}], "&"}], ",", 
       "1"}], "]"}]}], "]"}], "\[TildeEqual]", "1.85"}]}]}], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"d", "[", 
   RowBox[{"w_", ",", 
    RowBox[{"k_", ":", "2"}]}], "]"}], ":=", 
  RowBox[{"Log", "[", 
   RowBox[{"k", ",", 
    RowBox[{"Max", "[", "\[IndentingNewLine]", 
     RowBox[{"Abs", "[", 
      RowBox[{"Eigenvalues", "[", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"s", "=", 
           RowBox[{
            RowBox[{"Length", "[", "w", "]"}], "-", "1"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Map", "[", 
             RowBox[{
              RowBox[{"Function", "[", 
               RowBox[{"u", ",", 
                RowBox[{"Map", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Count", "[", 
                    RowBox[{"u", ",", "#"}], "]"}], "&"}], ",", "#1"}], 
                 "]"}]}], "]"}], ",", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Flatten", "[", 
                  RowBox[{
                   RowBox[{"Map", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"Take", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"k", "+", "s", "-", "1"}]}], "]"}], ",", "s", ",",
                     "1"}], "]"}], "&"}], ",", 
                    RowBox[{"NestList", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ListConvolve", "[", 
                    RowBox[{"w", ",", "#"}], "]"}], ",", "k"}], "]"}], "&"}], 
                    ",", "#", ",", 
                    RowBox[{"k", "-", "1"}]}], "]"}]}], "]"}], ",", "1"}], 
                  "]"}], "&"}], ",", 
                RowBox[{"Map", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Flatten", "[", 
                    RowBox[{"Map", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"k", "-", "1"}], "}"}]}], "]"}], ",", "#"}], 
                    "}"}], "&"}], ",", 
                    RowBox[{"Append", "[", 
                    RowBox[{"#", ",", "0"}], "]"}]}], "]"}], "]"}], "&"}], 
                  ",", "#"}], "]"}]}], "]"}]}], "]"}], "&"}], ")"}], "[", 
          RowBox[{"Array", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"IntegerDigits", "[", 
              RowBox[{"#", ",", "k", ",", "s"}], "]"}], "&"}], ",", 
            RowBox[{
             SuperscriptBox["k", 
              RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "s"}]], "-", 
             "1"}]}], "]"}], "]"}]}], "]"}], "]"}], "]"}], "]"}]}], 
   "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"k", "=", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"d", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0", ",", "1", ",", "0"}], "}"}], "]"}], 
       "//", "N"}], ",", 
      RowBox[{
       RowBox[{"d", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0", ",", "1", ",", "1"}], "}"}], "]"}], 
       "//", "N"}], ",", 
      RowBox[{"d", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", "k"}], "]"}], ",", 
      RowBox[{"d", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", "3"}], "]"}], ",", 
      RowBox[{"d", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", "5"}], "]"}], ",", 
      RowBox[{"d", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", "7"}], "]"}]}], 
     "}"}]}], "]"}], "//", "Quiet"}]], "Input",
 CellChangeTimes->{{3.41365468875389*^9, 3.413654692222134*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.7274509132400226`", ",", "1.7976835828816067`", ",", 
   FractionBox[
    RowBox[{"Log", "[", "3", "]"}], 
    RowBox[{"Log", "[", "2", "]"}]], ",", 
   FractionBox[
    RowBox[{"Log", "[", "6", "]"}], 
    RowBox[{"Log", "[", "3", "]"}]], ",", 
   FractionBox[
    RowBox[{"Log", "[", "19", "]"}], 
    RowBox[{"Log", "[", "5", "]"}]], ",", 
   FractionBox[
    RowBox[{"Log", "[", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"-", "27136"}], "+", 
         RowBox[{"23280", " ", "#1"}], "-", 
         RowBox[{"7288", " ", 
          SuperscriptBox["#1", "2"]}], "+", 
         RowBox[{"1008", " ", 
          SuperscriptBox["#1", "3"]}], "-", 
         RowBox[{"59", " ", 
          SuperscriptBox["#1", "4"]}], "+", 
         SuperscriptBox["#1", "5"]}], "&"}], ",", "1"}], "]"}], "]"}], 
    RowBox[{"Log", "[", "7", "]"}]]}], "}"}]], "Output",
 CellChangeTimes->{
  3.413654382981454*^9, {3.413654693758617*^9, 3.413654698027933*^9}, 
   3.428247101122974*^9, 3.4323153006163883`*^9, 3.500209991818692*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["General associative rules", "Subsection"], Cell[
     " (page 956)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Inner", "[", 
     RowBox[{"f", ",", 
      RowBox[{"Prepend", "[", 
       RowBox[{"#", ",", "0"}], "]"}], ",", 
      RowBox[{"Append", "[", 
       RowBox[{"#", ",", "0"}], "]"}], ",", "List"}], "]"}], "&"}], ",", 
   RowBox[{"{", "a", "}"}], ",", "t"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", "=", "3"}], "}"}], ",", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Inner", "[", 
       RowBox[{"f", ",", 
        RowBox[{"Prepend", "[", 
         RowBox[{"#", ",", "0"}], "]"}], ",", 
        RowBox[{"Append", "[", 
         RowBox[{"#", ",", "0"}], "]"}], ",", "List"}], "]"}], "&"}], ",", 
     RowBox[{"{", "a", "}"}], ",", "t"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "a", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"0", ",", "a"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"a", ",", "0"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"0", ",", 
       RowBox[{"f", "[", 
        RowBox[{"0", ",", "a"}], "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"0", ",", "a"}], "]"}], ",", 
       RowBox[{"f", "[", 
        RowBox[{"a", ",", "0"}], "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"a", ",", "0"}], "]"}], ",", "0"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"0", ",", 
       RowBox[{"f", "[", 
        RowBox[{"0", ",", 
         RowBox[{"f", "[", 
          RowBox[{"0", ",", "a"}], "]"}]}], "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"0", ",", 
         RowBox[{"f", "[", 
          RowBox[{"0", ",", "a"}], "]"}]}], "]"}], ",", 
       RowBox[{"f", "[", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{"0", ",", "a"}], "]"}], ",", 
         RowBox[{"f", "[", 
          RowBox[{"a", ",", "0"}], "]"}]}], "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{"0", ",", "a"}], "]"}], ",", 
         RowBox[{"f", "[", 
          RowBox[{"a", ",", "0"}], "]"}]}], "]"}], ",", 
       RowBox[{"f", "[", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{"a", ",", "0"}], "]"}], ",", "0"}], "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{"a", ",", "0"}], "]"}], ",", "0"}], "]"}], ",", "0"}], 
      "]"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4136543831100073`*^9, 3.428247115825683*^9, 
  3.432315300741102*^9, 3.500209997860629*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetAttributes", "[", 
   RowBox[{"f", ",", "Flat"}], "]"}], ";"}], "\n", 
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", "=", "3"}], "}"}], ",", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Inner", "[", 
       RowBox[{"f", ",", 
        RowBox[{"Prepend", "[", 
         RowBox[{"#", ",", "0"}], "]"}], ",", 
        RowBox[{"Append", "[", 
         RowBox[{"#", ",", "0"}], "]"}], ",", "List"}], "]"}], "&"}], ",", 
     RowBox[{"{", "a", "}"}], ",", "t"}], "]"}]}], "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "a", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"0", ",", "a"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"a", ",", "0"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"0", ",", "0", ",", "a"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"0", ",", "a", ",", "a", ",", "0"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"a", ",", "0", ",", "0"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"0", ",", "0", ",", "0", ",", "a"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
      "0", ",", "0", ",", "a", ",", "0", ",", "a", ",", "a", ",", "0"}], 
      "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
      "0", ",", "a", ",", "a", ",", "0", ",", "a", ",", "0", ",", "0"}], 
      "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"a", ",", "0", ",", "0", ",", "0"}], "]"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413654383151696*^9, 3.428247117737247*^9, 
  3.432315300800601*^9, 3.50020999946649*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Notion of Attractors", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Implementation", "Subsection"], Cell[" (page 957)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"NetStep", "[", 
   RowBox[{"net_", ",", "i_", ",", "a_"}], "]"}], ":=", 
  RowBox[{"Union", "[", 
   RowBox[{"ReplaceList", "[", 
    RowBox[{"a", ",", 
     RowBox[{"Flatten", "[", 
      RowBox[{"net", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
      "]"}]}], "]"}], "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"NetStep", "[", 
   RowBox[{"net_", ",", "i_", ",", "a_"}], "]"}], ":=", 
  RowBox[{"Union", "[", 
   RowBox[{"ReplaceList", "[", 
    RowBox[{"a", ",", 
     RowBox[{"Flatten", "[", 
      RowBox[{"net", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
      "]"}]}], "]"}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"net", " ", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0", "\[Rule]", "1"}], ",", 
         RowBox[{"0", "\[Rule]", "2"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0", "\[Rule]", "3"}], ",", 
         RowBox[{"0", "\[Rule]", "4"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0", "\[Rule]", "1"}], ",", 
         RowBox[{"0", "\[Rule]", "2"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0", "\[Rule]", "3"}], ",", 
         RowBox[{"1", "\[Rule]", "4"}]}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"NetStep", "[", 
    RowBox[{"net", ",", "2", ",", "0"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "4"}], "}"}]], "Output",
 CellChangeTimes->{3.413654383219571*^9, 3.428247134941268*^9, 
  3.432315300876251*^9, 3.500210006406521*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NetStep", "[", 
      RowBox[{"net", ",", 
       TagBox["#1",
        #& ,
        SyntaxForm->"a"], ",", 
       TagBox["#2",
        #& ,
        SyntaxForm->"a"]}], "]"}], "&"}], ",", 
    RowBox[{"Range", "[", 
     RowBox[{"Length", "[", "net", "]"}], "]"}], ",", "list"}], "]"}], "=!=", 
  RowBox[{"{", "}"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"NetStep", "[", 
   RowBox[{"net_", ",", "i_", ",", "a_"}], "]"}], ":=", 
  RowBox[{"Union", "[", 
   RowBox[{"ReplaceList", "[", 
    RowBox[{"a", ",", 
     RowBox[{"Flatten", "[", 
      RowBox[{"net", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
      "]"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"net", " ", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0", "\[Rule]", "1"}], ",", 
          RowBox[{"0", "\[Rule]", "2"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0", "\[Rule]", "3"}], ",", 
          RowBox[{"0", "\[Rule]", "4"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0", "\[Rule]", "1"}], ",", 
          RowBox[{"0", "\[Rule]", "2"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0", "\[Rule]", "3"}], ",", 
          RowBox[{"1", "\[Rule]", "4"}]}], "}"}]}], "}"}]}], ",", " ", 
     RowBox[{"list", " ", "=", " ", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "1"}], "}"}]}]}], "}"}], ",", " ", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"NetStep", "[", 
        RowBox[{"net", ",", 
         TagBox["#1",
          #& ,
          SyntaxForm->"a"], ",", 
         TagBox["#2",
          #& ,
          SyntaxForm->"a"]}], "]"}], "&"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"Length", "[", "net", "]"}], "]"}], ",", "list"}], "]"}], "=!=", 
    RowBox[{"{", "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5002100175894403`*^9, 3.500210018270465*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.413654383268978*^9, 3.428247139432461*^9, 
  3.43231530096959*^9, 3.500210020561893*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NetCAStep", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k_", ",", "r_", ",", "rtab_"}], "}"}], ",", "net_"}], "]"}], ":=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Table", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"#", "/.", "\[InvisibleSpace]", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"a_", "\[Rule]", "s_"}], ")"}], "\[RuleDelayed]", 
            RowBox[{
             RowBox[{"rtab", "\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"i", " ", "k"}], "+", "a", "+", "1"}], 
              "\[RightDoubleBracket]"}], "\[Rule]", 
             RowBox[{
              RowBox[{
               SuperscriptBox["k", 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                 RowBox[{"2", " ", "r"}]}]], " ", 
               RowBox[{"(", 
                RowBox[{"s", "-", "1"}], ")"}]}], "+", "1", "+", 
              RowBox[{"Mod", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"i", " ", "k"}], "+", "a"}], ",", 
                SuperscriptBox["k", 
                 RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                  RowBox[{"2", " ", "r"}]}]]}], "]"}]}]}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "0", ",", 
            RowBox[{
             SuperscriptBox["k", 
              RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
               RowBox[{"2", " ", "r"}]}]], "-", "1"}]}], "}"}]}], "]"}], 
        "&"}], ",", "net"}], "]"}], ",", "1"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"AllNet", "[", 
   RowBox[{"k_", ":", "2"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{"Thread", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Range", "[", "k", "]"}], "-", "1"}], "\[Rule]", "1"}], "]"}], 
   "}"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NetCAStep", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"k_", ",", "r_", ",", "rtab_"}], "}"}], ",", "net_"}], "]"}], ":=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"#", "/.", "\[InvisibleSpace]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"a_", "\[Rule]", "s_"}], ")"}], "\[RuleDelayed]", 
           RowBox[{
            RowBox[{"rtab", "\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"i", " ", "k"}], "+", "a", "+", "1"}], 
             "\[RightDoubleBracket]"}], "\[Rule]", 
            RowBox[{
             RowBox[{
              SuperscriptBox["k", 
               RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                RowBox[{"2", " ", "r"}]}]], " ", 
              RowBox[{"(", 
               RowBox[{"s", "-", "1"}], ")"}]}], "+", "1", "+", 
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"i", " ", "k"}], "+", "a"}], ",", 
               SuperscriptBox["k", 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                 RowBox[{"2", " ", "r"}]}]]}], "]"}]}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "0", ",", 
           RowBox[{
            SuperscriptBox["k", 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
              RowBox[{"2", " ", "r"}]}]], "-", "1"}]}], "}"}]}], "]"}], "&"}],
       ",", "net"}], "]"}], ",", "1"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"AllNet", "[", 
   RowBox[{"k_", ":", "2"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{"Thread", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Range", "[", "k", "]"}], "-", "1"}], "\[Rule]", "1"}], "]"}], 
   "}"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NetCAStep", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", 
     RowBox[{"Reverse", "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"126", ",", "2", ",", "8"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"AllNet", "[", "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", "1"}], ",", 
     RowBox[{"1", "\[Rule]", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[Rule]", "3"}], ",", 
     RowBox[{"1", "\[Rule]", "4"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[Rule]", "1"}], ",", 
     RowBox[{"1", "\[Rule]", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[Rule]", "3"}], ",", 
     RowBox[{"0", "\[Rule]", "4"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413654383337069*^9, 3.42824715264785*^9, 
  3.432315301091466*^9, 3.500210028107149*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"MinNet", "[", 
    RowBox[{"net_", ",", 
     RowBox[{"k_", ":", "2"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "=", 
        RowBox[{"DSets", "[", 
         RowBox[{"net", ",", "k"}], "]"}]}], ",", "q", ",", "b"}], "}"}], ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"First", "[", "d", "]"}], "=!=", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"AllNet", "[", "k", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"q", "=", 
         RowBox[{"ISets", "[", "\[IndentingNewLine]", 
          RowBox[{"b", "=", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Position", "[", 
                  RowBox[{"d", ",", 
                   RowBox[{"NetStep", "[", 
                    RowBox[{"net", ",", "#", ",", "a"}], "]"}]}], "]"}], 
                 "\[LeftDoubleBracket]", 
                 RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"a", ",", "0", ",", 
                  RowBox[{"k", "-", "1"}]}], "}"}]}], "]"}], "&"}], ",", 
             "d"}], "]"}]}], "]"}]}], ";", 
        RowBox[{"DeleteCases", "[", 
         RowBox[{
          RowBox[{"MapIndexed", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
               "#2", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
               "-", "1"}], "\[Rule]", "#1"}], "&"}], ",", 
            RowBox[{
             RowBox[{"Rest", "[", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"Position", "[", 
                   RowBox[{"q", ",", "#"}], "]"}], "\[LeftDoubleBracket]", 
                  RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "&"}], 
                ",", 
                RowBox[{"Transpose", "[", 
                 RowBox[{"Map", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"#", "\[LeftDoubleBracket]", 
                    RowBox[{"Map", "[", 
                    RowBox[{"First", ",", "q"}], "]"}], 
                    "\[RightDoubleBracket]"}], "&"}], ",", 
                   RowBox[{"Transpose", "[", "b", "]"}]}], "]"}], "]"}], ",", 
                RowBox[{"{", "2", "}"}]}], "]"}], "]"}], "-", "1"}], ",", 
            RowBox[{"{", "2", "}"}]}], "]"}], ",", 
          RowBox[{"_", "\[Rule]", "0"}], ",", 
          RowBox[{"{", "2", "}"}]}], "]"}]}]}], "]"}]}], "]"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ISets", "[", "list_", "]"}], ":=", 
   RowBox[{"FixedPoint", "[", 
    RowBox[{
     RowBox[{"Function", "[", 
      RowBox[{"g", ",", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Map", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Map", "[", 
             RowBox[{"Last", ",", 
              RowBox[{"Split", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Sort", "[", 
                 RowBox[{
                  RowBox[{"Transpose", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Map", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"g", ",", "#"}], "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "&"}],
                     ",", "list", ",", 
                    RowBox[{"{", "2", "}"}]}], "]"}], ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"Length", "[", "list", "]"}], "]"}]}], "}"}], 
                   "]"}], "\[LeftDoubleBracket]", "#", 
                  "\[RightDoubleBracket]"}], "]"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"First", "[", "#1", "]"}], "==", 
                  RowBox[{"First", "[", "#2", "]"}]}], "&"}]}], "]"}], ",", 
              RowBox[{"{", "2", "}"}]}], "]"}], "&"}], ",", "g"}], "]"}], ",",
          "1"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "1", "}"}], ",", 
       RowBox[{"Range", "[", 
        RowBox[{"2", ",", 
         RowBox[{"Length", "[", "list", "]"}]}], "]"}]}], "}"}]}], "]"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DSets", "[", 
   RowBox[{"net_", ",", 
    RowBox[{"k_", ":", "2"}]}], "]"}], ":=", 
  RowBox[{"FixedPoint", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Union", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"NetStep", "[", 
              RowBox[{"net", ",", "#", ",", "a"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"a", ",", "0", ",", 
               RowBox[{"k", "-", "1"}]}], "}"}]}], "]"}], "&"}], ",", "#"}], 
         "]"}], ",", "1"}], "]"}], "]"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"Range", "[", 
      RowBox[{"Length", "[", "net", "]"}], "]"}], "}"}]}], 
   "]"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NetStep", "[", 
   RowBox[{"net_", ",", "i_", ",", "a_"}], "]"}], ":=", 
  RowBox[{"Union", "[", 
   RowBox[{"ReplaceList", "[", 
    RowBox[{"a", ",", 
     RowBox[{"Flatten", "[", 
      RowBox[{"net", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
      "]"}]}], "]"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"AllNet", "[", 
   RowBox[{"k_", ":", "2"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{"Thread", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Range", "[", "k", "]"}], "-", "1"}], "\[Rule]", "1"}], "]"}], 
   "}"}]}], "\n", 
 RowBox[{
  RowBox[{"DSets", "[", 
   RowBox[{"net_", ",", 
    RowBox[{"k_", ":", "2"}]}], "]"}], ":=", 
  RowBox[{"FixedPoint", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Union", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"NetStep", "[", 
              RowBox[{"net", ",", "#", ",", "a"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"a", ",", "0", ",", 
               RowBox[{"k", "-", "1"}]}], "}"}]}], "]"}], "&"}], ",", "#"}], 
         "]"}], ",", "1"}], "]"}], "]"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"Range", "[", 
      RowBox[{"Length", "[", "net", "]"}], "]"}], "}"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"ISets", "[", "list_", "]"}], ":=", 
  RowBox[{"FixedPoint", "[", 
   RowBox[{
    RowBox[{"Function", "[", 
     RowBox[{"g", ",", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"Map", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{"Last", ",", 
             RowBox[{"Split", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Sort", "[", 
                RowBox[{
                 RowBox[{"Transpose", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Map", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"g", ",", "#"}], "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "&"}],
                     ",", "list", ",", 
                    RowBox[{"{", "2", "}"}]}], "]"}], ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"Length", "[", "list", "]"}], "]"}]}], "}"}], 
                  "]"}], "\[LeftDoubleBracket]", "#", 
                 "\[RightDoubleBracket]"}], "]"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"First", "[", "#1", "]"}], "==", 
                 RowBox[{"First", "[", "#2", "]"}]}], "&"}]}], "]"}], ",", 
             RowBox[{"{", "2", "}"}]}], "]"}], "&"}], ",", "g"}], "]"}], ",", 
        "1"}], "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"2", ",", 
        RowBox[{"Length", "[", "list", "]"}]}], "]"}]}], "}"}]}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"MinNet", "[", 
   RowBox[{"net_", ",", 
    RowBox[{"k_", ":", "2"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"d", "=", 
       RowBox[{"DSets", "[", 
        RowBox[{"net", ",", "k"}], "]"}]}], ",", "q", ",", "b"}], "}"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"First", "[", "d", "]"}], "=!=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"AllNet", "[", "k", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"q", "=", 
        RowBox[{"ISets", "[", "\[IndentingNewLine]", 
         RowBox[{"b", "=", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Position", "[", 
                 RowBox[{"d", ",", 
                  RowBox[{"NetStep", "[", 
                   RowBox[{"net", ",", "#", ",", "a"}], "]"}]}], "]"}], 
                "\[LeftDoubleBracket]", 
                RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"{", 
                RowBox[{"a", ",", "0", ",", 
                 RowBox[{"k", "-", "1"}]}], "}"}]}], "]"}], "&"}], ",", "d"}],
            "]"}]}], "]"}]}], ";", 
       RowBox[{"DeleteCases", "[", 
        RowBox[{
         RowBox[{"MapIndexed", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
              "#2", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
              "-", "1"}], "\[Rule]", "#1"}], "&"}], ",", 
           RowBox[{
            RowBox[{"Rest", "[", 
             RowBox[{"Map", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"Position", "[", 
                  RowBox[{"q", ",", "#"}], "]"}], "\[LeftDoubleBracket]", 
                 RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "&"}], 
               ",", 
               RowBox[{"Transpose", "[", 
                RowBox[{"Map", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"#", "\[LeftDoubleBracket]", 
                    RowBox[{"Map", "[", 
                    RowBox[{"First", ",", "q"}], "]"}], 
                    "\[RightDoubleBracket]"}], "&"}], ",", 
                  RowBox[{"Transpose", "[", "b", "]"}]}], "]"}], "]"}], ",", 
               RowBox[{"{", "2", "}"}]}], "]"}], "]"}], "-", "1"}], ",", 
           RowBox[{"{", "2", "}"}]}], "]"}], ",", 
         RowBox[{"_", "\[Rule]", "0"}], ",", 
         RowBox[{"{", "2", "}"}]}], "]"}]}]}], "]"}]}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MinNet", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"0", "\[Rule]", "1"}], ",", 
      RowBox[{"1", "\[Rule]", "2"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "\[Rule]", "3"}], ",", 
      RowBox[{"1", "\[Rule]", "4"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "\[Rule]", "1"}], ",", 
      RowBox[{"1", "\[Rule]", "2"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "\[Rule]", "3"}], ",", 
      RowBox[{"0", "\[Rule]", "4"}]}], "}"}]}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", "\[Rule]", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", "2"}], ",", 
     RowBox[{"1", "\[Rule]", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", "2"}], ",", 
     RowBox[{"1", "\[Rule]", "3"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413654383395014*^9, 3.428247171291348*^9, 
  3.432315301175922*^9, 3.500210036670989*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TrimNet", "[", "net_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"m", "=", 
      RowBox[{"Apply", "[", 
       RowBox[{"Intersection", ",", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"FixedPoint", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Union", "[", 
               RowBox[{"#", ",", 
                RowBox[{"Flatten", "[", 
                 RowBox[{"Map", "[", 
                  RowBox[{"Last", ",", 
                   RowBox[{
                   "net", "\[LeftDoubleBracket]", "#", 
                    "\[RightDoubleBracket]"}], ",", 
                   RowBox[{"{", "2", "}"}]}], "]"}], "]"}]}], "]"}], "&"}], 
             ",", "#"}], "]"}], "&"}], ",", 
          RowBox[{"Map", "[", 
           RowBox[{"List", ",", 
            RowBox[{"Range", "[", 
             RowBox[{"Length", "[", "net", "]"}], "]"}]}], "]"}]}], "]"}]}], 
       "]"}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"net", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}], "/.",
      "\[InvisibleSpace]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a_", "\[Rule]", 
          RowBox[{
          "m", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
         ")"}], "\[Rule]", 
        RowBox[{"a", "\[Rule]", "i"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "m", "]"}]}], "}"}]}], "]"}]}]}], 
   "]"}]}]], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NetCAStep", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"k_", ",", "r_", ",", "rtab_"}], "}"}], ",", "net_"}], "]"}], ":=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"#", "/.", "\[InvisibleSpace]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"a_", "\[Rule]", "s_"}], ")"}], "\[RuleDelayed]", 
           RowBox[{
            RowBox[{"rtab", "\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"i", " ", "k"}], "+", "a", "+", "1"}], 
             "\[RightDoubleBracket]"}], "\[Rule]", 
            RowBox[{
             RowBox[{
              SuperscriptBox["k", 
               RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                RowBox[{"2", " ", "r"}]}]], " ", 
              RowBox[{"(", 
               RowBox[{"s", "-", "1"}], ")"}]}], "+", "1", "+", 
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"i", " ", "k"}], "+", "a"}], ",", 
               SuperscriptBox["k", 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                 RowBox[{"2", " ", "r"}]}]]}], "]"}]}]}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "0", ",", 
           RowBox[{
            SuperscriptBox["k", 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
              RowBox[{"2", " ", "r"}]}]], "-", "1"}]}], "}"}]}], "]"}], "&"}],
       ",", "net"}], "]"}], ",", "1"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"AllNet", "[", 
   RowBox[{"k_", ":", "2"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{"Thread", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Range", "[", "k", "]"}], "-", "1"}], "\[Rule]", "1"}], "]"}], 
   "}"}]}], "\n", 
 RowBox[{
  RowBox[{"TrimNet", "[", "net_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"m", "=", 
      RowBox[{"Apply", "[", 
       RowBox[{"Intersection", ",", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"FixedPoint", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Union", "[", 
               RowBox[{"#", ",", 
                RowBox[{"Flatten", "[", 
                 RowBox[{"Map", "[", 
                  RowBox[{"Last", ",", 
                   RowBox[{
                   "net", "\[LeftDoubleBracket]", "#", 
                    "\[RightDoubleBracket]"}], ",", 
                   RowBox[{"{", "2", "}"}]}], "]"}], "]"}]}], "]"}], "&"}], 
             ",", "#"}], "]"}], "&"}], ",", 
          RowBox[{"Map", "[", 
           RowBox[{"List", ",", 
            RowBox[{"Range", "[", 
             RowBox[{"Length", "[", "net", "]"}], "]"}]}], "]"}]}], "]"}]}], 
       "]"}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"net", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}], "/.",
      "\[InvisibleSpace]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a_", "\[Rule]", 
          RowBox[{
          "m", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
         ")"}], "\[Rule]", 
        RowBox[{"a", "\[Rule]", "i"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "m", "]"}]}], "}"}]}], "]"}]}]}], 
   "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TrimNet", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NetCAStep", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "1", ",", 
         RowBox[{"Reverse", "[", 
          RowBox[{"IntegerDigits", "[", 
           RowBox[{"128", ",", "2", ",", "8"}], "]"}], "]"}]}], "}"}], ",", 
       "#"}], "]"}], " ", "&"}], ",", 
    RowBox[{"AllNet", "[", "]"}], ",", "2"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.4282471846654882`*^9, 3.4282471855055237`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", "1"}], ",", 
     RowBox[{"0", "\[Rule]", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", "3"}], ",", 
     RowBox[{"0", "\[Rule]", "5"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", "1"}], ",", 
     RowBox[{"0", "\[Rule]", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", "1"}], ",", 
     RowBox[{"0", "\[Rule]", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", "3"}], ",", 
     RowBox[{"0", "\[Rule]", "6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", "4"}], ",", 
     RowBox[{"0", "\[Rule]", "7"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", "4"}], ",", 
     RowBox[{"1", "\[Rule]", "7"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4136543834623203`*^9, 3.428247185933194*^9, 
  3.432315301262414*^9, 3.500210044736126*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Entropies and dimensions", "Subsection"], Cell[" (page 958)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Apply", "[", 
  RowBox[{"Plus", ",", 
   RowBox[{"Flatten", "[", 
    RowBox[{"MatrixPower", "[", 
     RowBox[{"m", ",", "n"}], "]"}], "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Flatten", "[", 
        RowBox[{"MatrixPower", "[", 
         RowBox[{"m", ",", "n"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "5"}], "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "5", ",", "8", ",", "13", ",", "21"}], "}"}]], "Output",
 CellChangeTimes->{3.413654383503436*^9, 3.428247193812701*^9, 
  3.432315301315585*^9, 3.5002100495916843`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MapAt", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "+", "#"}], "&"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"Length", "[", "net", "]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Length", "[", "net", "]"}], "}"}]}], "]"}], ",", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"MapIndexed", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"First", "[", "#2", "]"}], ",", 
          RowBox[{"Last", "[", "#1", "]"}]}], "}"}], "&"}], ",", "net", ",", 
       RowBox[{"{", "2", "}"}]}], "]"}], ",", "1"}], "]"}]}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"net", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", "\[Rule]", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0", "\[Rule]", "2"}], ",", 
         RowBox[{"1", "\[Rule]", "1"}]}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"MapAt", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "+", "#1"}], "&"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"Length", "[", "net", "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Length", "[", "net", "]"}], "}"}]}], "]"}], ",", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{"MapIndexed", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"First", "[", "#2", "]"}], ",", 
            RowBox[{"Last", "[", "#1", "]"}]}], "}"}], "&"}], ",", "net", ",", 
         RowBox[{"{", "2", "}"}]}], "]"}], ",", "1"}], "]"}]}], "]"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413654383554297*^9, 3.428247200854465*^9, 
  3.432315301370294*^9, 3.500210053347939*^9}]
}, Open  ]]
}, Closed]],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["x", 
   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "13"}]], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["x", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "12"}]]}], "+", 
  RowBox[{"6", " ", 
   SuperscriptBox["x", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "11"}]]}], "-", 
  RowBox[{"5", " ", 
   SuperscriptBox["x", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "10"}]]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["x", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "9"}]]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["x", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "8"}]]}], "+", 
  RowBox[{"5", " ", 
   SuperscriptBox["x", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "7"}]]}], "-", 
  RowBox[{"3", " ", 
   SuperscriptBox["x", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "6"}]]}], "-", 
  SuperscriptBox["x", 
   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "5"}]], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["x", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["x", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "3"}]]}], "+", 
  SuperscriptBox["x", 
   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "-", "x", "+", 
  "1"}]], "Subsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Cycles and zeta functions", "Subsection"], Cell[
     " (page 958)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Zeta]", "[", 
   RowBox[{"m_", ",", "x_"}], "]"}], ":=", 
  RowBox[{"1", "/", 
   RowBox[{"Det", "[", 
    RowBox[{
     RowBox[{"IdentityMatrix", "[", 
      RowBox[{"Length", "[", "m", "]"}], "]"}], "-", 
     RowBox[{"m", " ", "x"}]}], "]"}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Zeta]", "[", 
   RowBox[{"m_", ",", "x_"}], "]"}], ":=", 
  RowBox[{"1", "/", 
   RowBox[{"Det", "[", 
    RowBox[{
     RowBox[{"IdentityMatrix", "[", 
      RowBox[{"Length", "[", "m", "]"}], "]"}], "-", 
     RowBox[{"m", " ", "x"}]}], "]"}]}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"t", " ", "\[IndentingNewLine]", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"\[Zeta]", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}]}], "}"}], ",", 
         "t"}], "]"}], "]"}], ",", "t"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "5"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"2", " ", "t"}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["t", "2"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["t", "3"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["t", "4"]}], "+", 
   RowBox[{"12", " ", 
    SuperscriptBox["t", "5"]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "t", "]"}], "6"],
    SeriesData[$CellContext`t, 0, {}, 1, 6, 1],
    Editable->False]}],
  SeriesData[$CellContext`t, 0, {2, 2, 2, 6, 12}, 1, 6, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.413654383777775*^9, 3.428247242466358*^9, 
  3.4323153015251703`*^9, 3.5002100603787394`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mat", " ", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}]}], "}"}]}], 
      "}"}], ",", 
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"MatrixPower", "[", 
          RowBox[{"mat", ",", "n"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "]"}]}], "]"}]}], "]"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"n", ",", " ", "1", ",", " ", "5"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "2", ",", "2", ",", "6", ",", "12"}], "}"}]], "Output",
 CellChangeTimes->{3.413654383822587*^9, 3.428247244568512*^9, 
  3.432315301588896*^9, 3.5002100619614277`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Probability-based entropies", "Subsection"], Cell[
     " (page 959)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{"Limit", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"p", "[", "i", "]"}], " ", 
        RowBox[{"Log", "[", 
         RowBox[{"k", ",", 
          RowBox[{"p", "[", "i", "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         SuperscriptBox["k", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]]}], "}"}]}], 
      "]"}], "/", "n"}], ",", 
    RowBox[{"n", "\[Rule]", "\[Infinity]"}]}], "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"UnitStep", "[", 
       RowBox[{"p", "[", "i", "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        SuperscriptBox["k", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]]}], "}"}]}], "]"}],
     "/", "n"}], ",", 
   RowBox[{"n", "\[Rule]", "\[Infinity]"}]}], "]"}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"h", "[", 
   RowBox[{"q_", ",", "n_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Log", "[", 
    RowBox[{"k", ",", 
     RowBox[{"Sum", "[", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "i", "]"}], 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "q"}]], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         SuperscriptBox["k", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]]}], "}"}]}], 
      "]"}]}], "]"}], "/", 
   RowBox[{"(", 
    RowBox[{"n", " ", 
     RowBox[{"(", 
      RowBox[{"q", "-", "1"}], ")"}]}], ")"}]}]}]], "Subsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Spacetime patches", "Subsection"], Cell[" (page 960)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{"Limit", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"k", ",", 
        RowBox[{"s", "[", 
         RowBox[{"t", ",", "x"}], "]"}]}], "]"}], "/", "t"}], ",", 
     RowBox[{"t", "\[Rule]", "\[Infinity]"}]}], "]"}], ",", 
   RowBox[{"x", "\[Rule]", "\[Infinity]"}]}], "]"}]], "Subsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Shift rules", "Subsection"], Cell[" (page 963)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Apply", "[", 
   RowBox[{"Plus", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"EulerPhi", "[", 
         RowBox[{"n", "/", "#"}], "]"}], " ", 
        SuperscriptBox["k", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "#"}]]}], "&"}], ")"}], 
     "[", 
     RowBox[{"Divisors", "[", "n", "]"}], "]"}]}], "]"}], "/", 
  "n"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", "=", "2"}], "}"}], ",", 
     RowBox[{
      RowBox[{"Apply", "[", 
       RowBox[{"Plus", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"EulerPhi", "[", 
             RowBox[{
             "n", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
              "#"}], "]"}], " ", 
            SuperscriptBox["k", 
             RowBox[{"\[VeryThinSpace]", "#"}]]}], "&"}], ")"}], "[", 
         RowBox[{"Divisors", "[", "n", "]"}], "]"}]}], "]"}], "/", 
      "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "n"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "4", ",", "8"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"6", ",", "8", ",", "14", ",", "20", ",", "36"}], "}"}]], "Output",
 CellChangeTimes->{3.413654383872897*^9, 3.4282472576146517`*^9, 
  3.432315301652165*^9, 3.5002100674869337`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Structures in Class 4 Systems", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 292 \[CenterDot] Structures", "Subsection"], Cell[
     " (page 964)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"152", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"183", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"18472955", ",", "25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"732", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"129643", ",", "18"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"152", ",", "13"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"39672", ",", "21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"619", ",", "15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"44", ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"334900605644", ",", "39"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8440", ",", "15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"248", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"760", ",", "11"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"38", ",", "6"}], "}"}]}], "}"}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"4", ",", 
     RowBox[{"-", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"12", ",", 
     RowBox[{"-", "6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"12", ",", 
     RowBox[{"-", "6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"42", ",", 
     RowBox[{"-", "14"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"42", ",", 
     RowBox[{"-", "14"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"15", ",", 
     RowBox[{"-", "4"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"15", ",", 
     RowBox[{"-", "4"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"15", ",", 
     RowBox[{"-", "4"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"15", ",", 
     RowBox[{"-", "4"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"30", ",", 
     RowBox[{"-", "8"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"92", ",", 
     RowBox[{"-", "18"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"36", ",", 
     RowBox[{"-", "4"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "2"}], "}"}]}], "}"}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"IntegerDigits", "[", 
     RowBox[{"1468", ",", "2"}], "]"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"102524348", ",", "2"}], "]"}], ",", 
      RowBox[{"{", "n", "}"}]}], "]"}], ",", 
    RowBox[{"IntegerDigits", "[", 
     RowBox[{"v", ",", "2"}], "]"}]}], "}"}], "]"}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1784", ",", "801016", ",", "410097400", ",", "13304", ",", "6406392", ",", 
   "3280778648"}], "}"}]], "Subsubsection"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{700, 849},
WindowMargins->{{1, Automatic}, {Automatic, 0}},
CellContext->CellGroup,
Magnification->1.,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2011)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell["Style Definitions for NKS Webcode", "Subtitle"], 
      Cell[
      "Modify the definitions below to change the default appearance of all \
cells in a given style.  Make modifications to any definition using commands \
in the Format menu.", "Text"], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Names", "Section"], 
         Cell[
          StyleData[All, "Working"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 9], 
         Cell[
          StyleData[All, "Presentation"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{24, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 12], 
         Cell[
          StyleData[All, "Condensed"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{8, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 8], 
         Cell[
          StyleData[All, "Printout"], PageWidth -> PaperWidth, 
          CellLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 5, 
          PrivateFontOptions -> {"FontType" -> "Outline"}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Notebook Options", "Section"], 
         Cell[
         "The options defined for the style below will be used at the \
Notebook level.", "Text"], 
         Cell[
          StyleData["Notebook"], PageHeaders -> {{
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"], None, 
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"]}, {
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"], None, 
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"]}}, CellFrameLabelMargins -> 
          6, StyleMenuListing -> None]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], ShowCellBracket -> False, 
             CellMargins -> {{36, 6}, {20, 3}}, 
             CellGroupingRules -> {"TitleGrouping", 0}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
             "NaturalLanguage", CounterIncrements -> "Title", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontSize -> 
             36], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 40}}, LineSpacing -> {1, 0}, 
             FontSize -> 44], 
            Cell[
             StyleData["Title", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 8}}, FontSize -> 20], 
            Cell[
             StyleData["Title", "Printout"], 
             CellMargins -> {{2, 10}, {12, 30}}, FontSize -> 24]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleHeader"], CellFrame -> {{0, 0}, {0.25, 0}}, 
             ShowCellBracket -> False, 
             CellMargins -> {{36, Inherited}, {3, 25}}, 
             CellGroupingRules -> {"TitleGrouping", 20}, PageBreakBelow -> 
             False, CellFrameMargins -> {{8, 8}, {4, 8}}, 
             DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
             "NaturalLanguage", FontSize -> 14], 
            Cell[
             StyleData["TitleHeader", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 20}}, LineSpacing -> {1, 0}, 
             FontSize -> 24], 
            Cell[
             StyleData["TitleHeader", "Condensed"], 
             CellMargins -> {{8, 10}, {8, 8}}, FontSize -> 12], 
            Cell[
             StyleData["TitleHeader", "Printout"], 
             CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], 
             CellMargins -> {{12, Inherited}, {20, 15}}, 
             CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
             FontSize -> 24], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 20}}, LineSpacing -> {1, 0}, 
             FontSize -> 36], 
            Cell[
             StyleData["Subtitle", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 4}}, FontSize -> 14], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 18]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{0, 0}, {0.25, 0}}, 
             ShowCellBracket -> False, ShowGroupOpener -> True, 
             CellMargins -> {{36, 3}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, CellFrameMargins -> {{Inherited, Inherited}, {
               4, Inherited}}, CellFrameColor -> GrayLevel[0.6], 
             DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 18], 
            Cell[
             StyleData["Section", "Presentation"], 
             CellMargins -> {{40, 10}, {11, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 24], 
            Cell[
             StyleData["Section", "Condensed"], 
             CellMargins -> {{18, Inherited}, {6, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Section", "Printout"], 
             CellMargins -> {{13, 0}, {7, 22}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], ShowCellBracket -> False, 
             ShowGroupOpener -> True, CellMargins -> {{50, 6}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subsection", CounterAssignments -> {{"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 14, FontWeight -> "Bold", 
             GridBoxOptions -> {
              GridBoxAlignment -> {
                "Columns" -> {Left, {Right}}, "ColumnsIndexed" -> {}, 
                 "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
               GridBoxItemSize -> {"Columns" -> {
                   Scaled[0.8], {
                    Scaled[0.2]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
                 "RowsIndexed" -> {}}}], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{36, 10}, {11, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsection", "Condensed"], 
             CellMargins -> {{16, Inherited}, {6, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Subsection", "Printout"], 
             CellMargins -> {{9, 0}, {7, 22}}, FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellFrame -> 2, ShowCellBracket -> 
             False, ShowGroupOpener -> True, 
             CellMargins -> {{70, 2}, {8, 18}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             Evaluatable -> False, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, CellFrameColor -> RGBColor[1, 0.730007, 0.360006], 
             DefaultFormatType -> DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
             FormatType -> InputForm, ShowStringCharacters -> True, 
             NumberMarks -> True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1},
              CounterIncrements -> "Subsubsection", FontWeight -> "Bold", 
             Background -> RGBColor[1, 0.970001, 0.840009]], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{34, 10}, {11, 26}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Subsubsection", "Condensed"], 
             CellMargins -> {{17, Inherited}, {6, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Subsubsection", "Printout"], 
             CellMargins -> {{9, 0}, {7, 14}}, FontSize -> 11]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleCell1"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {20, 0}}, 
             CellFrameMargins -> {{-1, 0}, {-1, -1}}, Hyphenation -> True, 
             StyleMenuListing -> None, FontSize -> 2, Magnification -> 1, 
             Background -> GrayLevel[0.2]], 
            Cell[
             StyleData["TitleCell1", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, FontSize -> 16], 
            Cell[
             StyleData["TitleCell1", "Condensed"], 
             CellMargins -> {{8, 10}, {6, 6}}, FontSize -> 11], 
            Cell[
             StyleData["TitleCell1", "Printout"], 
             CellMargins -> {{2, 2}, {6, 6}}, TextJustification -> 0.5, 
             FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleCell2"], ShowCellBracket -> False, 
             CellMargins -> {{12, 10}, {-3, 7}}, Hyphenation -> True, 
             StyleMenuListing -> None, Background -> GrayLevel[0.98999]], 
            Cell[
             StyleData["TitleCell2", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, FontSize -> 16], 
            Cell[
             StyleData["TitleCell2", "Condensed"], 
             CellMargins -> {{8, 10}, {6, 6}}, FontSize -> 11], 
            Cell[
             StyleData["TitleCell2", "Printout"], 
             CellMargins -> {{2, 2}, {6, 6}}, TextJustification -> 0.5, 
             FontSize -> 10]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Body Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{80, 10}, {7, 7}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             Hyphenation -> True, LineSpacing -> {1, 3}, CounterIncrements -> 
             "Text"], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 16], 
            Cell[
             StyleData["Text", "Condensed"], CellMargins -> {{8, 10}, {6, 6}},
              LineSpacing -> {1, 1}, FontSize -> 11], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{2, 2}, {6, 6}}, 
             TextJustification -> 0.5, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SmallText"], CellMargins -> {{12, 10}, {6, 6}}, 
             DefaultNewInlineCellStyle -> "None", Hyphenation -> True, 
             LineSpacing -> {1, 3}, LanguageCategory -> "NaturalLanguage", 
             CounterIncrements -> "SmallText", FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Presentation"], 
             CellMargins -> {{24, 10}, {8, 8}}, LineSpacing -> {1, 5}, 
             FontSize -> 12], 
            Cell[
             StyleData["SmallText", "Condensed"], 
             CellMargins -> {{8, 10}, {5, 5}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Printout"], 
             CellMargins -> {{2, 2}, {5, 5}}, TextJustification -> 0.5, 
             FontSize -> 7]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input/Output", "Section"], 
         Cell[
         "The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names. Some attributes for these styles are actually set in FormatType Styles \
(in the last section of this stylesheet). ", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], CellMargins -> {{80, 10}, {5, 7}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             Evaluatable -> True, CellGroupingRules -> "InputGrouping", 
             CellHorizontalScrolling -> True, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, DefaultFormatType -> 
             DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
             FormatType -> InputForm, ShowStringCharacters -> True, 
             NumberMarks -> True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1},
              CounterIncrements -> "Input", FontWeight -> "Bold"], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellMargins -> {{72, Inherited}, {8, 10}}, LineSpacing -> {1, 0},
              FontSize -> 16], 
            Cell[
             StyleData["Input", "Condensed"], 
             CellMargins -> {{40, 10}, {2, 3}}, FontSize -> 11], 
            Cell[
             StyleData["Input", "Printout"], CellMargins -> {{39, 0}, {4, 6}},
              LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
           Closed]], 
         Cell[
          StyleData["InputOnly"], Evaluatable -> True, CellGroupingRules -> 
          "InputGrouping", CellHorizontalScrolling -> True, DefaultFormatType -> 
          DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", StyleMenuListing -> None, FontWeight -> 
          "Bold"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Output"], CellMargins -> {{80, 10}, {7, 5}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellEditDuplicate -> True, CellGroupingRules -> "OutputGrouping",
              CellHorizontalScrolling -> True, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, DefaultFormatType -> 
             DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Output"], 
            Cell[
             StyleData["Output", "Presentation"], 
             CellMargins -> {{72, Inherited}, {10, 8}}, LineSpacing -> {1, 0},
              FontSize -> 16], 
            Cell[
             StyleData["Output", "Condensed"], 
             CellMargins -> {{41, Inherited}, {3, 2}}, FontSize -> 11], 
            Cell[
             StyleData["Output", "Printout"], 
             CellMargins -> {{39, 0}, {6, 4}}, FontSize -> 9]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Message"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "OutputGrouping", PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Message", StyleMenuListing -> 
             None, FontSize -> 11, FontColor -> RGBColor[0, 0, 1]], 
            Cell[
             StyleData["Message", "Presentation"], 
             CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 0}, FontSize -> 16], 
            Cell[
             StyleData["Message", "Condensed"], 
             CellMargins -> {{41, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 11], 
            Cell[
             StyleData["Message", "Printout"], 
             CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 7, FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
             False, DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Print", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 0}, FontSize -> 16], 
            Cell[
             StyleData["Print", "Condensed"], 
             CellMargins -> {{41, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 11], 
            Cell[
             StyleData["Print", "Printout"], 
             CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Graphics"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, LanguageCategory -> 
             None, FormatType -> InputForm, CounterIncrements -> "Graphics", 
             ImageMargins -> {{43, Inherited}, {Inherited, 0}}, 
             StyleMenuListing -> None, FontFamily -> "Courier", FontSize -> 
             10], 
            Cell[
             StyleData["Graphics", "Presentation"], 
             ImageMargins -> {{62, Inherited}, {Inherited, 0}}], 
            Cell[
             StyleData["Graphics", "Condensed"], 
             ImageMargins -> {{38, Inherited}, {Inherited, 0}}, Magnification -> 
             0.6], 
            Cell[
             StyleData["Graphics", "Printout"], 
             ImageMargins -> {{30, Inherited}, {Inherited, 0}}, Magnification -> 
             0.8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], LanguageCategory -> None, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             9, FontColor -> RGBColor[0, 0, 1]], 
            Cell[
             StyleData["CellLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "Condensed"], FontSize -> 9], 
            Cell[
             StyleData["CellLabel", "Printout"], FontFamily -> "Courier", 
             FontSize -> 8, FontSlant -> "Italic", FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["FrameLabel"], LanguageCategory -> None, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             9], 
            Cell[
             StyleData["FrameLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["FrameLabel", "Condensed"], FontSize -> 9], 
            Cell[
             StyleData["FrameLabel", "Printout"], FontFamily -> "Courier", 
             FontSize -> 8, FontSlant -> "Italic", FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Inline Formatting", "Section"], 
         Cell[
         "These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.", "Text"], 
         Cell[
          StyleData["RM"], StyleMenuListing -> None, FontWeight -> "Plain", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["BF"], StyleMenuListing -> None, FontWeight -> "Bold"], 
         Cell[
          StyleData["IT"], StyleMenuListing -> None, FontSlant -> "Italic"], 
         Cell[
          StyleData["TR"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["TI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["TB"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["TBI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["MR"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["MO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["MB"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["MBO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["SR"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["SO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["SB"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["SBO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SO10"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 10, FontWeight -> "Plain", FontSlant -> 
             "Italic"], 
            Cell[
             StyleData["SO10", "Printout"], StyleMenuListing -> None, 
             FontFamily -> "Helvetica", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"], 
            Cell[
             StyleData["SO10", "EnhancedPrintout"], StyleMenuListing -> None, 
             FontFamily -> "Futura", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Hyperlink Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Hyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, 
             FontVariations -> {"Underline" -> True}, FontColor -> 
             RGBColor[0, 0, 1], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonNote -> 
               ButtonData}], 
            Cell[
             StyleData["Hyperlink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["Hyperlink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["Hyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headers and Footers", "Section"], 
         Cell[
          StyleData["Header"], CellMargins -> {{0, 0}, {4, 1}}, 
          DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
          "NaturalLanguage", StyleMenuListing -> None, FontSize -> 10, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["Footer"], CellMargins -> {{0, 0}, {0, 4}}, 
          DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
          "NaturalLanguage", StyleMenuListing -> None, FontSize -> 9, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Times", FontSize -> 10]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Palette Styles", "Section"], 
         Cell[
         "The cells below define styles that define standard ButtonFunctions, \
for use in palette buttons.", "Text"], 
         Cell[
          StyleData["Paste"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, After]}]& )}], 
         Cell[
          StyleData["Evaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["EvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionMove[
                FrontEnd`InputNotebook[], All, Cell, 1], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Placeholder Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making placeholder objects \
in palette templates.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Placeholder"], Placeholder -> True, StyleMenuListing -> 
             None, FontSlant -> "Italic", FontColor -> 
             RGBColor[0.890623, 0.864698, 0.384756], 
             TagBoxOptions -> {
              Editable -> False, Selectable -> False, StripWrapperBoxes -> 
               False}], 
            Cell[
             StyleData["Placeholder", "Presentation"]], 
            Cell[
             StyleData["Placeholder", "Condensed"]], 
            Cell[
             StyleData["Placeholder", "Printout"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["PrimaryPlaceholder"], StyleMenuListing -> None, 
             DrawHighlighted -> True, FontSlant -> "Italic", Background -> 
             RGBColor[0.912505, 0.891798, 0.507774], 
             TagBoxOptions -> {
              Editable -> False, Selectable -> False, StripWrapperBoxes -> 
               False}], 
            Cell[
             StyleData["PrimaryPlaceholder", "Presentation"]], 
            Cell[
             StyleData["PrimaryPlaceholder", "Condensed"]], 
            Cell[
             StyleData["PrimaryPlaceholder", "Printout"]]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["FormatType Styles", "Section"], 
         Cell[
         "The cells below define styles that are mixed in with the styles of \
most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options. This is particularly true of Input and Output.", "Text"], 
         Cell[
          StyleData["CellExpression"], PageWidth -> Infinity, 
          CellMargins -> {{6, Inherited}, {Inherited, Inherited}}, 
          ShowCellLabel -> False, ShowSpecialCharacters -> False, 
          AllowInlineCells -> False, Hyphenation -> False, 
          AutoItalicWords -> {}, StyleMenuListing -> None, FontFamily -> 
          "Courier", FontSize -> 12, Background -> GrayLevel[1]], 
         Cell[
          StyleData["InputForm"], InputAutoReplacements -> {}, 
          AllowInlineCells -> False, Hyphenation -> False, StyleMenuListing -> 
          None, FontFamily -> "Courier"], 
         Cell[
          StyleData["OutputForm"], PageWidth -> Infinity, TextAlignment -> 
          Left, LineSpacing -> {0.6, 1}, StyleMenuListing -> None, FontFamily -> 
          "Courier"], 
         Cell[
          StyleData["StandardForm"], 
          InputAutoReplacements -> {
           "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> 
            "\[LessEqual]", ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", 
            "==" -> "\[Equal]", Inherited}, LineSpacing -> {1.25, 0}, 
          StyleMenuListing -> None, FontFamily -> "Courier"], 
         Cell[
          StyleData["TraditionalForm"], 
          InputAutoReplacements -> {
           "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> 
            "\[LessEqual]", ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", 
            "==" -> "\[Equal]", Inherited}, LineSpacing -> {1.25, 0}, 
          SingleLetterItalics -> True, TraditionalFunctionNotation -> True, 
          DelimiterMatching -> None, StyleMenuListing -> None], 
         Cell[
         "The style defined below is mixed in to any cell that is in an \
inline cell within another.", "Text"], 
         Cell[
          StyleData["InlineCell"], LanguageCategory -> "Formula", ScriptLevel -> 
          1, StyleMenuListing -> None], 
         Cell[
          StyleData["InlineCellEditing"], StyleMenuListing -> None, 
          Background -> RGBColor[1, 0.749996, 0.8]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Automatic Styles", "Section"], 
         Cell[
         "The cells below define styles that are used to affect the display \
of certain types of objects in typeset expressions.  For example, \
\"UnmatchedBracket\" style defines how unmatched bracket, curly bracket, and \
parenthesis characters are displayed (typically by coloring them to make them \
stand out).", "Text"], 
         Cell[
          StyleData["UnmatchedBracket"], StyleMenuListing -> None, FontColor -> 
          RGBColor[0.760006, 0.330007, 0.8]]}, Closed]]}, Open]]}, Visible -> 
  False, FrontEndVersion -> 
  "8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, 2011)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 1845, 38, 25, "TitleCell1"],
Cell[3083, 70, 234, 7, 24, "Text"],
Cell[3320, 79, 42, 0, 46, "TitleHeader"],
Cell[CellGroupData[{
Cell[3387, 83, 41, 0, 59, "Title"],
Cell[CellGroupData[{
Cell[3453, 87, 43, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[3521, 91, 231, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[3777, 100, 864, 27, 74, "Subsubsection"],
Cell[4644, 129, 856, 27, 40, "Input"],
Cell[CellGroupData[{
Cell[5525, 160, 1872, 47, 100, "Input"],
Cell[7400, 209, 877, 18, 170, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[8326, 233, 1370, 41, 75, "Subsubsection"],
Cell[9699, 276, 1428, 42, 70, "Input"],
Cell[CellGroupData[{
Cell[11152, 322, 464, 14, 40, "Input"],
Cell[11619, 338, 697, 22, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12377, 367, 137, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[12539, 374, 1144, 34, 89, "Subsubsection"],
Cell[13686, 410, 1136, 34, 55, "Input"],
Cell[CellGroupData[{
Cell[14847, 448, 4137, 120, 175, "Input"],
Cell[18987, 570, 3808, 114, 160, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[22868, 692, 63, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[22956, 696, 164, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[23145, 704, 551, 17, 60, "Subsubsection"],
Cell[23699, 723, 688, 20, 26, "Input"],
Cell[CellGroupData[{
Cell[24412, 747, 77, 2, 24, "Input"],
Cell[24492, 751, 315, 5, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[24856, 762, 479, 15, 50, "Subsubsection"],
Cell[25338, 779, 614, 18, 30, "Input"],
Cell[CellGroupData[{
Cell[25977, 801, 77, 2, 24, "Input"],
Cell[26057, 805, 172, 3, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[26290, 815, 153, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[26468, 823, 415, 13, 64, "Subsubsection"],
Cell[CellGroupData[{
Cell[26908, 840, 980, 31, 50, "Input"],
Cell[27891, 873, 623, 19, 30, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[28563, 898, 295, 9, 44, "Subsubsection"],
Cell[28861, 909, 314, 10, 24, "Input"],
Cell[CellGroupData[{
Cell[29200, 923, 180, 5, 24, "Input"],
Cell[29383, 930, 476, 9, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[29932, 947, 48, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[30005, 951, 135, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[30165, 958, 272, 8, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[30462, 970, 1133, 32, 40, "Input"],
Cell[31598, 1004, 785, 14, 122, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[32444, 1025, 144, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[32613, 1032, 828, 22, 89, "Subsubsection"],
Cell[CellGroupData[{
Cell[33466, 1058, 930, 27, 70, "Input"],
Cell[34399, 1087, 264, 7, 27, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[34724, 1101, 139, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[34888, 1108, 371, 13, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[35284, 1125, 535, 18, 24, "Input"],
Cell[35822, 1145, 732, 24, 30, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[36627, 1177, 45, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[36697, 1181, 145, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[36867, 1188, 385, 13, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[37277, 1205, 711, 24, 40, "Input"],
Cell[37991, 1231, 458, 15, 44, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[38510, 1253, 141, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[38676, 1260, 704, 21, 74, "Subsubsection"],
Cell[CellGroupData[{
Cell[39405, 1285, 1524, 43, 70, "Input"],
Cell[40932, 1330, 2531, 47, 330, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[43524, 1384, 139, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[43688, 1391, 704, 21, 89, "Subsubsection"],
Cell[44395, 1414, 696, 21, 55, "Input"],
Cell[CellGroupData[{
Cell[45116, 1439, 149, 5, 24, "Input"],
Cell[45268, 1446, 139, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[45456, 1454, 439, 13, 50, "Subsubsection"],
Cell[45898, 1469, 696, 21, 55, "Input"],
Cell[CellGroupData[{
Cell[46619, 1494, 850, 25, 30, "Input"],
Cell[47472, 1521, 225, 5, 46, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[47746, 1532, 6520, 185, 387, "Subsubsection"],
Cell[54269, 1719, 3041, 80, 135, "Input"],
Cell[CellGroupData[{
Cell[57335, 1803, 1154, 35, 40, "Input"],
Cell[58492, 1840, 1102, 30, 90, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[59655, 1877, 152, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[59832, 1885, 359, 10, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[60216, 1899, 473, 14, 24, "Input"],
Cell[60692, 1915, 2084, 66, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62813, 1986, 570, 17, 40, "Input"],
Cell[63386, 2005, 1137, 34, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[64596, 2047, 43, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[64664, 2051, 135, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[64824, 2058, 344, 9, 58, "Subsubsection"],
Cell[65171, 2069, 336, 9, 24, "Input"],
Cell[CellGroupData[{
Cell[65532, 2082, 797, 24, 40, "Input"],
Cell[66332, 2108, 184, 4, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[66565, 2118, 423, 15, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[67013, 2137, 1775, 53, 70, "Input"],
Cell[68791, 2192, 141, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[68981, 2200, 1935, 53, 121, "Subsubsection"],
Cell[70919, 2255, 1846, 51, 86, "Input"],
Cell[CellGroupData[{
Cell[72790, 2310, 294, 8, 24, "Input"],
Cell[73087, 2320, 655, 20, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[73791, 2346, 5428, 144, 285, "Subsubsection"],
Cell[79222, 2492, 5808, 158, 295, "Input"],
Cell[CellGroupData[{
Cell[85055, 2654, 594, 19, 24, "Input"],
Cell[85652, 2675, 475, 14, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[86176, 2695, 1570, 45, 120, "Subsubsection"],
Cell[87749, 2742, 3392, 96, 176, "Input"],
Cell[CellGroupData[{
Cell[91166, 2842, 524, 14, 40, "Input"],
Cell[91693, 2858, 1027, 32, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[92781, 2897, 145, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[92951, 2904, 193, 5, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[93169, 2913, 585, 19, 40, "Input"],
Cell[93757, 2934, 218, 4, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[94024, 2944, 674, 21, 60, "Subsubsection"],
Cell[CellGroupData[{
Cell[94723, 2969, 1056, 33, 55, "Input"],
Cell[95782, 3004, 282, 8, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[96091, 3016, 1297, 35, 47, "Subsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97425, 3056, 152, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[97602, 3064, 304, 9, 58, "Subsubsection"],
Cell[97909, 3075, 296, 9, 24, "Input"],
Cell[CellGroupData[{
Cell[98230, 3088, 777, 21, 55, "Input"],
Cell[99010, 3111, 680, 20, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[99727, 3136, 954, 27, 40, "Input"],
Cell[100684, 3165, 217, 4, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[100962, 3176, 154, 4, 46, "Subsection"],
Cell[101119, 3182, 550, 17, 65, "Subsubsection"],
Cell[101672, 3201, 429, 13, 51, "Subsubsection"],
Cell[102104, 3216, 623, 20, 51, "Subsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[102764, 3241, 138, 3, 46, "Subsection"],
Cell[102905, 3246, 381, 11, 58, "Subsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[103323, 3262, 132, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[103480, 3269, 426, 14, 65, "Subsubsection"],
Cell[CellGroupData[{
Cell[103931, 3287, 804, 23, 51, "Input"],
Cell[104738, 3312, 221, 4, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[105032, 3324, 48, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[105105, 3328, 159, 4, 46, "Subsection"],
Cell[105267, 3334, 1000, 32, 89, "Subsubsection"],
Cell[106270, 3368, 1212, 44, 60, "Subsubsection"],
Cell[107485, 3414, 431, 12, 60, "Subsubsection"],
Cell[107919, 3428, 162, 4, 44, "Subsubsection"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature MvDoxQoyoGtKXD1J0w7hDcsn *)
