(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[    288660,       8071]
NotebookOptionsPosition[    240397,       6896]
NotebookOutlinePosition[    277463,       7677]
CellTagsIndexPosition[    277420,       7674]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {
    ButtonBox[Cell[GraphicsData["CompressedBitmap", "\<\
eJzVWL1uFDEQduzd2/wgISEkRHco0NGlAN0DAAXcC1CdIqSkQKAkokjDC9Aj
UoBESUt5LW9AR5UHiQ782fPtzXq9l70lKKLwrj3jmfHOfPaM98Xs5ODV69nJ
4f5s/PRo9vbgcP94/OTNkSe5DWPML9/ujA36v31XHlPz6ebuB7O3t2fMuv0t
9M3I/Dh5H3ps3x4/M9+fv6zCoAzsxcVF3TAuA8+Znx+/BBpGhdAwBj2O2rRR
eFYwUctTL8eFzNRyaMJ3YjBh2/BdpTk9PTXn5+dmsViY+XxuptOpnwzeKPRB
Aw8N8zzNBbYzZ2dngYwRRbQ6vEVlISIgQwwjm6EVmVXhDX5PE2CDhcWXPdSl
HynqSmHr1aHJR7vM4scRKpsSR8QMTv/64JH/1jYGSoktaXjruOJd/AV2iDtA
lLixsBCm9ULNTouNL4TH6Cl6Fv3okyrwQaOnMYdzc9hxSeQw12Jkg4oYIvof
TZyei4GTsFE/7WLslV1iqmqZ4rfobXGJbroHYjYwXQ0+rWYossoGQkCJCAMl
oo7BsgkCMN8liAIvpQ1BGWU/330Y59neKOs8m3Qw6HS6B85nYBj0NHgiExxu
dYgmk0mIHN45f+eOJpuENwY2HlqJ4U5bW5062sjTH6htc7cNh1Glkgo9z4OK
fYseMcCsVsfWP9FnJroK/OTm0e6Sti6SdIDUts05p1pxMulUU4RnTEM9DyWb
qAYUqk7VrqE6XVYq2zz4cssfDpHtRkQ1VBAZwse/04D9f0CxAhQmBsldubql
Eyhh2xeyqcFhHFcdJ71w0ql581rQMZKAEAEsivG2UpPiMFGoYaSuOxW1Kxpt
ncmUH2WX0HB1yo+5aVgWUiIIFVXrmpX5QJvTVdcyZ6yXR7rsXX1O2mmtnfU1
9Wlb9zSmqkbgdThAt8l2B/7cwCraJRimHGBga9CIEI87oo5CmZI6FYtT4p7Q
6/J2FLrK2oVSTDagMLSg1oW6ldk6NHJqgVQ2FKelas+Kt8vO9npqVhbOYbmR
W9Wz0dK1C67KJGTLNBQxw22PxlS1xEz/Gz3xpG/pTdyW9biNzT43/Corj/2h
z93kBwXzGiEku463W15+9eV4jRs+g+nPlrQcZSgkNCOBed+LvdJ8o4foykt8
1VoUf3SAFm9+rpECJc/tSGSZy9Bu9UxQ9/GUn0fjfy1zO+4M76F3w6Xj7Qpp
gm44vkxZs4zy22d3zdUUDcz7/m7GBdwaOseThreW6fMvz2z8AbMc9mc=\
\>"], "Graphics",
      Evaluatable->False,
      GeneratedCell->False,
      CellAutoOverwrite->False,
      ImageSize->{218, 23},
      ImageMargins->{{0, 0}, {0, 0}},
      ImageRegion->{{0, 1}, {0, 1}}],
     Active->True,
     Appearance->{Automatic, None},
     BaseStyle->"Hyperlink",
     ButtonData:>{
       URL["http://www.wolframscience.com"], None},
     ButtonNote->"A New Kind of Science"]}
  }]], "TitleCell1",
 CellMargins->{{Inherited, Inherited}, {0, Inherited}}],

Cell[TextData[{
 "From: ",
 StyleBox["A New Kind of Science",
  FontSlant->"Italic"],
 ", by Stephen Wolfram \[Copyright] 2002 Stephen Wolfram, LLC"
}], "Text",
 ShowCellBracket->False,
 CellMargins->{{36, Inherited}, {Inherited, 5}}],

Cell["NOTES FOR CHAPTER 9", "TitleHeader"],

Cell[CellGroupData[{

Cell["Fundamental Physics", "Title"],

Cell[CellGroupData[{

Cell["The Notion of Reversibility", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 437 \[CenterDot] Testing for reversibility\
\>", "Subsection"], Cell[" (page 1017)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"CAStep", "[", 
    RowBox[{"rule_List", ",", "a_List"}], "]"}], ":=", 
   RowBox[{"rule", "\[LeftDoubleBracket]", 
    RowBox[{"8", "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"RotateLeft", "[", "a", "]"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"a", "+", 
          RowBox[{"2", " ", 
           RowBox[{"RotateRight", "[", "a", "]"}]}]}], ")"}]}]}], ")"}]}], 
    "\[RightDoubleBracket]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ReversibleQ", "[", 
   RowBox[{"rule_", ",", "k_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Catch", "[", 
   RowBox[{
    RowBox[{"Do", "[", 
     RowBox[{
      RowBox[{"If", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "[", 
          RowBox[{"Union", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"CAStep", "[", 
              RowBox[{"rule", ",", 
               RowBox[{"IntegerDigits", "[", 
                RowBox[{"i", ",", "k", ",", "m"}], "]"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "0", ",", 
               RowBox[{
                SuperscriptBox["k", 
                 RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "m"}]], "-", 
                "1"}]}], "}"}]}], "]"}], "]"}], "]"}], "\[NotEqual]", 
         SuperscriptBox["k", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "m"}]]}], ",", 
        RowBox[{"Throw", "[", "False", "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "n"}], "}"}]}], "]"}], ";", "True"}], 
   "]"}]}]}], "Subsubsection",
 CellChangeTimes->{{3.513002183548327*^9, 3.513002184904986*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CAStep", "[", 
   RowBox[{"rule_List", ",", "a_List"}], "]"}], ":=", 
  RowBox[{"rule", "\[LeftDoubleBracket]", 
   RowBox[{"8", "-", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"RotateLeft", "[", "a", "]"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"a", "+", 
         RowBox[{"2", " ", 
          RowBox[{"RotateRight", "[", "a", "]"}]}]}], ")"}]}]}], ")"}]}], 
   "\[RightDoubleBracket]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ReversibleQ", "[", 
   RowBox[{"rule_", ",", "k_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Catch", "[", 
   RowBox[{
    RowBox[{"Do", "[", 
     RowBox[{
      RowBox[{"If", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "[", 
          RowBox[{"Union", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"CAStep", "[", 
              RowBox[{"rule", ",", 
               RowBox[{"IntegerDigits", "[", 
                RowBox[{"i", ",", "k", ",", "m"}], "]"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "0", ",", 
               RowBox[{
                SuperscriptBox["k", 
                 RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "m"}]], "-", 
                "1"}]}], "}"}]}], "]"}], "]"}], "]"}], "\[NotEqual]", 
         SuperscriptBox["k", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "m"}]]}], ",", 
        RowBox[{"Throw", "[", "False", "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "n"}], "}"}]}], "]"}], ";", "True"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.513002188249844*^9, 3.51300218871391*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ReversibleQ", "[", 
  RowBox[{
   RowBox[{"IntegerDigits", "[", 
    RowBox[{"51", ",", "2", ",", "8"}], "]"}], ",", "2", ",", "4"}], 
  "]"}]], "Input"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.413726994845292*^9, {3.4137271454078503`*^9, 3.413727156340225*^9}, {
   3.42824913212326*^9, 3.428249141406365*^9}, 3.4282491952300053`*^9, 
   3.432317514124763*^9, 3.500210317121127*^9, 3.513002194441279*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 437 \[CenterDot] Second-order cellular automata\
\>", "Subsection"], Cell[" (page 1017)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"CA2EvolveList", "[", 
    RowBox[{"rule_List", ",", 
     RowBox[{"{", 
      RowBox[{"a_List", ",", "b_List"}], "}"}], ",", "t_Integer"}], "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{"First", ",", 
     RowBox[{"NestList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"CA2Step", "[", 
         RowBox[{"rule", ",", "#"}], "]"}], "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", "t"}], "]"}]}], "]"}]}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"CA2Step", "[", 
   RowBox[{"rule_List", ",", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{"b", ",", 
    RowBox[{"Mod", "[", 
     RowBox[{
      RowBox[{"a", "+", 
       RowBox[{"rule", "\[LeftDoubleBracket]", 
        RowBox[{"8", "-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"RotateLeft", "[", "b", "]"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "+", 
              RowBox[{"2", " ", 
               RowBox[{"RotateRight", "[", "b", "]"}]}]}], ")"}]}]}], ")"}]}],
         "\[RightDoubleBracket]"}]}], ",", "2"}], "]"}]}], 
   "}"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CA2EvolveList", "[", 
   RowBox[{"rule_List", ",", 
    RowBox[{"{", 
     RowBox[{"a_List", ",", "b_List"}], "}"}], ",", "t_Integer"}], "]"}], ":=", 
  RowBox[{"Map", "[", 
   RowBox[{"First", ",", 
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"CA2Step", "[", 
        RowBox[{"rule", ",", "#"}], "]"}], "&"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", "t"}], "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"CA2Step", "[", 
   RowBox[{"rule_List", ",", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{"b", ",", 
    RowBox[{"Mod", "[", 
     RowBox[{
      RowBox[{"a", "+", 
       RowBox[{"rule", "\[LeftDoubleBracket]", 
        RowBox[{"8", "-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"RotateLeft", "[", "b", "]"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "+", 
              RowBox[{"2", " ", 
               RowBox[{"RotateRight", "[", "b", "]"}]}]}], ")"}]}]}], ")"}]}],
         "\[RightDoubleBracket]"}]}], ",", "2"}], "]"}]}], "}"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{"CA2EvolveList", "[", 
   RowBox[{
    RowBox[{"IntegerDigits", "[", 
     RowBox[{"214", ",", "2", ",", "8"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
        "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
        "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", "6"}], 
   "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5130022496562357`*^9, 3.513002252195404*^9}, {
  3.513002298384549*^9, 3.513002300959626*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0"},
    {"0", "0", "0", "1", "1", "1", "1", "1", "0", "0", "0"},
    {"0", "0", "1", "0", "0", "1", "0", "1", "1", "0", "0"},
    {"0", "1", "1", "0", "0", "0", "1", "1", "1", "1", "0"},
    {"1", "0", "0", "1", "0", "0", "0", "0", "0", "1", "1"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.4137269950188017`*^9, 3.413727156421617*^9, 
  3.428249208642775*^9, 3.432317514277478*^9, 3.500210323444543*^9, 
  3.51300225547392*^9, 3.513002303029888*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Generalized additive rules", "Subsection"], Cell[
     " (page 1018)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"Rest", "[", "list", "]"}], ",", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{"Apply", "[", 
          RowBox[{"Plus", ",", 
           RowBox[{"Flatten", "[", 
            RowBox[{"c", " ", "#"}], "]"}]}], "]"}], ",", "2"}], "]"}], "&"}],
       ",", 
      RowBox[{"Transpose", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"RotateLeft", "[", 
           RowBox[{"list", ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "i"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"-", "r"}], ",", "r"}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "2", ",", "1"}], "}"}]}], "]"}]}], "]"}]}], "]"}], 
  "\n"}], "\n", 
 RowBox[{"r", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Length", "[", 
      RowBox[{"First", "[", "c", "]"}], "]"}], "-", "1"}], ")"}], "/", 
   "2"}]}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"c", "=", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "1"}], "}"}], "}"}]}], ",", "r", ",", 
      RowBox[{"init", "=", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
         "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",",
           "0", ",", "0", ",", "0", ",", "0"}], "}"}], "}"}]}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"r", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Length", "[", 
          RowBox[{"First", "[", "c", "]"}], "]"}], "-", "1"}], ")"}], "/", 
       "2"}]}], ";", " ", 
     RowBox[{"NestList", "[", 
      RowBox[{
       RowBox[{"Function", "[", 
        RowBox[{"list", ",", 
         RowBox[{"Append", "[", 
          RowBox[{
           RowBox[{"Rest", "[", "list", "]"}], ",", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Mod", "[", 
               RowBox[{
                RowBox[{"Apply", "[", 
                 RowBox[{"Plus", ",", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{"c", " ", "#"}], "]"}]}], "]"}], ",", "2"}], "]"}],
               "&"}], ",", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"RotateLeft", "[", 
                  RowBox[{"list", ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "i"}], "}"}]}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"i", ",", 
                   RowBox[{"-", "r"}], ",", "r"}], "}"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "2", ",", "1"}], "}"}]}], "]"}]}], "]"}]}], 
          "]"}]}], "]"}], ",", "init", ",", "5"}], "]"}]}]}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
     "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
      "0", ",", "0", ",", "0", ",", "0"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
     "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
      "0", ",", "0", ",", "0", ",", "0"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
     "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
      "1", ",", "0", ",", "0", ",", "0"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
     "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
      "0", ",", "1", ",", "0", ",", "0"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
     "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
      "0", ",", "0", ",", "1", ",", "0"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
     "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
      "0", ",", "1", ",", "0", ",", "1"}], "}"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413726995084661*^9, 3.413727156490645*^9, 
  3.428249215834734*^9, 3.4323175143633957`*^9, 3.500210328351672*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Other reversible systems", "Subsection"], Cell[
     " (page 1018)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"i", ",", "2", ",", "3"}], "]"}], "\[Rule]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"First", "[", "#", "]"}], "==", "0"}], ",", 
         RowBox[{"{", 
          RowBox[{"#", ",", 
           RowBox[{"-", "1"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Reverse", "[", "#", "]"}], ",", "1"}], "}"}]}], "]"}]}], 
      "&"}], ")"}], "[", 
    RowBox[{"IntegerDigits", "[", 
     RowBox[{
      RowBox[{"perm", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
      ",", "2", ",", "3"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "8"}], "}"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"perm", "=", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "7", ",", "5", ",", "3", ",", "6", ",", "2", ",", "8", ",", 
       "4"}], "}"}]}], "}"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"IntegerDigits", "[", 
          RowBox[{"i", ",", "2", ",", "3"}], "]"}], "\[Rule]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"First", "[", "#", "]"}], "==", "0"}], ",", 
           RowBox[{"{", 
            RowBox[{"#", ",", 
             RowBox[{"-", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Reverse", "[", "#", "]"}], ",", "1"}], "}"}]}], "]"}]}],
         "&"}], ")"}], "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{
        RowBox[{
        "perm", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], ",", 
        "2", ",", "3"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "8"}], "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}], "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
      RowBox[{"-", "1"}]}], "}"}]}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0"}], "}"}], "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", "1"}], "}"}]}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "1"}], "}"}], "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", "1"}], "}"}]}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0"}], "}"}], "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"-", "1"}]}], "}"}]}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "1"}], "}"}], "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", "1"}], "}"}]}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "0"}], "}"}], "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
      RowBox[{"-", "1"}]}], "}"}]}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1"}], "}"}], "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"-", "1"}]}], "}"}]}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0"}], "}"}], "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", "1"}], "}"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4137269951338*^9, 3.41372715653985*^9, 
  3.428249223029986*^9, 3.432317514417304*^9, 3.500210331995431*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Conserved Quantities and Continuum Phenomena", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Implementation", "Subsection"], Cell[" (page 1022)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Catch", "[", 
  RowBox[{
   RowBox[{"Do", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Apply", "[", 
            RowBox[{"Plus", ",", 
             RowBox[{
              RowBox[{"CAStep", "[", 
               RowBox[{"rule", ",", "#"}], "]"}], "-", "#"}]}], "]"}], 
           "\[NotEqual]", "0"}], ",", 
          RowBox[{"Throw", "[", "False", "]"}]}], "]"}], "&"}], ")"}], "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"i", ",", "k", ",", "m"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "w"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", 
       RowBox[{
        SuperscriptBox["k", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "m"}]], "-", "1"}]}], 
      "}"}]}], "]"}], ";", "True"}], "]"}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"CAStep", "[", 
   RowBox[{"rule_", ",", "a_"}], "]"}], ":=", 
  RowBox[{"rule", "\[LeftDoubleBracket]", 
   RowBox[{"8", "-", 
    RowBox[{"ListConvolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "4"}], "}"}], ",", "a", ",", "2"}], 
     "]"}]}], "\[RightDoubleBracket]"}]}]], "Input",
 CellChangeTimes->{3.432317337186496*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"rule", "=", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"204", ",", "2", ",", "8"}], "]"}]}], ",", 
     RowBox[{"k", "=", "2"}], ",", 
     RowBox[{"n", "=", "5"}]}], "}"}], ",", 
   RowBox[{"Catch", "[", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Apply", "[", 
              RowBox[{"Plus", ",", 
               RowBox[{
                RowBox[{"CAStep", "[", 
                 RowBox[{"rule", ",", "#"}], "]"}], "-", "#"}]}], "]"}], 
             "\[NotEqual]", "0"}], ",", 
            RowBox[{"Throw", "[", "False", "]"}]}], "]"}], "&"}], ")"}], "[", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{"i", ",", "k", ",", "m"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "n"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{
          SuperscriptBox["k", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "m"}]], "-", "1"}]}], 
        "}"}]}], "]"}], ";", "True"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.413726995199727*^9, 3.413727156608391*^9, 
  3.42825038563238*^9, 3.432317514495885*^9, 3.500210337782339*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["More general conserved quantities", "Subsection"], Cell[
     " (page 1022)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"BC", "[", "list_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z", "=", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"FromDigits", "[", 
           RowBox[{"#", ",", "k"}], "]"}], "&"}], ",", 
         RowBox[{"Partition", "[", 
          RowBox[{"list", ",", "b", ",", "1", ",", "1"}], "]"}]}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Count", "[", 
         RowBox[{"z", ",", "#"}], "]"}], "&"}], ",", 
       RowBox[{"Range", "[", 
        RowBox[{"0", ",", 
         RowBox[{
          SuperscriptBox["k", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "b"}]], "-", "1"}]}], 
        "]"}]}], "]"}]}], "]"}]}], "\n"}], "\n", 
 RowBox[{"NullSpace", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"u", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Random", "[", 
           RowBox[{"Integer", ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"k", "-", "1"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"{", "m", "}"}]}], "]"}]}], "}"}], ",", 
      RowBox[{
       RowBox[{"BC", "[", 
        RowBox[{"CAStep", "[", "u", "]"}], "]"}], "-", 
       RowBox[{"BC", "[", "u", "]"}]}]}], "]"}], ",", 
    RowBox[{"{", "s", "}"}]}], "]"}], "]"}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"BC", "[", "list_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"z", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"FromDigits", "[", 
          RowBox[{"#", ",", "k"}], "]"}], "&"}], ",", 
        RowBox[{"Partition", "[", 
         RowBox[{"list", ",", "b", ",", "1", ",", "1"}], "]"}]}], "]"}]}], 
     "}"}], ",", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Count", "[", 
        RowBox[{"z", ",", "#"}], "]"}], "&"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{
         SuperscriptBox["k", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "b"}]], "-", "1"}]}], 
       "]"}]}], "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"CAStep", "[", "list_", "]"}], ":=", 
  RowBox[{
   RowBox[{"IntegerDigits", "[", 
    RowBox[{"12", ",", "2", ",", "8"}], "]"}], "\[LeftDoubleBracket]", 
   RowBox[{"8", "-", 
    RowBox[{"ListConvolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "4"}], "}"}], ",", "list", ",", "2"}], 
     "]"}]}], "\[RightDoubleBracket]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "=", "2"}], ",", 
     RowBox[{"b", "=", "2"}], ",", 
     RowBox[{"m", "=", "20"}], ",", 
     RowBox[{"s", "=", "5"}]}], "}"}], ",", " ", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"BC", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}],
       "]"}], ",", 
     RowBox[{"NullSpace", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"u", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Random", "[", 
               RowBox[{"Integer", ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"k", "-", "1"}]}], "}"}]}], "]"}], ",", 
              RowBox[{"{", "m", "}"}]}], "]"}]}], "}"}], ",", 
          RowBox[{
           RowBox[{"BC", "[", 
            RowBox[{"CAStep", "[", "u", "]"}], "]"}], "-", 
           RowBox[{"BC", "[", "u", "]"}]}]}], "]"}], ",", 
        RowBox[{"{", "s", "}"}]}], "]"}], "]"}]}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413726995414835*^9, 3.413727156689807*^9, 
  3.428251302192086*^9, 3.432317514620611*^9, 3.5002103442770767`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Block cellular automata", "Subsection"], Cell[" (page 1023)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"BCAEvolveList", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n_Integer", ",", "rule_"}], "}"}], ",", "init_", ",", "t_"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{"FoldList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"BCAStep", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"n", ",", "rule"}], "}"}], ",", "#1", ",", "#2"}], "]"}], 
       "&"}], ",", "init", ",", 
      RowBox[{"Range", "[", "t", "]"}]}], "]"}], "/;", 
    RowBox[{
     RowBox[{"Mod", "[", 
      RowBox[{
       RowBox[{"Length", "[", "init", "]"}], ",", "n"}], "]"}], "==", 
     "0"}]}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"BCAStep", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n_", ",", "rule_"}], "}"}], ",", "a_", ",", "d_"}], "]"}], ":=", 
  RowBox[{"RotateRight", "[", 
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{
      RowBox[{"Partition", "[", 
       RowBox[{
        RowBox[{"RotateLeft", "[", 
         RowBox[{"a", ",", "d"}], "]"}], ",", "n"}], "]"}], "/.", 
      "\[InvisibleSpace]", "rule"}], "]"}], ",", "d"}], 
   "]"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"BCAEvolveList", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n_Integer", ",", "rule_"}], "}"}], ",", "init_", ",", "t_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"FoldList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"BCAStep", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"n", ",", "rule"}], "}"}], ",", "#1", ",", "#2"}], "]"}], 
      "&"}], ",", "init", ",", 
     RowBox[{"Range", "[", "t", "]"}]}], "]"}], "/;", 
   RowBox[{
    RowBox[{"Mod", "[", 
     RowBox[{
      RowBox[{"Length", "[", "init", "]"}], ",", "n"}], "]"}], "==", 
    "0"}]}]}], "\n", 
 RowBox[{
  RowBox[{"BCAStep", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n_", ",", "rule_"}], "}"}], ",", "a_", ",", "d_"}], "]"}], ":=", 
  RowBox[{"RotateRight", "[", 
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{
      RowBox[{"Partition", "[", 
       RowBox[{
        RowBox[{"RotateLeft", "[", 
         RowBox[{"a", ",", "d"}], "]"}], ",", "n"}], "]"}], "/.", 
      "\[InvisibleSpace]", "rule"}], "]"}], ",", "d"}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{"BCAEvolveList", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}], "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}]}], ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}]}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
      "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", "5"}], "]"}],
   "]"}]], "Input",
 CellChangeTimes->{{3.513002286396826*^9, 3.5130022888188143`*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "1", "1", "0", "0", "0", "0", "0", "0"},
    {"1", "0", "1", "0", "0", "1", "0", "0", "1", "0", "1", "0"},
    {"1", "0", "1", "0", "0", "0", "0", "1", "1", "0", "1", "0"},
    {"0", "0", "0", "0", "1", "0", "1", "1", "1", "0", "0", "0"},
    {"0", "1", "0", "1", "1", "0", "1", "1", "1", "0", "0", "1"},
    {"0", "1", "0", "1", "1", "0", "0", "1", "1", "0", "1", "1"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.413726995492405*^9, 3.413727156776319*^9, 
  3.428251316271195*^9, 3.432317514698522*^9, 3.5002103499870234`*^9, 
  3.513002291375111*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Derivation of the diffusion equation", "Subsection"], Cell[
     " (page 1024)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{
    RowBox[{"x", "+", "dx"}], ",", "t"}], "]"}], "==", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x", ",", "t"}], "]"}], "+", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[PartialD]", "x"], 
     RowBox[{"f", "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], " ", "dx"}], "+", 
   RowBox[{
    RowBox[{"1", "/", "2"}], " ", 
    RowBox[{
     SubscriptBox["\[PartialD]", 
      RowBox[{"x", "\[InvisibleComma]", "x"}]], 
     RowBox[{"f", "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], " ", 
    SuperscriptBox["dx", 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "+", 
   "\[Ellipsis]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"x", ",", 
    RowBox[{"t", "+", "dt"}]}], "]"}], "==", 
  RowBox[{
   RowBox[{
    SubscriptBox["p", "1"], " ", 
    RowBox[{"f", "[", 
     RowBox[{
      RowBox[{"x", "-", "dx"}], ",", "t"}], "]"}]}], "+", 
   RowBox[{
    SubscriptBox["p", "2"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"x", ",", "t"}], "]"}]}], "+", 
   RowBox[{
    SubscriptBox["p", "3"], " ", 
    RowBox[{"f", "[", 
     RowBox[{
      RowBox[{"x", "+", "dx"}], ",", "t"}], "]"}]}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"x", ",", 
    RowBox[{"t", "+", "dt"}]}], "]"}], "==", 
  RowBox[{
   RowBox[{"c", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{
        RowBox[{"x", "-", "dx"}], ",", "t"}], "]"}], "+", 
      RowBox[{"f", "[", 
       RowBox[{
        RowBox[{"x", "+", "dx"}], ",", "t"}], "]"}]}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "c"}]}], ")"}], " ", 
    RowBox[{"f", "[", 
     RowBox[{"x", ",", "t"}], "]"}]}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x", ",", "t"}], "]"}], "+", 
   RowBox[{"dt", " ", 
    RowBox[{
     SubscriptBox["\[PartialD]", "t"], 
     RowBox[{"f", "[", 
      RowBox[{"x", ",", "t"}], "]"}]}]}]}], "==", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x", ",", "t"}], "]"}], "+", 
   RowBox[{"c", " ", 
    SuperscriptBox["dx", 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
    RowBox[{
     SubscriptBox["\[PartialD]", 
      RowBox[{"x", "\[InvisibleComma]", "x"}]], 
     RowBox[{"f", "[", 
      RowBox[{"x", ",", "t"}], "]"}]}]}]}]}]], "Subsubsection"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Space as a Network", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 477 \[CenterDot] 3D network", "Subsection"], Cell[
     " (page 1030)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"x", "[", 
    RowBox[{"m", ":", 
     RowBox[{"{", 
      RowBox[{"_", ",", "_", ",", "_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SubscriptBox["x", "1"], "[", "m", "]"}], ",", 
     RowBox[{
      SubscriptBox["x", "1"], "[", 
      RowBox[{"m", "+", "4"}], "]"}], ",", 
     RowBox[{
      SubscriptBox["x", "2"], "[", 
      RowBox[{"m", "+", 
       RowBox[{"{", 
        RowBox[{"4", ",", "2", ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{
      SubscriptBox["x", "2"], "[", 
      RowBox[{"m", "+", 
       RowBox[{"{", 
        RowBox[{"0", ",", "6", ",", "4"}], "}"}]}], "]"}]}], "}"}]}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["x", "1"], "[", 
    RowBox[{"m", ":", 
     RowBox[{"{", 
      RowBox[{"_", ",", "_", ",", "_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"Line", "[", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "+", "m"}], "&"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "1", ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "0", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "1", ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"4", ",", "2", ",", "3"}], "}"}]}], "}"}]}], "]"}], "]"}]}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["x", "2"], "[", 
   RowBox[{"{", 
    RowBox[{"i_", ",", "j_", ",", "k_"}], "}"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    SubscriptBox["x", "1"], "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "i"}], "-", "4"}], ",", 
      RowBox[{
       RowBox[{"-", "j"}], "-", "2"}], ",", "k"}], "}"}], "]"}], "/.", 
   "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}], ",", "c"}], "}"}]}]}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "[", 
   RowBox[{"m", ":", 
    RowBox[{"{", 
     RowBox[{"_", ",", "_", ",", "_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     SubscriptBox["x", "1"], "[", "m", "]"}], ",", 
    RowBox[{
     SubscriptBox["x", "1"], "[", 
     RowBox[{"m", "+", "4"}], "]"}], ",", 
    RowBox[{
     SubscriptBox["x", "2"], "[", 
     RowBox[{"m", "+", 
      RowBox[{"{", 
       RowBox[{"4", ",", "2", ",", "0"}], "}"}]}], "]"}], ",", 
    RowBox[{
     SubscriptBox["x", "2"], "[", 
     RowBox[{"m", "+", 
      RowBox[{"{", 
       RowBox[{"0", ",", "6", ",", "4"}], "}"}]}], "]"}]}], "}"}]}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["x", "1"], "[", 
   RowBox[{"m", ":", 
    RowBox[{"{", 
     RowBox[{"_", ",", "_", ",", "_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"Line", "[", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "+", "m"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "2", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "1", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "0", ",", "4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "1", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "2", ",", "3"}], "}"}]}], "}"}]}], "]"}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["x", "2"], "[", 
   RowBox[{"{", 
    RowBox[{"i_", ",", "j_", ",", "k_"}], "}"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    SubscriptBox["x", "1"], "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "i"}], "-", "4"}], ",", 
      RowBox[{
       RowBox[{"-", "j"}], "-", "2"}], ",", "k"}], "}"}], "]"}], "/.", 
   "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}], ",", "c"}], "}"}]}]}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{"Array", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", 
      RowBox[{"8", 
       RowBox[{"{", "##", "}"}]}], "]"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "2", ",", "2"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{
  3.388760758912532*^9, {3.413728269788127*^9, 3.413728270762594*^9}}],

Cell[BoxData[
 Graphics3DBox[{{{{
      Line3DBox[{{9, 8, 8}, {9, 9, 9}, {8, 10, 9}, {9, 9, 9}, {11, 9, 11}, {
       11, 8, 12}, {11, 9, 11}, {12, 10, 11}}], 
      Line3DBox[{{13, 12, 12}, {13, 13, 13}, {12, 14, 13}, {13, 13, 13}, {15, 
       13, 15}, {15, 12, 16}, {15, 13, 15}, {16, 14, 15}}], 
      Line3DBox[{{15, 12, 8}, {15, 11, 9}, {16, 10, 9}, {15, 11, 9}, {13, 11, 
       11}, {13, 12, 12}, {13, 11, 11}, {12, 10, 11}}], 
      Line3DBox[{{11, 16, 12}, {11, 15, 13}, {12, 14, 13}, {11, 15, 13}, {9, 
       15, 15}, {9, 16, 16}, {9, 15, 15}, {8, 14, 15}}]}, {
      Line3DBox[{{9, 8, 16}, {9, 9, 17}, {8, 10, 17}, {9, 9, 17}, {11, 9, 
       19}, {11, 8, 20}, {11, 9, 19}, {12, 10, 19}}], 
      Line3DBox[{{13, 12, 20}, {13, 13, 21}, {12, 14, 21}, {13, 13, 21}, {15, 
       13, 23}, {15, 12, 24}, {15, 13, 23}, {16, 14, 23}}], 
      Line3DBox[{{15, 12, 16}, {15, 11, 17}, {16, 10, 17}, {15, 11, 17}, {13, 
       11, 19}, {13, 12, 20}, {13, 11, 19}, {12, 10, 19}}], 
      Line3DBox[{{11, 16, 20}, {11, 15, 21}, {12, 14, 21}, {11, 15, 21}, {9, 
       15, 23}, {9, 16, 24}, {9, 15, 23}, {8, 14, 23}}]}}, {{
      Line3DBox[{{9, 16, 8}, {9, 17, 9}, {8, 18, 9}, {9, 17, 9}, {11, 17, 
       11}, {11, 16, 12}, {11, 17, 11}, {12, 18, 11}}], 
      Line3DBox[{{13, 20, 12}, {13, 21, 13}, {12, 22, 13}, {13, 21, 13}, {15, 
       21, 15}, {15, 20, 16}, {15, 21, 15}, {16, 22, 15}}], 
      Line3DBox[{{15, 20, 8}, {15, 19, 9}, {16, 18, 9}, {15, 19, 9}, {13, 19, 
       11}, {13, 20, 12}, {13, 19, 11}, {12, 18, 11}}], 
      Line3DBox[{{11, 24, 12}, {11, 23, 13}, {12, 22, 13}, {11, 23, 13}, {9, 
       23, 15}, {9, 24, 16}, {9, 23, 15}, {8, 22, 15}}]}, {
      Line3DBox[{{9, 16, 16}, {9, 17, 17}, {8, 18, 17}, {9, 17, 17}, {11, 17, 
       19}, {11, 16, 20}, {11, 17, 19}, {12, 18, 19}}], 
      Line3DBox[{{13, 20, 20}, {13, 21, 21}, {12, 22, 21}, {13, 21, 21}, {15, 
       21, 23}, {15, 20, 24}, {15, 21, 23}, {16, 22, 23}}], 
      Line3DBox[{{15, 20, 16}, {15, 19, 17}, {16, 18, 17}, {15, 19, 17}, {13, 
       19, 19}, {13, 20, 20}, {13, 19, 19}, {12, 18, 19}}], 
      Line3DBox[{{11, 24, 20}, {11, 23, 21}, {12, 22, 21}, {11, 23, 21}, {9, 
       23, 23}, {9, 24, 24}, {9, 23, 23}, {8, 22, 23}}]}}}, {{{
      Line3DBox[{{17, 8, 8}, {17, 9, 9}, {16, 10, 9}, {17, 9, 9}, {19, 9, 
       11}, {19, 8, 12}, {19, 9, 11}, {20, 10, 11}}], 
      Line3DBox[{{21, 12, 12}, {21, 13, 13}, {20, 14, 13}, {21, 13, 13}, {23, 
       13, 15}, {23, 12, 16}, {23, 13, 15}, {24, 14, 15}}], 
      Line3DBox[{{23, 12, 8}, {23, 11, 9}, {24, 10, 9}, {23, 11, 9}, {21, 11, 
       11}, {21, 12, 12}, {21, 11, 11}, {20, 10, 11}}], 
      Line3DBox[{{19, 16, 12}, {19, 15, 13}, {20, 14, 13}, {19, 15, 13}, {17, 
       15, 15}, {17, 16, 16}, {17, 15, 15}, {16, 14, 15}}]}, {
      Line3DBox[{{17, 8, 16}, {17, 9, 17}, {16, 10, 17}, {17, 9, 17}, {19, 9, 
       19}, {19, 8, 20}, {19, 9, 19}, {20, 10, 19}}], 
      Line3DBox[{{21, 12, 20}, {21, 13, 21}, {20, 14, 21}, {21, 13, 21}, {23, 
       13, 23}, {23, 12, 24}, {23, 13, 23}, {24, 14, 23}}], 
      Line3DBox[{{23, 12, 16}, {23, 11, 17}, {24, 10, 17}, {23, 11, 17}, {21, 
       11, 19}, {21, 12, 20}, {21, 11, 19}, {20, 10, 19}}], 
      Line3DBox[{{19, 16, 20}, {19, 15, 21}, {20, 14, 21}, {19, 15, 21}, {17, 
       15, 23}, {17, 16, 24}, {17, 15, 23}, {16, 14, 23}}]}}, {{
      Line3DBox[{{17, 16, 8}, {17, 17, 9}, {16, 18, 9}, {17, 17, 9}, {19, 17, 
       11}, {19, 16, 12}, {19, 17, 11}, {20, 18, 11}}], 
      Line3DBox[{{21, 20, 12}, {21, 21, 13}, {20, 22, 13}, {21, 21, 13}, {23, 
       21, 15}, {23, 20, 16}, {23, 21, 15}, {24, 22, 15}}], 
      Line3DBox[{{23, 20, 8}, {23, 19, 9}, {24, 18, 9}, {23, 19, 9}, {21, 19, 
       11}, {21, 20, 12}, {21, 19, 11}, {20, 18, 11}}], 
      Line3DBox[{{19, 24, 12}, {19, 23, 13}, {20, 22, 13}, {19, 23, 13}, {17, 
       23, 15}, {17, 24, 16}, {17, 23, 15}, {16, 22, 15}}]}, {
      Line3DBox[{{17, 16, 16}, {17, 17, 17}, {16, 18, 17}, {17, 17, 17}, {19, 
       17, 19}, {19, 16, 20}, {19, 17, 19}, {20, 18, 19}}], 
      Line3DBox[{{21, 20, 20}, {21, 21, 21}, {20, 22, 21}, {21, 21, 21}, {23, 
       21, 23}, {23, 20, 24}, {23, 21, 23}, {24, 22, 23}}], 
      Line3DBox[{{23, 20, 16}, {23, 19, 17}, {24, 18, 17}, {23, 19, 17}, {21, 
       19, 19}, {21, 20, 20}, {21, 19, 19}, {20, 18, 19}}], 
      Line3DBox[{{19, 24, 20}, {19, 23, 21}, {20, 22, 21}, {19, 23, 21}, {17, 
       23, 23}, {17, 24, 24}, {17, 23, 23}, {16, 22, 23}}]}}}}]], "Output",
 CellChangeTimes->{3.413726995581442*^9, 3.4137271568949957`*^9, 
  3.413728291240067*^9, 3.428079529595771*^9, 3.4282513485945272`*^9, 
  3.4323175148271103`*^9, 3.500210358731927*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 478 \[CenterDot] Definitions of dimension\
\>", "Subsection"], Cell[" (page 1030)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Det", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "[", "i", "]"}], "-", 
        RowBox[{"x", "[", "j", "]"}]}], ")"}], "\[VeryThinSpace]", ".", 
      "\[VeryThinSpace]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "[", "i", "]"}], "-", 
        RowBox[{"x", "[", "j", "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"d", "+", "3"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"d", "+", "3"}]}], "}"}]}], "]"}], "]"}], "==", 
  "0"}]], "Subsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 478 \[CenterDot] Counting of nodes", "Subsection"], Cell[
     " (page 1031)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"First", "[", 
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       SuperscriptBox["r", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "3"}]], "/", "9"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{
       SuperscriptBox["r", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", "3"}]}], "+", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", 
        RowBox[{"5", "/", "3"}], ",", 
        RowBox[{"5", "/", "3"}]}], "}"}], " ", "r"}], "-", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"10", "/", "9"}], ",", "1", ",", 
       RowBox[{
        RowBox[{"-", "4"}], "/", "9"}]}], "}"}]}], ",", "IntegerQ"}], "]"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"r", "=", "3"}], "}"}], ",", 
   RowBox[{"First", "[", 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{
         SuperscriptBox["r", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "3"}]], "/", "9"}]}], 
       "+", 
       RowBox[{"2", " ", 
        RowBox[{
         SuperscriptBox["r", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", "3"}]}], 
       "+", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"5", "/", "3"}], ",", 
          RowBox[{"5", "/", "3"}]}], "}"}], " ", "r"}], "-", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"10", "/", "9"}], ",", "1", ",", 
         RowBox[{
          RowBox[{"-", "4"}], "/", "9"}]}], "}"}]}], ",", "IntegerQ"}], "]"}],
     "]"}]}], "]"}]], "Input"],

Cell[BoxData["22"], "Output",
 CellChangeTimes->{3.4137269955941467`*^9, 3.4137271569057693`*^9, 
  3.4282513611946287`*^9, 3.432317514852371*^9, 3.5002103648088417`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 480 \[CenterDot] Implementation", "Subsection"], Cell[
     " (page 1031)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"1", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", 
    RowBox[{"2", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "4"}], "}"}]}], ",", 
    RowBox[{"3", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "4"}], "}"}]}], ",", 
    RowBox[{"4", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "}"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"NodeLists", "[", 
   RowBox[{"g_", ",", "i_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Union", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{"#", "/.", "\[InvisibleSpace]", "g"}], "]"}], "]"}], "&"}], 
    ",", 
    RowBox[{"{", "i", "}"}], ",", "n"}], "]"}]}]}], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"NodeLists", "[", 
   RowBox[{"g_", ",", "i_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Union", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{"#", "/.", "\[InvisibleSpace]", "g"}], "]"}], "]"}], "&"}], 
    ",", 
    RowBox[{"{", "i", "}"}], ",", "n"}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NodeLists", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", 
     RowBox[{"2", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3", ",", "4"}], "}"}]}], ",", 
     RowBox[{"3", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "4"}], "}"}]}], ",", 
     RowBox[{"4", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "}"}], ",", "1", ",", 
   "2"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "1", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.41372699585721*^9, 3.413727156993897*^9, 
  3.428251370089088*^9, 3.432317514930394*^9, 3.5002103708515472`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"dodec", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"2", ",", "17", ",", "20"}], "}"}]}], ",", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"1", ",", "3", ",", "15"}], "}"}]}], ",", 
       RowBox[{"3", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"13", ",", "2", ",", "4"}], "}"}]}], ",", 
       RowBox[{"4", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"20", ",", "5", ",", "3"}], "}"}]}], ",", 
       RowBox[{"5", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"12", ",", "6", ",", "4"}], "}"}]}], ",", 
       RowBox[{"6", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"5", ",", "7", ",", "19"}], "}"}]}], ",", 
       RowBox[{"7", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"6", ",", "8", ",", "11"}], "}"}]}], ",", 
       RowBox[{"8", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"18", ",", "7", ",", "9"}], "}"}]}], ",", 
       RowBox[{"9", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"8", ",", "10", ",", "16"}], "}"}]}], ",", 
       RowBox[{"10", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"9", ",", "11", ",", "14"}], "}"}]}], ",", 
       RowBox[{"11", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"10", ",", "12", ",", "7"}], "}"}]}], ",", 
       RowBox[{"12", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"11", ",", "13", ",", "5"}], "}"}]}], ",", 
       RowBox[{"13", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"12", ",", "14", ",", "3"}], "}"}]}], ",", 
       RowBox[{"14", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"13", ",", "15", ",", "10"}], "}"}]}], ",", 
       RowBox[{"15", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"14", ",", "16", ",", "2"}], "}"}]}], ",", 
       RowBox[{"16", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"15", ",", "17", ",", "9"}], "}"}]}], ",", 
       RowBox[{"17", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"16", ",", "18", ",", "1"}], "}"}]}], ",", 
       RowBox[{"18", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"17", ",", "19", ",", "8"}], "}"}]}], ",", 
       RowBox[{"19", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"18", ",", "20", ",", "6"}], "}"}]}], ",", 
       RowBox[{"20", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"19", ",", "1", ",", "4"}], "}"}]}]}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"NodeLists", "[", 
    RowBox[{"dodec", ",", "1", ",", "4"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "1", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "17", ",", "20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "3", ",", "4", ",", "15", ",", "16", ",", "18", ",", "19"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "8", ",", "9", ",", 
     "13", ",", "14", ",", "15", ",", "16", ",", "17", ",", "18", ",", "19", 
     ",", "20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", "8",
      ",", "9", ",", "10", ",", "12", ",", "13", ",", "14", ",", "15", ",", 
     "16", ",", "17", ",", "18", ",", "19", ",", "20"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413726995936736*^9, 3.4137271570420427`*^9, 
  3.428251371340353*^9, 3.432317514990411*^9, 3.5002103725374947`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Distance", "[", 
   RowBox[{"g_", ",", 
    RowBox[{"{", 
     RowBox[{"i_", ",", "j_"}], "}"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Length", "[", 
    RowBox[{"NestWhileList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Union", "[", 
        RowBox[{"Flatten", "[", 
         RowBox[{"#", "/.", "\[InvisibleSpace]", "g"}], "]"}], "]"}], "&"}], 
      ",", 
      RowBox[{"{", "i", "}"}], ",", 
      RowBox[{
       RowBox[{"!", 
        RowBox[{"MemberQ", "[", 
         RowBox[{"#", ",", "j"}], "]"}]}], "&"}]}], "]"}], "]"}], "-", 
   "1"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Distance", "[", 
   RowBox[{"g_", ",", 
    RowBox[{"{", 
     RowBox[{"i_", ",", "j_"}], "}"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Length", "[", 
    RowBox[{"NestWhileList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Union", "[", 
        RowBox[{"Flatten", "[", 
         RowBox[{"#", "/.", "\[InvisibleSpace]", "g"}], "]"}], "]"}], "&"}], 
      ",", 
      RowBox[{"{", "i", "}"}], ",", 
      RowBox[{
       RowBox[{"!", 
        RowBox[{"MemberQ", "[", 
         RowBox[{"#", ",", "j"}], "]"}]}], "&"}]}], "]"}], "]"}], "-", 
   "1"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"dodec", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"2", ",", "17", ",", "20"}], "}"}]}], ",", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"1", ",", "3", ",", "15"}], "}"}]}], ",", 
       RowBox[{"3", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"13", ",", "2", ",", "4"}], "}"}]}], ",", 
       RowBox[{"4", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"20", ",", "5", ",", "3"}], "}"}]}], ",", 
       RowBox[{"5", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"12", ",", "6", ",", "4"}], "}"}]}], ",", 
       RowBox[{"6", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"5", ",", "7", ",", "19"}], "}"}]}], ",", 
       RowBox[{"7", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"6", ",", "8", ",", "11"}], "}"}]}], ",", 
       RowBox[{"8", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"18", ",", "7", ",", "9"}], "}"}]}], ",", 
       RowBox[{"9", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"8", ",", "10", ",", "16"}], "}"}]}], ",", 
       RowBox[{"10", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"9", ",", "11", ",", "14"}], "}"}]}], ",", 
       RowBox[{"11", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"10", ",", "12", ",", "7"}], "}"}]}], ",", 
       RowBox[{"12", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"11", ",", "13", ",", "5"}], "}"}]}], ",", 
       RowBox[{"13", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"12", ",", "14", ",", "3"}], "}"}]}], ",", 
       RowBox[{"14", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"13", ",", "15", ",", "10"}], "}"}]}], ",", 
       RowBox[{"15", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"14", ",", "16", ",", "2"}], "}"}]}], ",", 
       RowBox[{"16", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"15", ",", "17", ",", "9"}], "}"}]}], ",", 
       RowBox[{"17", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"16", ",", "18", ",", "1"}], "}"}]}], ",", 
       RowBox[{"18", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"17", ",", "19", ",", "8"}], "}"}]}], ",", 
       RowBox[{"19", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"18", ",", "20", ",", "6"}], "}"}]}], ",", 
       RowBox[{"20", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"19", ",", "1", ",", "4"}], "}"}]}]}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Distance", "[", 
    RowBox[{"dodec", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "11"}], "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData["5"], "Output",
 CellChangeTimes->{3.4137269960656548`*^9, 3.4137271571173153`*^9, 
  3.413728512814742*^9, 3.428251384308852*^9, 3.4323175150662327`*^9, 
  3.500210377763052*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Finding layouts", "Subsection"], Cell[" (page 1031)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", 
     RowBox[{"Length", "[", "g", "]"}]}], "}"}], ",", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", 
     RowBox[{"Flatten", "[", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Distance", "[", 
             RowBox[{"g", ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "j"}], "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "n"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "n"}], "}"}]}], "]"}], 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "-", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Sum", "[", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"i", ",", "k"}], "]"}], "-", 
                RowBox[{"x", "[", 
                 RowBox[{"j", ",", "k"}], "]"}]}], ")"}], 
              RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "d"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "n"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "n"}], "}"}]}], "]"}]}], ")"}], 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "]"}]}], "]"}]}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Distance", "[", 
   RowBox[{"g_", ",", 
    RowBox[{"{", 
     RowBox[{"i_", ",", "j_"}], "}"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Length", "[", 
    RowBox[{"NestWhileList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Union", "[", 
        RowBox[{"Flatten", "[", 
         RowBox[{"#", "/.", "\[InvisibleSpace]", "g"}], "]"}], "]"}], "&"}], 
      ",", 
      RowBox[{"{", "i", "}"}], ",", 
      RowBox[{
       RowBox[{"!", 
        RowBox[{"MemberQ", "[", 
         RowBox[{"#", ",", "j"}], "]"}]}], "&"}]}], "]"}], "]"}], "-", 
   "1"}]}], "\[IndentingNewLine]", 
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"g", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", 
        RowBox[{"2", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3", ",", "4"}], "}"}]}], ",", 
        RowBox[{"3", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "4"}], "}"}]}], ",", 
        RowBox[{"4", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "}"}]}], ",", 
     RowBox[{"d", "=", "2"}]}], "}"}], ",", 
   RowBox[{"FindMinimum", "[", 
    RowBox[{
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"n", "=", 
         RowBox[{"Length", "[", "g", "]"}]}], "}"}], ",", 
       RowBox[{"Apply", "[", 
        RowBox[{"Plus", ",", 
         RowBox[{"Flatten", "[", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"Distance", "[", 
                 RowBox[{"g", ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "j"}], "}"}]}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "n"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"j", ",", "n"}], "}"}]}], "]"}], 
              RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "-", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Sum", "[", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"i", ",", "k"}], "]"}], "-", 
                    RowBox[{"x", "[", 
                    RowBox[{"j", ",", "k"}], "]"}]}], ")"}], 
                  RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], ",", 
                 RowBox[{"{", 
                  RowBox[{"k", ",", "d"}], "}"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"j", ",", "n"}], "}"}]}], "]"}]}], ")"}], 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "]"}]}], 
        "]"}]}], "]"}], ",", 
     RowBox[{"Evaluate", "[", 
      RowBox[{"Apply", "[", 
       RowBox[{"Sequence", ",", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "[", 
               RowBox[{"i", ",", "k"}], "]"}], ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"i", "\[Equal]", "1"}], ",", "0", ",", 
                RowBox[{"Random", "[", "]"}]}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", 
              RowBox[{"Length", "[", "g", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "d"}], "}"}]}], "]"}], ",", "1"}], "]"}]}], 
       "]"}], "]"}]}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.500210392660021*^9, 3.50021039330504*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.333333333333333`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{"-", "1.4237245410671107`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", "0.9523507043977045`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.9258493835272478`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"2", ",", "2"}], "]"}], "\[Rule]", "1.5994882449866694`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"3", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.27871184409044475`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"3", ",", "2"}], "]"}], "\[Rule]", "1.1016130827503`"}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"4", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.7765870051746444`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"4", ",", "2"}], "]"}], "\[Rule]", "0.4544755480100024`"}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.413726996711856*^9, 3.413727157203396*^9, {3.413728357395602*^9, 
   3.4137283807743587`*^9}, 3.413728518586596*^9, 3.428251398576569*^9, 
   3.432317515491865*^9, {3.500210383570546*^9, 3.5002103949489183`*^9}, 
   3.513002405146563*^9, 3.513002463459174*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"g", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", 
        RowBox[{"2", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3", ",", "4"}], "}"}]}], ",", 
        RowBox[{"3", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "4"}], "}"}]}], ",", 
        RowBox[{"4", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "}"}]}], ",", 
     RowBox[{"d", "=", "2"}]}], "}"}], ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"Map", "[", 
     RowBox[{"Line", ",", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{"Function", "[", 
            RowBox[{"y", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"x", "[", 
                  RowBox[{"y", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
                 RowBox[{"x", "[", "#", "]"}]}], "}"}], "&"}], "/@", 
              RowBox[{"y", "[", 
               RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ",", "g"}], "]"}], 
         ",", "1"}], "]"}], "/.", 
       RowBox[{
        RowBox[{"x", "[", "i_", "]"}], "\[RuleDelayed]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"x", "[", 
             RowBox[{"i", ",", "k"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "d"}], "}"}]}], "]"}], "/.", 
          RowBox[{"%", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}]}], "]"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4137283509089746`*^9, 3.41372835360668*^9}}],

Cell[BoxData[
 GraphicsBox[{
   LineBox[{{-1.4237245410671107`, 0.9523507043977045}, {-0.9258493835272478, 
    1.5994882449866694`}}], 
   LineBox[{{-1.4237245410671107`, 
    0.9523507043977045}, {-0.27871184409044475`, 1.1016130827503}}], 
   LineBox[{{-1.4237245410671107`, 0.9523507043977045}, {-0.7765870051746444, 
    0.4544755480100024}}], 
   LineBox[{{-0.9258493835272478, 1.5994882449866694`}, {-1.4237245410671107`,
     0.9523507043977045}}], 
   LineBox[{{-0.9258493835272478, 
    1.5994882449866694`}, {-0.27871184409044475`, 1.1016130827503}}], 
   LineBox[{{-0.9258493835272478, 1.5994882449866694`}, {-0.7765870051746444, 
    0.4544755480100024}}], 
   LineBox[{{-0.27871184409044475`, 1.1016130827503}, {-1.4237245410671107`, 
    0.9523507043977045}}], 
   LineBox[{{-0.27871184409044475`, 1.1016130827503}, {-0.9258493835272478, 
    1.5994882449866694`}}], 
   LineBox[{{-0.27871184409044475`, 1.1016130827503}, {-0.7765870051746444, 
    0.4544755480100024}}], 
   LineBox[{{-0.7765870051746444, 0.4544755480100024}, {-1.4237245410671107`, 
    0.9523507043977045}}], 
   LineBox[{{-0.7765870051746444, 0.4544755480100024}, {-0.9258493835272478, 
    1.5994882449866694`}}], 
   LineBox[{{-0.7765870051746444, 0.4544755480100024}, {-0.27871184409044475`,
     1.1016130827503}}]}]], "Output",
 CellChangeTimes->{3.413728522755464*^9, 3.428251440494792*^9, 
  3.4323175155396843`*^9, 3.500210398011704*^9, 3.513002406971095*^9, 
  3.5130024652401333`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"g", "=", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", "17", ",", "20"}], "}"}]}], ",", 
        RowBox[{"2", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3", ",", "15"}], "}"}]}], ",", 
        RowBox[{"3", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"13", ",", "2", ",", "4"}], "}"}]}], ",", 
        RowBox[{"4", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"20", ",", "5", ",", "3"}], "}"}]}], ",", 
        RowBox[{"5", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"12", ",", "6", ",", "4"}], "}"}]}], ",", 
        RowBox[{"6", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"5", ",", "7", ",", "19"}], "}"}]}], ",", 
        RowBox[{"7", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"6", ",", "8", ",", "11"}], "}"}]}], ",", 
        RowBox[{"8", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"18", ",", "7", ",", "9"}], "}"}]}], ",", 
        RowBox[{"9", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"8", ",", "10", ",", "16"}], "}"}]}], ",", 
        RowBox[{"10", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"9", ",", "11", ",", "14"}], "}"}]}], ",", 
        RowBox[{"11", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"10", ",", "12", ",", "7"}], "}"}]}], ",", 
        RowBox[{"12", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"11", ",", "13", ",", "5"}], "}"}]}], ",", 
        RowBox[{"13", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"12", ",", "14", ",", "3"}], "}"}]}], ",", 
        RowBox[{"14", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"13", ",", "15", ",", "10"}], "}"}]}], ",", 
        RowBox[{"15", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"14", ",", "16", ",", "2"}], "}"}]}], ",", 
        RowBox[{"16", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"15", ",", "17", ",", "9"}], "}"}]}], ",", 
        RowBox[{"17", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"16", ",", "18", ",", "1"}], "}"}]}], ",", 
        RowBox[{"18", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"17", ",", "19", ",", "8"}], "}"}]}], ",", 
        RowBox[{"19", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"18", ",", "20", ",", "6"}], "}"}]}], ",", 
        RowBox[{"20", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"19", ",", "1", ",", "4"}], "}"}]}]}], "}"}]}], ",", 
     RowBox[{"d", "=", "3"}]}], "}"}], ",", 
   RowBox[{"FindMinimum", "[", 
    RowBox[{
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"n", "=", 
         RowBox[{"Length", "[", "g", "]"}]}], "}"}], ",", 
       RowBox[{"Apply", "[", 
        RowBox[{"Plus", ",", 
         RowBox[{"Flatten", "[", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"Distance", "[", 
                 RowBox[{"g", ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "j"}], "}"}]}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "n"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"j", ",", "n"}], "}"}]}], "]"}], 
              RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "-", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Sum", "[", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"i", ",", "k"}], "]"}], "-", 
                    RowBox[{"x", "[", 
                    RowBox[{"j", ",", "k"}], "]"}]}], ")"}], 
                  RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], ",", 
                 RowBox[{"{", 
                  RowBox[{"k", ",", "d"}], "}"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"j", ",", "n"}], "}"}]}], "]"}]}], ")"}], 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "]"}]}], 
        "]"}]}], "]"}], ",", 
     RowBox[{"Evaluate", "[", 
      RowBox[{"Apply", "[", 
       RowBox[{"Sequence", ",", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "[", 
               RowBox[{"i", ",", "k"}], "]"}], ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"i", "\[Equal]", "1"}], ",", "0", ",", 
                RowBox[{"Random", "[", "]"}]}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", 
              RowBox[{"Length", "[", "g", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "d"}], "}"}]}], "]"}], ",", "1"}], "]"}]}], 
       "]"}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2416.620925682144`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{"-", "1.4913653839588448`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", "0.3562284739820926`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"1", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.22393385920223552`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{"-", "1.562449387768534`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"2", ",", "2"}], "]"}], "\[Rule]", "1.0267230002213499`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"2", ",", "3"}], "]"}], "\[Rule]", "1.068529600724247`"}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"3", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.7446859719175027`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"3", ",", "2"}], "]"}], "\[Rule]", "0.27422108543122925`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"3", ",", "3"}], "]"}], "\[Rule]", "2.0119709143973346`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"4", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.16819638908744877`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"4", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.8613452029626999`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"4", ",", "3"}], "]"}], "\[Rule]", "1.3025862516930604`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"5", ",", "1"}], "]"}], "\[Rule]", "1.280853920114207`"}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"5", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.702214201644636`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"5", ",", "3"}], "]"}], "\[Rule]", "1.2997295578892096`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"6", ",", "1"}], "]"}], "\[Rule]", "1.7149430098033713`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"6", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.5531824804073986`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"6", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.08390111928658928`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"7", ",", "1"}], "]"}], "\[Rule]", "2.3022975815506137`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"7", ",", "2"}], "]"}], "\[Rule]", "0.7728388484143907`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"7", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.23141277311208647`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"8", ",", "1"}], "]"}], "\[Rule]", "1.484534173578519`"}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"8", ",", "2"}], "]"}], "\[Rule]", "1.5253407665916296`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"8", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{"-", "1.174854082527083`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"9", ",", "1"}], "]"}], "\[Rule]", "0.9080445816798436`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"9", ",", "2"}], "]"}], "\[Rule]", "2.6609070571134956`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"9", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.4654694216155936`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"10", ",", "1"}], "]"}], "\[Rule]", "1.369517832133429`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"10", ",", "2"}], "]"}], "\[Rule]", "2.6102237046764163`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"10", ",", "3"}], "]"}], "\[Rule]", "0.9163957197154419`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"11", ",", "1"}], "]"}], "\[Rule]", "2.2312135772665718`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"11", ",", "2"}], "]"}], "\[Rule]", "1.4433333791181588`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"11", ",", "3"}], "]"}], "\[Rule]", "1.0610506844271994`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"12", ",", "1"}], "]"}], "\[Rule]", "1.5999266799249696`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"12", ",", "2"}], "]"}], "\[Rule]", "0.5317004582911594`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"12", ",", "3"}], "]"}], "\[Rule]", "2.0073486866252472`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"13", ",", "1"}], "]"}], "\[Rule]", "0.3480741799284354`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"13", ",", "2"}], "]"}], "\[Rule]", "1.135170653477715`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"13", ",", "3"}], "]"}], "\[Rule]", "2.4475380522062906`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"14", ",", "1"}], "]"}], "\[Rule]", "0.2056736774862782`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"14", ",", "2"}], "]"}], "\[Rule]", "2.419768665316457`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"14", ",", "3"}], "]"}], "\[Rule]", "1.7732920365431915`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"15", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.9750948227090578`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"15", ",", "2"}], "]"}], "\[Rule]", "2.3527443277394378`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"15", ",", "3"}], "]"}], "\[Rule]", "0.9210179421488351`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"16", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.5410057308631908`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"16", ",", "2"}], "]"}], "\[Rule]", "2.501776050791599`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"16", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.4626127326783973`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"17", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.8600784833791122`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"17", ",", "2"}], "]"}], "\[Rule]", "1.2678613937623946`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"17", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{"-", "1.1702318628333672`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"18", ",", "1"}], "]"}], "\[Rule]", "0.3917740219832369`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"18", ",", "2"}], "]"}], "\[Rule]", "0.6643912002708515`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"18", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{"-", "1.6104212261673019`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"19", ",", "1"}], "]"}], "\[Rule]", "0.534174512734103`"}], 
     ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"19", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.6202068110954754`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"19", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.9361752134431148`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"20", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.6296696441543018`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"20", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.8106618491594565`"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"20", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{"-", "0.07927889425424137`"}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4137269974882936`*^9, 3.413727157836926*^9, 
  3.428251445696608*^9, 3.432317516069261*^9, 3.513002411261793*^9, 
  3.513002467800859*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"g", "=", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", "17", ",", "20"}], "}"}]}], ",", 
        RowBox[{"2", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3", ",", "15"}], "}"}]}], ",", 
        RowBox[{"3", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"13", ",", "2", ",", "4"}], "}"}]}], ",", 
        RowBox[{"4", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"20", ",", "5", ",", "3"}], "}"}]}], ",", 
        RowBox[{"5", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"12", ",", "6", ",", "4"}], "}"}]}], ",", 
        RowBox[{"6", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"5", ",", "7", ",", "19"}], "}"}]}], ",", 
        RowBox[{"7", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"6", ",", "8", ",", "11"}], "}"}]}], ",", 
        RowBox[{"8", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"18", ",", "7", ",", "9"}], "}"}]}], ",", 
        RowBox[{"9", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"8", ",", "10", ",", "16"}], "}"}]}], ",", 
        RowBox[{"10", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"9", ",", "11", ",", "14"}], "}"}]}], ",", 
        RowBox[{"11", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"10", ",", "12", ",", "7"}], "}"}]}], ",", 
        RowBox[{"12", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"11", ",", "13", ",", "5"}], "}"}]}], ",", 
        RowBox[{"13", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"12", ",", "14", ",", "3"}], "}"}]}], ",", 
        RowBox[{"14", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"13", ",", "15", ",", "10"}], "}"}]}], ",", 
        RowBox[{"15", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"14", ",", "16", ",", "2"}], "}"}]}], ",", 
        RowBox[{"16", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"15", ",", "17", ",", "9"}], "}"}]}], ",", 
        RowBox[{"17", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"16", ",", "18", ",", "1"}], "}"}]}], ",", 
        RowBox[{"18", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"17", ",", "19", ",", "8"}], "}"}]}], ",", 
        RowBox[{"19", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"18", ",", "20", ",", "6"}], "}"}]}], ",", 
        RowBox[{"20", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"19", ",", "1", ",", "4"}], "}"}]}]}], "}"}]}], ",", 
     RowBox[{"d", "=", "3"}]}], "}"}], ",", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{"Map", "[", 
     RowBox[{"Line", ",", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{"Function", "[", 
            RowBox[{"y", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"x", "[", 
                  RowBox[{"y", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
                 RowBox[{"x", "[", "#", "]"}]}], "}"}], "&"}], "/@", 
              RowBox[{"y", "[", 
               RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ",", "g"}], "]"}], 
         ",", "1"}], "]"}], "/.", 
       RowBox[{
        RowBox[{"x", "[", "i_", "]"}], "\[RuleDelayed]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"x", "[", 
             RowBox[{"i", ",", "k"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "d"}], "}"}]}], "]"}], "/.", 
          RowBox[{"%", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}]}], "]"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.388760785402837*^9, {3.5130024400788937`*^9, 3.513002440362088*^9}}],

Cell[BoxData[
 Graphics3DBox[{
   Line3DBox[{{-1.4913653839588448`, 
    0.3562284739820926, -0.22393385920223552`}, {-1.562449387768534, 
    1.0267230002213499`, 1.068529600724247}}], 
   Line3DBox[{{-1.4913653839588448`, 
    0.3562284739820926, -0.22393385920223552`}, {-0.8600784833791122, 
    1.2678613937623946`, -1.1702318628333672`}}], 
   Line3DBox[{{-1.4913653839588448`, 
    0.3562284739820926, -0.22393385920223552`}, {-0.6296696441543018, \
-0.8106618491594565, -0.07927889425424137}}], 
   Line3DBox[{{-1.562449387768534, 1.0267230002213499`, 
    1.068529600724247}, {-1.4913653839588448`, 
    0.3562284739820926, -0.22393385920223552`}}], 
   Line3DBox[{{-1.562449387768534, 1.0267230002213499`, 
    1.068529600724247}, {-0.7446859719175027, 0.27422108543122925`, 
    2.0119709143973346`}}], 
   Line3DBox[{{-1.562449387768534, 1.0267230002213499`, 
    1.068529600724247}, {-0.9750948227090578, 2.3527443277394378`, 
    0.9210179421488351}}], 
   Line3DBox[{{-0.7446859719175027, 0.27422108543122925`, 
    2.0119709143973346`}, {0.3480741799284354, 1.135170653477715, 
    2.4475380522062906`}}], 
   Line3DBox[{{-0.7446859719175027, 0.27422108543122925`, 
    2.0119709143973346`}, {-1.562449387768534, 1.0267230002213499`, 
    1.068529600724247}}], 
   Line3DBox[{{-0.7446859719175027, 0.27422108543122925`, 
    2.0119709143973346`}, {-0.16819638908744877`, -0.8613452029626999, 
    1.3025862516930604`}}], 
   Line3DBox[{{-0.16819638908744877`, -0.8613452029626999, 
    1.3025862516930604`}, {-0.6296696441543018, -0.8106618491594565, \
-0.07927889425424137}}], 
   Line3DBox[{{-0.16819638908744877`, -0.8613452029626999, 
    1.3025862516930604`}, {1.280853920114207, -0.702214201644636, 
    1.2997295578892096`}}], 
   Line3DBox[{{-0.16819638908744877`, -0.8613452029626999, 
    1.3025862516930604`}, {-0.7446859719175027, 0.27422108543122925`, 
    2.0119709143973346`}}], 
   Line3DBox[{{1.280853920114207, -0.702214201644636, 1.2997295578892096`}, {
    1.5999266799249696`, 0.5317004582911594, 2.0073486866252472`}}], 
   Line3DBox[{{1.280853920114207, -0.702214201644636, 1.2997295578892096`}, {
    1.7149430098033713`, -0.5531824804073986, -0.08390111928658928}}], 
   Line3DBox[{{1.280853920114207, -0.702214201644636, 
    1.2997295578892096`}, {-0.16819638908744877`, -0.8613452029626999, 
    1.3025862516930604`}}], 
   Line3DBox[{{
    1.7149430098033713`, -0.5531824804073986, -0.08390111928658928}, {
    1.280853920114207, -0.702214201644636, 1.2997295578892096`}}], 
   Line3DBox[{{
    1.7149430098033713`, -0.5531824804073986, -0.08390111928658928}, {
    2.3022975815506137`, 0.7728388484143907, -0.23141277311208647`}}], 
   Line3DBox[{{
    1.7149430098033713`, -0.5531824804073986, -0.08390111928658928}, {
    0.534174512734103, -0.6202068110954754, -0.9361752134431148}}], 
   Line3DBox[{{2.3022975815506137`, 
    0.7728388484143907, -0.23141277311208647`}, {
    1.7149430098033713`, -0.5531824804073986, -0.08390111928658928}}], 
   Line3DBox[{{2.3022975815506137`, 
    0.7728388484143907, -0.23141277311208647`}, {1.484534173578519, 
    1.5253407665916296`, -1.174854082527083}}], 
   Line3DBox[{{2.3022975815506137`, 
    0.7728388484143907, -0.23141277311208647`}, {2.2312135772665718`, 
    1.4433333791181588`, 1.0610506844271994`}}], 
   Line3DBox[{{1.484534173578519, 1.5253407665916296`, -1.174854082527083}, {
    0.3917740219832369, 0.6643912002708515, -1.6104212261673019`}}], 
   Line3DBox[{{1.484534173578519, 1.5253407665916296`, -1.174854082527083}, {
    2.3022975815506137`, 0.7728388484143907, -0.23141277311208647`}}], 
   Line3DBox[{{1.484534173578519, 1.5253407665916296`, -1.174854082527083}, {
    0.9080445816798436, 2.6609070571134956`, -0.4654694216155936}}], 
   Line3DBox[{{0.9080445816798436, 
    2.6609070571134956`, -0.4654694216155936}, {1.484534173578519, 
    1.5253407665916296`, -1.174854082527083}}], 
   Line3DBox[{{0.9080445816798436, 
    2.6609070571134956`, -0.4654694216155936}, {1.369517832133429, 
    2.6102237046764163`, 0.9163957197154419}}], 
   Line3DBox[{{0.9080445816798436, 
    2.6609070571134956`, -0.4654694216155936}, {-0.5410057308631908, 
    2.501776050791599, -0.4626127326783973}}], 
   Line3DBox[{{1.369517832133429, 2.6102237046764163`, 0.9163957197154419}, {
    0.9080445816798436, 2.6609070571134956`, -0.4654694216155936}}], 
   Line3DBox[{{1.369517832133429, 2.6102237046764163`, 0.9163957197154419}, {
    2.2312135772665718`, 1.4433333791181588`, 1.0610506844271994`}}], 
   Line3DBox[{{1.369517832133429, 2.6102237046764163`, 0.9163957197154419}, {
    0.2056736774862782, 2.419768665316457, 1.7732920365431915`}}], 
   Line3DBox[{{2.2312135772665718`, 1.4433333791181588`, 
    1.0610506844271994`}, {1.369517832133429, 2.6102237046764163`, 
    0.9163957197154419}}], 
   Line3DBox[{{2.2312135772665718`, 1.4433333791181588`, 
    1.0610506844271994`}, {1.5999266799249696`, 0.5317004582911594, 
    2.0073486866252472`}}], 
   Line3DBox[{{2.2312135772665718`, 1.4433333791181588`, 
    1.0610506844271994`}, {2.3022975815506137`, 
    0.7728388484143907, -0.23141277311208647`}}], 
   Line3DBox[{{1.5999266799249696`, 0.5317004582911594, 
    2.0073486866252472`}, {2.2312135772665718`, 1.4433333791181588`, 
    1.0610506844271994`}}], 
   Line3DBox[{{1.5999266799249696`, 0.5317004582911594, 
    2.0073486866252472`}, {0.3480741799284354, 1.135170653477715, 
    2.4475380522062906`}}], 
   Line3DBox[{{1.5999266799249696`, 0.5317004582911594, 
    2.0073486866252472`}, {1.280853920114207, -0.702214201644636, 
    1.2997295578892096`}}], 
   Line3DBox[{{0.3480741799284354, 1.135170653477715, 2.4475380522062906`}, {
    1.5999266799249696`, 0.5317004582911594, 2.0073486866252472`}}], 
   Line3DBox[{{0.3480741799284354, 1.135170653477715, 2.4475380522062906`}, {
    0.2056736774862782, 2.419768665316457, 1.7732920365431915`}}], 
   Line3DBox[{{0.3480741799284354, 1.135170653477715, 
    2.4475380522062906`}, {-0.7446859719175027, 0.27422108543122925`, 
    2.0119709143973346`}}], 
   Line3DBox[{{0.2056736774862782, 2.419768665316457, 1.7732920365431915`}, {
    0.3480741799284354, 1.135170653477715, 2.4475380522062906`}}], 
   Line3DBox[{{0.2056736774862782, 2.419768665316457, 
    1.7732920365431915`}, {-0.9750948227090578, 2.3527443277394378`, 
    0.9210179421488351}}], 
   Line3DBox[{{0.2056736774862782, 2.419768665316457, 1.7732920365431915`}, {
    1.369517832133429, 2.6102237046764163`, 0.9163957197154419}}], 
   Line3DBox[{{-0.9750948227090578, 2.3527443277394378`, 
    0.9210179421488351}, {0.2056736774862782, 2.419768665316457, 
    1.7732920365431915`}}], 
   Line3DBox[{{-0.9750948227090578, 2.3527443277394378`, 
    0.9210179421488351}, {-0.5410057308631908, 
    2.501776050791599, -0.4626127326783973}}], 
   Line3DBox[{{-0.9750948227090578, 2.3527443277394378`, 
    0.9210179421488351}, {-1.562449387768534, 1.0267230002213499`, 
    1.068529600724247}}], 
   Line3DBox[{{-0.5410057308631908, 
    2.501776050791599, -0.4626127326783973}, {-0.9750948227090578, 
    2.3527443277394378`, 0.9210179421488351}}], 
   Line3DBox[{{-0.5410057308631908, 
    2.501776050791599, -0.4626127326783973}, {-0.8600784833791122, 
    1.2678613937623946`, -1.1702318628333672`}}], 
   Line3DBox[{{-0.5410057308631908, 2.501776050791599, -0.4626127326783973}, {
    0.9080445816798436, 2.6609070571134956`, -0.4654694216155936}}], 
   Line3DBox[{{-0.8600784833791122, 
    1.2678613937623946`, -1.1702318628333672`}, {-0.5410057308631908, 
    2.501776050791599, -0.4626127326783973}}], 
   Line3DBox[{{-0.8600784833791122, 
    1.2678613937623946`, -1.1702318628333672`}, {0.3917740219832369, 
    0.6643912002708515, -1.6104212261673019`}}], 
   Line3DBox[{{-0.8600784833791122, 
    1.2678613937623946`, -1.1702318628333672`}, {-1.4913653839588448`, 
    0.3562284739820926, -0.22393385920223552`}}], 
   Line3DBox[{{0.3917740219832369, 
    0.6643912002708515, -1.6104212261673019`}, {-0.8600784833791122, 
    1.2678613937623946`, -1.1702318628333672`}}], 
   Line3DBox[{{0.3917740219832369, 
    0.6643912002708515, -1.6104212261673019`}, {
    0.534174512734103, -0.6202068110954754, -0.9361752134431148}}], 
   Line3DBox[{{0.3917740219832369, 
    0.6643912002708515, -1.6104212261673019`}, {1.484534173578519, 
    1.5253407665916296`, -1.174854082527083}}], 
   Line3DBox[{{0.534174512734103, -0.6202068110954754, -0.9361752134431148}, {
    0.3917740219832369, 0.6643912002708515, -1.6104212261673019`}}], 
   Line3DBox[{{
    0.534174512734103, -0.6202068110954754, -0.9361752134431148}, \
{-0.6296696441543018, -0.8106618491594565, -0.07927889425424137}}], 
   Line3DBox[{{0.534174512734103, -0.6202068110954754, -0.9361752134431148}, {
    1.7149430098033713`, -0.5531824804073986, -0.08390111928658928}}], 
   Line3DBox[{{-0.6296696441543018, -0.8106618491594565, \
-0.07927889425424137}, {
    0.534174512734103, -0.6202068110954754, -0.9361752134431148}}], 
   Line3DBox[{{-0.6296696441543018, -0.8106618491594565, \
-0.07927889425424137}, {-1.4913653839588448`, 
    0.3562284739820926, -0.22393385920223552`}}], 
   Line3DBox[{{-0.6296696441543018, -0.8106618491594565, \
-0.07927889425424137}, {-0.16819638908744877`, -0.8613452029626999, 
    1.3025862516930604`}}]}]], "Output",
 CellChangeTimes->{
  3.4137269976425037`*^9, 3.413727158006665*^9, 3.428251452734733*^9, 
   3.4323175162937603`*^9, 3.5130024139496593`*^9, {3.5130024443346148`*^9, 
   3.5130024700698967`*^9}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Time and Causal Networks", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Implementation", "Subsection"], Cell[" (page 1033)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MAToNet", "[", "list_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"u", ",", "j", ",", "k"}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"u", "[", "_", "]"}], "=", "\[Infinity]"}], ";", 
     RowBox[{"Reverse", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"j", "=", 
          RowBox[{
          "list", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
         ";", 
         RowBox[{"k", "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"u", "[", 
             RowBox[{"j", "-", "1"}], "]"}], ",", 
            RowBox[{"u", "[", "j", "]"}], ",", 
            RowBox[{"u", "[", 
             RowBox[{"j", "+", "1"}], "]"}]}], "}"}]}], ";", 
         RowBox[{
          RowBox[{"u", "[", 
           RowBox[{"j", "-", "1"}], "]"}], "=", 
          RowBox[{
           RowBox[{"u", "[", "j", "]"}], "=", 
           RowBox[{
            RowBox[{"u", "[", 
             RowBox[{"j", "+", "1"}], "]"}], "=", "i"}]}]}], ";", 
         RowBox[{"i", "\[Rule]", "k"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"Length", "[", "list", "]"}], ",", "1", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}]}]}], 
   "]"}]}]], "Subsubsection"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Sequencing of Events in the Universe", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Implementation", "Subsection"], Cell[" (page 1033)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"GSSEvolveList", "[", 
    RowBox[{"rule_", ",", "s_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"GSSStep", "[", 
       RowBox[{"rule", ",", "#"}], "]"}], "&"}], ",", "s", ",", "n"}], 
    "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"GSSStep", "[", 
    RowBox[{"rule_", ",", "s_"}], "]"}], ":=", 
   RowBox[{"g", "[", 
    RowBox[{"rule", ",", "s", ",", 
     RowBox[{"f", "[", 
      RowBox[{"StringPosition", "[", 
       RowBox[{"s", ",", 
        RowBox[{"Map", "[", 
         RowBox[{"First", ",", "rule"}], "]"}]}], "]"}], "]"}]}], "]"}]}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"{", "}"}], "]"}], "=", 
   RowBox[{"{", "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "s_", "]"}], ":=", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Last", "[", 
          RowBox[{"Last", "[", "#1", "]"}], "]"}], "\[GreaterEqual]", 
         RowBox[{"First", "[", "#2", "]"}]}], ",", "#1", ",", 
        RowBox[{"Append", "[", 
         RowBox[{"#1", ",", "#2"}], "]"}]}], "]"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{"First", "[", "s", "]"}], "}"}], ",", 
     RowBox[{"Rest", "[", "s", "]"}]}], "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"rule_", ",", "s_", ",", 
     RowBox[{"{", "}"}]}], "]"}], ":=", "s"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"rule_", ",", "s_", ",", "pos_"}], "]"}], ":=", 
  RowBox[{"StringReplacePart", "[", 
   RowBox[{"s", ",", 
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"StringTake", "[", 
         RowBox[{"s", ",", "#"}], "]"}], "&"}], ",", "pos"}], "]"}], "/.", 
     "\[InvisibleSpace]", "rule"}], ",", "pos"}], "]"}]}]}], "Subsubsection",
 CellChangeTimes->{{3.513002492856251*^9, 3.5130025403291273`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"GSSEvolveList", "[", 
   RowBox[{"rule_", ",", "s_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"GSSStep", "[", 
      RowBox[{"rule", ",", "#"}], "]"}], "&"}], ",", "s", ",", "n"}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"GSSStep", "[", 
   RowBox[{"rule_", ",", "s_"}], "]"}], ":=", 
  RowBox[{"g", "[", 
   RowBox[{"rule", ",", "s", ",", 
    RowBox[{"f", "[", 
     RowBox[{"StringPosition", "[", 
      RowBox[{"s", ",", 
       RowBox[{"Map", "[", 
        RowBox[{"First", ",", "rule"}], "]"}]}], "]"}], "]"}]}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"{", "}"}], "]"}], "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", "s_", "]"}], ":=", 
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Last", "[", 
         RowBox[{"Last", "[", "#1", "]"}], "]"}], "\[GreaterEqual]", 
        RowBox[{"First", "[", "#2", "]"}]}], ",", "#1", ",", 
       RowBox[{"Append", "[", 
        RowBox[{"#1", ",", "#2"}], "]"}]}], "]"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"First", "[", "s", "]"}], "}"}], ",", 
    RowBox[{"Rest", "[", "s", "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"rule_", ",", "s_", ",", 
    RowBox[{"{", "}"}]}], "]"}], ":=", "s"}], "\n", 
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"rule_", ",", "s_", ",", "pos_"}], "]"}], ":=", 
  RowBox[{"StringReplacePart", "[", 
   RowBox[{"s", ",", 
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"StringTake", "[", 
         RowBox[{"s", ",", "#"}], "]"}], "&"}], ",", "pos"}], "]"}], "/.", 
     "\[InvisibleSpace]", "rule"}], ",", "pos"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.513002520493495*^9, 3.513002539126055*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GSSEvolveList", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<ABA\>\"", "\[Rule]", " ", "\"\<BAAB\>\""}], ",", " ", 
     RowBox[{"\"\<BBBB\>\"", "->", "\"\<AA\>\""}]}], "}"}], ",", 
   "\"\<AAABAAA\>\"", ",", "7"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"AAABAAA\"\>", ",", "\<\"AABAABAA\"\>", 
   ",", "\<\"ABAABBAABA\"\>", ",", "\<\"BAABABBABAAB\"\>", 
   ",", "\<\"BABAABBBBAABAB\"\>", ",", "\<\"BBAABAAAABAABB\"\>", 
   ",", "\<\"BBABAABAABAABABB\"\>", ",", "\<\"BBBAABBAABBAABBAABBB\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.413726997701947*^9, 3.41372715802745*^9, 3.413729279676455*^9, 
   3.4282514830273943`*^9, 3.4323175163545437`*^9, 3.500210410868198*^9, {
   3.513002536460883*^9, 3.513002543965735*^9}}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Generating causal networks", "Subsection"], Cell[
     " (page 1033)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"u", "=", 
     RowBox[{"Map", "[", 
      RowBox[{"First", ",", "list"}], "]"}]}], "}"}], ",", 
   RowBox[{"MapIndexed", "[", 
    RowBox[{
     RowBox[{"Function", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"e", ",", "i"}], "}"}], ",", 
       RowBox[{
        RowBox[{"First", "[", "i", "]"}], "\[Rule]", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"#", "===", 
                 RowBox[{"{", "}"}]}], ",", "\[Infinity]", ",", 
                RowBox[{"#", "\[LeftDoubleBracket]", 
                 RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], "]"}], 
              "&"}], ")"}], "[", 
            RowBox[{"Position", "[", 
             RowBox[{"u", ",", "#"}], "]"}], "]"}], "&"}], ",", 
          RowBox[{"Last", "[", "e", "]"}]}], "]"}]}]}], "]"}], ",", "list"}], 
    "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"list", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "3"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"4", ",", "5"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", "4", "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"6", ",", "7"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", "5", "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"8", ",", "9"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", "6", "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"10", ",", "11"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", "8", "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"13", ",", "14"}], "}"}]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u", "=", 
       RowBox[{"Map", "[", 
        RowBox[{"First", ",", "list"}], "]"}]}], "}"}], ",", 
     RowBox[{"MapIndexed", "[", 
      RowBox[{
       RowBox[{"Function", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"e", ",", "i"}], "}"}], ",", 
         RowBox[{
          RowBox[{"First", "[", "i", "]"}], "\[Rule]", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"#", "===", 
                   RowBox[{"{", "}"}]}], ",", "\[Infinity]", ",", 
                  RowBox[{"#", "\[LeftDoubleBracket]", 
                   RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                 "]"}], "&"}], ")"}], "[", 
              RowBox[{"Position", "[", 
               RowBox[{"u", ",", "#"}], "]"}], "]"}], "&"}], ",", 
            RowBox[{"Last", "[", "e", "]"}]}], "]"}]}]}], "]"}], ",", 
       "list"}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3"}], "}"}]}], ",", 
   RowBox[{"2", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"4", ",", "\[Infinity]"}], "}"}]}], ",", 
   RowBox[{"3", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"5", ",", "\[Infinity]"}], "}"}]}], ",", 
   RowBox[{"4", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\[Infinity]", ",", "\[Infinity]"}], "}"}]}], ",", 
   RowBox[{"5", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\[Infinity]", ",", "\[Infinity]"}], "}"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.413726997765432*^9, 3.4137271580985537`*^9, 
  3.4282514934503183`*^9, 3.432317516411434*^9, 3.500210415589097*^9}]
}, Open  ]],

Cell[TextData[{
 "From the example on page 497 in ",
 StyleBox["A New Kind of Science",
  FontSlant->"Italic"],
 "."
}], "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["String overlaps", "Subsection"], Cell[" (page 1033)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "0", "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"k", " ", 
     RowBox[{"a", "[", 
      RowBox[{"n", "-", "1"}], "]"}]}], "-", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"EvenQ", "[", "n", "]"}], ",", 
      RowBox[{"a", "[", 
       RowBox[{"n", "/", "2"}], "]"}], ",", "0"}], 
     "]"}]}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "0", "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"k", " ", 
     RowBox[{"a", "[", 
      RowBox[{"n", "-", "1"}], "]"}]}], "-", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"EvenQ", "[", "n", "]"}], ",", 
      RowBox[{"a", "[", 
       RowBox[{
       "n", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "2"}], 
       "]"}], ",", "0"}], "]"}]}]}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"k", "=", "2"}], "}"}], ",", 
   RowBox[{"a", "[", "4", "]"}]}], "]"}]], "Input"],

Cell[BoxData["6"], "Output",
 CellChangeTimes->{3.413726997831369*^9, 3.413727158167417*^9, 
  3.428251516444169*^9, 3.432317516490714*^9, 3.500210424636932*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Simulating mobile automata", "Subsection"], Cell[
     " (page 1033)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"StringJoin", ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\"\<AAABB\>\"", ",", "\"\<ABABB\>\"", ",", "\"\<ABAABB\>\""}], "}"}],
        "\[LeftDoubleBracket]", 
       RowBox[{"#", "+", "1"}], "\[RightDoubleBracket]"}], "&"}], ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Insert", "[", 
          RowBox[{
           RowBox[{
           "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",", 
           "2", ",", "2"}], "]"}], "\[Rule]", 
         RowBox[{"Insert", "[", 
          RowBox[{
           RowBox[{"#", "\[LeftDoubleBracket]", 
            RowBox[{"2", ",", "1"}], "\[RightDoubleBracket]"}], ",", "2", ",", 
           RowBox[{"2", "+", 
            RowBox[{"#", "\[LeftDoubleBracket]", 
             RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}]}]}], "]"}]}], 
        "&"}], ",", "rule"}], "]"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}], ",", 
   RowBox[{"{", "2", "}"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"rule", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
          RowBox[{"-", "1"}]}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
          RowBox[{"-", "1"}]}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "1"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "1"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
          RowBox[{"-", "1"}]}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "1"}], "}"}], ",", "1"}], "}"}]}]}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"Map", "[", 
    RowBox[{"StringJoin", ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<AAABB\>\"", ",", "\"\<ABABB\>\"", ",", "\"\<ABAABB\>\""}], 
          "}"}], "\[LeftDoubleBracket]", 
         RowBox[{"#", "+", "1"}], "\[RightDoubleBracket]"}], "&"}], ",", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Insert", "[", 
            RowBox[{
             RowBox[{
             "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",",
              "2", ",", "2"}], "]"}], "\[Rule]", 
           RowBox[{"Insert", "[", 
            RowBox[{
             RowBox[{"#", "\[LeftDoubleBracket]", 
              RowBox[{"2", ",", "1"}], "\[RightDoubleBracket]"}], ",", "2", 
             ",", 
             RowBox[{"2", "+", 
              RowBox[{"#", "\[LeftDoubleBracket]", 
               RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}]}]}], 
            "]"}]}], "&"}], ",", "rule"}], "]"}], ",", 
       RowBox[{"{", "2", "}"}]}], "]"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\<\"ABABBABAABBABABBABABB\"\>", 
    "\[Rule]", "\<\"ABAABBAAABBAAABBAAABB\"\>"}], ",", 
   RowBox[{"\<\"ABABBABAABBABABBAAABB\"\>", 
    "\[Rule]", "\<\"ABAABBABABBAAABBABABB\"\>"}], ",", 
   RowBox[{"\<\"ABABBABAABBAAABBABABB\"\>", 
    "\[Rule]", "\<\"ABABBABABBABAABBABABB\"\>"}], ",", 
   RowBox[{"\<\"ABABBABAABBAAABBAAABB\"\>", 
    "\[Rule]", "\<\"ABABBAAABBABAABBAAABB\"\>"}], ",", 
   RowBox[{"\<\"AAABBABAABBABABBABABB\"\>", 
    "\[Rule]", "\<\"AAABBAAABBABAABBAAABB\"\>"}], ",", 
   RowBox[{"\<\"AAABBABAABBABABBAAABB\"\>", 
    "\[Rule]", "\<\"ABAABBAAABBABABBABABB\"\>"}], ",", 
   RowBox[{"\<\"AAABBABAABBAAABBABABB\"\>", 
    "\[Rule]", "\<\"ABABBAAABBABAABBABABB\"\>"}], ",", 
   RowBox[{"\<\"AAABBABAABBAAABBAAABB\"\>", 
    "\[Rule]", "\<\"ABABBABABBABAABBABABB\"\>"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413726997881031*^9, 3.4137271582329063`*^9, 
  3.4282515245530767`*^9, 3.432317516549675*^9, 3.5002104288780327`*^9}]
}, Open  ]],

Cell[TextData[{
 "The mobile automaton initial condition ",
 StyleBox["{list,n}",
  FontSlant->"Italic"],
 " is translated as follows:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"init", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
         "0", ",", "0"}], "}"}], ",", "5"}], "}"}]}], "}"}], ",", 
   RowBox[{"StringJoin", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<AAABB\>\"", ",", "\"\<ABABB\>\"", ",", "\"\<ABAABB\>\""}], 
      "}"}], "[", 
     RowBox[{"[", 
      RowBox[{
       RowBox[{"Insert", "[", 
        RowBox[{
         RowBox[{"init", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "2", ",", 
         RowBox[{"init", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "+", "1"}], "]"}], "]"}], 
    "]"}]}], "]"}]], "Input"],

Cell[BoxData["\<\"AAABBAAABBAAABBAAABBABAABBABABBAAABBAAABBAAABBAAABB\"\>"], \
"Output",
 CellChangeTimes->{3.413726997930688*^9, 3.413727158325539*^9, 
  3.4282515277469053`*^9, 3.432317516616906*^9, 3.500210430915133*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Sequential cellular automata", "Subsection"], Cell[
     " (page 1034)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"OrderedUpdate", "[", 
   RowBox[{"f_", ",", "a_", ",", "order_"}], "]"}], ":=", 
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"ReplacePart", "[", 
      RowBox[{"#1", ",", 
       RowBox[{"f", "[", 
        RowBox[{"Take", "[", 
         RowBox[{"#1", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"#2", "-", "1"}], ",", 
            RowBox[{"#2", "+", "1"}]}], "}"}]}], "]"}], "]"}], ",", "#2"}], 
      "]"}], "&"}], ",", "a", ",", "order"}], "]"}]}]], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OrderedUpdate", "[", 
   RowBox[{"f_", ",", "a_", ",", "order_"}], "]"}], ":=", 
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"ReplacePart", "[", 
      RowBox[{"#1", ",", 
       RowBox[{"f", "[", 
        RowBox[{"Take", "[", 
         RowBox[{"#1", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"#2", "-", "1"}], ",", 
            RowBox[{"#2", "+", "1"}]}], "}"}]}], "]"}], "]"}], ",", "#2"}], 
      "]"}], "&"}], ",", "a", ",", "order"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"f", "[", "a_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"IntegerDigits", "[", 
     RowBox[{"90", ",", "2", ",", "8"}], "]"}], "\[LeftDoubleBracket]", 
    RowBox[{"8", "-", 
     RowBox[{"ListConvolve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "4"}], "}"}], ",", "a", ",", "2"}], 
      "]"}]}], "\[RightDoubleBracket]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"OrderedUpdate", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "3", ",", "4"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4137269979911623`*^9, 3.413727158430573*^9, 
  3.428251539328175*^9, 3.432317516722991*^9, 3.500210436857431*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Fold", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Insert", "[", 
     RowBox[{"#1", ",", "#2", ",", 
      RowBox[{
       RowBox[{"Random", "[", 
        RowBox[{"Integer", ",", 
         RowBox[{"Length", "[", "#1", "]"}]}], "]"}], "+", "1"}]}], "]"}], 
    "&"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"Range", "[", "n", "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "10"}], "}"}], ",", " ", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Insert", "[", 
       RowBox[{
        TagBox["#1",
         #& ,
         SyntaxForm->"a"], ",", 
        TagBox["#2",
         #& ,
         SyntaxForm->"a"], ",", 
        RowBox[{
         RowBox[{"Random", "[", 
          RowBox[{"Integer", ",", 
           RowBox[{"Length", "[", 
            TagBox["#1",
             #& ,
             SyntaxForm->"a"], "]"}]}], "]"}], "+", "1"}]}], "]"}], "&"}], 
     ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"Range", "[", "n", "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "4", ",", "9", ",", "8", ",", "1", ",", "2", ",", "7", ",", "10", ",", "3", 
   ",", "6", ",", "5"}], "}"}]], "Output",
 CellChangeTimes->{3.413726998049673*^9, 3.413727158481577*^9, 
  3.428251548911852*^9, 3.43231751678452*^9, 3.5002104404959717`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Uniqueness and Branching in Time", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 506 \[CenterDot] String transformations\
\>", "Subsection"], Cell[" (page 1035)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\"\<A\>\"", "\[Rule]", "\"\<AA\>\""}], ",", 
   RowBox[{"\"\<AA\>\"", "\[Rule]", "\"\<A\>\""}], ",", 
   RowBox[{"\"\<A\>\"", "\[Rule]", "\"\<B\>\""}], ",", 
   RowBox[{"\"\<B\>\"", "\[Rule]", "\"\<A\>\""}]}], "}"}]], "Subsubsection",
 CellChangeTimes->{{3.513002637735318*^9, 3.5130026484725513`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Evolution of Networks", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Implementation", "Subsection"], Cell[" (page 1037)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Attributes", "[", "u", "]"}], "=", 
    RowBox[{"{", 
     RowBox[{"Flat", ",", "Orderless"}], "}"}]}], ";", 
   RowBox[{
    RowBox[{"Attributes", "[", "v", "]"}], "=", "Orderless"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"u", "[", 
    RowBox[{
     RowBox[{"i1_", "\[Rule]", 
      RowBox[{"v", "[", 
       RowBox[{"i2_", ",", "i3_", ",", "i4_"}], "]"}]}], ",", 
     RowBox[{"i3_", "\[Rule]", 
      RowBox[{"v", "[", 
       RowBox[{"i1_", ",", "i5_", ",", "i6_"}], "]"}]}], ",", 
     RowBox[{"i4_", "\[Rule]", 
      RowBox[{"v", "[", 
       RowBox[{"i1_", ",", "i7_", ",", "i8_"}], "]"}]}]}], "]"}], 
   "\[RuleDelayed]", 
   RowBox[{"u", "[", 
    RowBox[{
     RowBox[{"i1", "\[Rule]", 
      RowBox[{"v", "[", 
       RowBox[{"i2", ",", 
        RowBox[{"new", "[", "1", "]"}], ",", 
        RowBox[{"new", "[", "2", "]"}]}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"new", "[", "1", "]"}], "\[Rule]", 
      RowBox[{"v", "[", 
       RowBox[{"i1", ",", 
        RowBox[{"new", "[", "2", "]"}], ",", "i3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"new", "[", "2", "]"}], "\[Rule]", 
      RowBox[{"v", "[", 
       RowBox[{"i1", ",", 
        RowBox[{"new", "[", "1", "]"}], ",", "i4"}], "]"}]}], ",", 
     RowBox[{"i3", "\[Rule]", 
      RowBox[{"v", "[", 
       RowBox[{
        RowBox[{"new", "[", "1", "]"}], ",", "i5", ",", "i6"}], "]"}]}], ",", 
     RowBox[{"i4", "\[Rule]", 
      RowBox[{"v", "[", 
       RowBox[{
        RowBox[{"new", "[", "2", "]"}], ",", "i7", ",", "i8"}], "]"}]}]}], 
    "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"NetStep", "[", 
   RowBox[{"rule_", ",", "net_"}], "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "new", "}"}], ",", 
    RowBox[{
     RowBox[{"net", "/.", "\[InvisibleSpace]", "rule"}], "/.", 
     "\[InvisibleSpace]", 
     RowBox[{
      RowBox[{"new", "[", "n_", "]"}], "\[Rule]", 
      RowBox[{"n", "+", 
       RowBox[{"Apply", "[", 
        RowBox[{"Max", ",", 
         RowBox[{"Map", "[", 
          RowBox[{"First", ",", "net"}], "]"}]}], "]"}]}]}]}]}], 
   "]"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Attributes", "[", "u", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"Flat", ",", "Orderless"}], "}"}]}], ";", 
  RowBox[{
   RowBox[{"Attributes", "[", "v", "]"}], "=", "Orderless"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"NetStep", "[", 
   RowBox[{"rule_", ",", "net_"}], "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "new", "}"}], ",", 
    RowBox[{
     RowBox[{"net", "/.", "\[InvisibleSpace]", "rule"}], "/.", 
     "\[InvisibleSpace]", 
     RowBox[{
      RowBox[{"new", "[", "n_", "]"}], "\[Rule]", 
      RowBox[{"n", "+", 
       RowBox[{"Apply", "[", 
        RowBox[{"Max", ",", 
         RowBox[{"Map", "[", 
          RowBox[{"First", ",", "net"}], "]"}]}], "]"}]}]}]}]}], 
   "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NetStep", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u", "[", 
     RowBox[{
      RowBox[{"i1_", "\[Rule]", 
       RowBox[{"v", "[", 
        RowBox[{"i2_", ",", "i3_", ",", "i4_"}], "]"}]}], ",", 
      RowBox[{"i3_", "\[Rule]", 
       RowBox[{"v", "[", 
        RowBox[{"i1_", ",", "i5_", ",", "i6_"}], "]"}]}], ",", 
      RowBox[{"i4_", "\[Rule]", 
       RowBox[{"v", "[", 
        RowBox[{"i1_", ",", "i7_", ",", "i8_"}], "]"}]}]}], "]"}], 
    "\[RuleDelayed]", 
    RowBox[{"u", "[", 
     RowBox[{
      RowBox[{"i1", "\[Rule]", 
       RowBox[{"v", "[", 
        RowBox[{"i2", ",", 
         RowBox[{"new", "[", "1", "]"}], ",", 
         RowBox[{"new", "[", "2", "]"}]}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"new", "[", "1", "]"}], "\[Rule]", 
       RowBox[{"v", "[", 
        RowBox[{"i1", ",", 
         RowBox[{"new", "[", "2", "]"}], ",", "i3"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"new", "[", "2", "]"}], "\[Rule]", 
       RowBox[{"v", "[", 
        RowBox[{"i1", ",", 
         RowBox[{"new", "[", "1", "]"}], ",", "i4"}], "]"}]}], ",", 
      RowBox[{"i3", "\[Rule]", 
       RowBox[{"v", "[", 
        RowBox[{
         RowBox[{"new", "[", "1", "]"}], ",", "i5", ",", "i6"}], "]"}]}], ",", 
      RowBox[{"i4", "\[Rule]", 
       RowBox[{"v", "[", 
        RowBox[{
         RowBox[{"new", "[", "2", "]"}], ",", "i7", ",", "i8"}], "]"}]}]}], 
     "]"}]}], ",", 
   RowBox[{"u", "[", 
    RowBox[{
     RowBox[{"1", "\[Rule]", 
      RowBox[{"v", "[", 
       RowBox[{"2", ",", "3", ",", "4"}], "]"}]}], ",", 
     RowBox[{"2", "\[Rule]", 
      RowBox[{"v", "[", "1", "]"}]}], ",", 
     RowBox[{"3", "\[Rule]", 
      RowBox[{"v", "[", 
       RowBox[{"1", ",", "5", ",", "6"}], "]"}]}], ",", 
     RowBox[{"4", "\[Rule]", 
      RowBox[{"v", "[", 
       RowBox[{"1", ",", "7", ",", "8"}], "]"}]}], ",", 
     RowBox[{"5", "\[Rule]", 
      RowBox[{"v", "[", "3", "]"}]}], ",", 
     RowBox[{"6", "\[Rule]", 
      RowBox[{"v", "[", "3", "]"}]}], ",", 
     RowBox[{"7", "\[Rule]", 
      RowBox[{"v", "[", "4", "]"}]}], ",", 
     RowBox[{"8", "\[Rule]", 
      RowBox[{"v", "[", "4", "]"}]}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"u", "[", 
  RowBox[{
   RowBox[{"1", "\[Rule]", 
    RowBox[{"v", "[", 
     RowBox[{"2", ",", "9", ",", "10"}], "]"}]}], ",", 
   RowBox[{"2", "\[Rule]", 
    RowBox[{"v", "[", "1", "]"}]}], ",", 
   RowBox[{"3", "\[Rule]", 
    RowBox[{"v", "[", 
     RowBox[{"5", ",", "6", ",", "9"}], "]"}]}], ",", 
   RowBox[{"4", "\[Rule]", 
    RowBox[{"v", "[", 
     RowBox[{"7", ",", "8", ",", "10"}], "]"}]}], ",", 
   RowBox[{"5", "\[Rule]", 
    RowBox[{"v", "[", "3", "]"}]}], ",", 
   RowBox[{"6", "\[Rule]", 
    RowBox[{"v", "[", "3", "]"}]}], ",", 
   RowBox[{"7", "\[Rule]", 
    RowBox[{"v", "[", "4", "]"}]}], ",", 
   RowBox[{"8", "\[Rule]", 
    RowBox[{"v", "[", "4", "]"}]}], ",", 
   RowBox[{"9", "\[Rule]", 
    RowBox[{"v", "[", 
     RowBox[{"1", ",", "3", ",", "10"}], "]"}]}], ",", 
   RowBox[{"10", "\[Rule]", 
    RowBox[{"v", "[", 
     RowBox[{"1", ",", "4", ",", "9"}], "]"}]}]}], "]"}]], "Output",
 CellChangeTimes->{3.41372699813384*^9, 3.4137271585699263`*^9, 
  3.4282515700164957`*^9, 3.432317516891808*^9, 3.5002104480411577`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Random networks", "Subsection"], Cell[" (page 1038)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RandomNetwork", "[", 
   RowBox[{"n_", "?", "EvenQ"}], "]"}], ":=", 
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Insert", "[", 
        RowBox[{"#1", ",", "#2", ",", 
         RowBox[{
          RowBox[{"Random", "[", 
           RowBox[{"Integer", ",", 
            RowBox[{"Length", "[", "#1", "]"}]}], "]"}], "+", "1"}]}], "]"}], 
       "&"}], ",", 
      RowBox[{"{", "}"}], ",", 
      RowBox[{"Floor", "[", 
       RowBox[{"Range", "[", 
        RowBox[{"1", ",", 
         RowBox[{"n", "+", 
          RowBox[{"2", "/", "3"}]}], ",", 
         RowBox[{"1", "/", "3"}]}], "]"}], "]"}]}], "]"}], ",", "2"}], 
   "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"RandomNetwork", "[", 
   RowBox[{"n_", "?", "EvenQ"}], "]"}], ":=", 
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Insert", "[", 
        RowBox[{"#1", ",", "#2", ",", 
         RowBox[{
          RowBox[{"Random", "[", 
           RowBox[{"Integer", ",", 
            RowBox[{"Length", "[", "#1", "]"}]}], "]"}], "+", "1"}]}], "]"}], 
       "&"}], ",", 
      RowBox[{"{", "}"}], ",", 
      RowBox[{"Floor", "[", 
       RowBox[{"Range", "[", 
        RowBox[{"1", ",", 
         RowBox[{"n", "+", 
          RowBox[{"2", "/", "3"}]}], ",", 
         RowBox[{"1", "/", "3"}]}], "]"}], "]"}]}], "]"}], ",", "2"}], 
   "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RandomNetwork", "[", "10", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"6", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9", ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9", ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10", ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "10"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413726998195642*^9, 3.413727158623475*^9, 
  3.428251613346427*^9, 3.432317516992518*^9, 3.5002104539500017`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Space, Time and Relativity", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Standard treatment", "Subsection"], Cell[" (page 1042)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"t", ",", "x"}], "}"}], "\[Rule]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "-", 
      RowBox[{
       RowBox[{"v", " ", "x"}], "/", 
       SuperscriptBox["c", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}], ",", 
     RowBox[{"x", "-", 
      RowBox[{"v", " ", "t"}]}]}], "}"}], "/", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"1", "-", 
     RowBox[{
      SuperscriptBox["v", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
      SuperscriptBox["c", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}], 
    "]"}]}]}]], "Subsubsection"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Phenomenon of Gravity", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Differential geometry", "Subsection"], Cell[" (page 1048)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"Transpose", "[", "#", "]"}], "\[VeryThinSpace]", ".", 
     "\[VeryThinSpace]", "#"}], "&"}], ")"}], "[", 
  RowBox[{"Outer", "[", 
   RowBox[{"D", ",", "e", ",", "p"}], "]"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", "=", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], ",", 
     RowBox[{"e", "=", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y", ",", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"1", "-", 
          RowBox[{"x", "^", "2"}], "-", 
          RowBox[{"y", "^", "2"}]}], "]"}]}], "}"}]}]}], "}"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Transpose", "[", "#", "]"}], "\[VeryThinSpace]", ".", 
        "\[VeryThinSpace]", "#"}], "&"}], ")"}], "[", 
     RowBox[{"Outer", "[", 
      RowBox[{"D", ",", "e", ",", "p"}], "]"}], "]"}], "//", 
    "FullSimplify"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["y", "2"]}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["x", "2"], "+", 
       SuperscriptBox["y", "2"]}]], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"x", " ", "y"}], 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        SuperscriptBox["x", "2"], "+", 
        SuperscriptBox["y", "2"]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"x", " ", "y"}], 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        SuperscriptBox["x", "2"], "+", 
        SuperscriptBox["y", "2"]}]]}], ",", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["x", "2"]}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["x", "2"], "+", 
       SuperscriptBox["y", "2"]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413726998618328*^9, 3.413727158753227*^9, 
  3.428251633346198*^9, 3.4323175172395477`*^9, 3.5002104589570837`*^9}]
}, Open  ]],

Cell["The metric on the unit half sphere.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[PartialD]", "t"], "s"}], "\[VeryThinSpace]", ".", 
     "\[VeryThinSpace]", 
     RowBox[{"g", "[", "s", "]"}], "\[VeryThinSpace]", ".", 
     "\[VeryThinSpace]", 
     RowBox[{
      SubscriptBox["\[PartialD]", "t"], "s"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     SubscriptBox["t", "1"], ",", 
     SubscriptBox["t", "2"]}], "}"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"s", ",", "x", ",", "y", ",", "t", ",", "g"}], "}"}], ",", 
   RowBox[{
    RowBox[{"x", "=", "t"}], ";", 
    RowBox[{"y", "=", "0"}], ";", 
    RowBox[{"s", "=", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}]}], ";", 
    RowBox[{
     RowBox[{"g", "[", "s", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           SuperscriptBox["y", "2"]}], 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           SuperscriptBox["x", "2"], "+", 
           SuperscriptBox["y", "2"]}]], ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"x", " ", "y"}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"x", " ", "y"}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]]}], ",", 
         FractionBox[
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           SuperscriptBox["x", "2"]}], 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           SuperscriptBox["x", "2"], "+", 
           SuperscriptBox["y", "2"]}]]}], "}"}]}], "}"}]}], ";", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", "t"], "s"}], "\[VeryThinSpace]", ".", 
        "\[VeryThinSpace]", 
        RowBox[{"g", "[", "s", "]"}], "\[VeryThinSpace]", ".", 
        "\[VeryThinSpace]", 
        RowBox[{
         SubscriptBox["\[PartialD]", "t"], "s"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "1"}], "}"}]}], "]"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 FractionBox["\[Pi]", "2"]], "Output",
 CellChangeTimes->{3.41372700161167*^9, 3.413727159034211*^9, 
  3.428251644375237*^9, 3.4323175178622026`*^9, 3.500210464507923*^9}]
}, Open  ]],

Cell["\<\
The distance from the equator to the North Pole on the unit half sphere.\
\>", "Text",
 CellChangeTimes->{{3.534870491618187*^9, 3.534870494305725*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Riemann", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
       RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
        RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}]}], "-", 
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
       RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
        RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}]}], "+", 
      RowBox[{
       RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
        RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}], 
       "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
       RowBox[{
       "\[CapitalGamma]", "\[LeftDoubleBracket]", "j", 
        "\[RightDoubleBracket]"}]}], "-", 
      RowBox[{
       RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
        RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}], 
       "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
       RowBox[{
       "\[CapitalGamma]", "\[LeftDoubleBracket]", "i", 
        "\[RightDoubleBracket]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], "\n"}], "\n", 
 RowBox[{"\[CapitalGamma]", "=", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"gi", "=", 
       RowBox[{"Inverse", "[", "g", "]"}]}], "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"gi", "\[LeftDoubleBracket]", 
           RowBox[{"l", ",", "k"}], "\[RightDoubleBracket]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SubscriptBox["\[PartialD]", 
              RowBox[{
              "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
             RowBox[{"g", "\[LeftDoubleBracket]", 
              RowBox[{"i", ",", "l"}], "\[RightDoubleBracket]"}]}], "+", 
            RowBox[{
             SubscriptBox["\[PartialD]", 
              RowBox[{
              "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
             RowBox[{"g", "\[LeftDoubleBracket]", 
              RowBox[{"j", ",", "l"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{
             SubscriptBox["\[PartialD]", 
              RowBox[{
              "p", "\[LeftDoubleBracket]", "l", "\[RightDoubleBracket]"}]], 
             RowBox[{"g", "\[LeftDoubleBracket]", 
              RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}]}]}], ")"}]}],
          ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "d"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], "]"}], "/", 
   "2"}]}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Riemann", ",", "\[CapitalGamma]", ",", 
     RowBox[{"d", "=", "2"}], ",", 
     RowBox[{"p", "=", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], ",", 
     RowBox[{"g", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]], ",", 
          RowBox[{"-", 
           FractionBox[
            RowBox[{"x", " ", "y"}], 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}]]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            RowBox[{"x", " ", "y"}], 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}]]}], ",", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"]}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]]}], "}"}]}], "}"}]}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"\[CapitalGamma]", "=", 
     RowBox[{
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"gi", "=", 
          RowBox[{"Inverse", "[", "g", "]"}]}], "}"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"gi", "\[LeftDoubleBracket]", 
              RowBox[{"l", ",", "k"}], "\[RightDoubleBracket]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "l"}], "\[RightDoubleBracket]"}]}], "+", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"j", ",", "l"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "l", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}]}]}], 
              ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"l", ",", "d"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], "]"}], "/", "2"}]}], 
    ";", 
    RowBox[{"Riemann", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", 
          RowBox[{
          "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         SubscriptBox["\[PartialD]", 
          RowBox[{
          "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}]}], "+", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}], 
         "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{
         "\[CapitalGamma]", "\[LeftDoubleBracket]", "j", 
          "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}], 
         "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{
         "\[CapitalGamma]", "\[LeftDoubleBracket]", "i", 
          "\[RightDoubleBracket]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], ";", 
    RowBox[{"Riemann", "//", "FullSimplify"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"x", " ", "y"}], 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           SuperscriptBox["x", "2"], "+", 
           SuperscriptBox["y", "2"]}]], ",", 
         FractionBox[
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           SuperscriptBox["y", "2"]}], 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           SuperscriptBox["x", "2"], "+", 
           SuperscriptBox["y", "2"]}]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "-", 
           SuperscriptBox["x", "2"]}], 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           SuperscriptBox["x", "2"], "+", 
           SuperscriptBox["y", "2"]}]], ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"x", " ", "y"}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]]}]}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"x", " ", "y"}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]]}], ",", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          FractionBox[
           SuperscriptBox["x", "2"], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           SuperscriptBox["x", "2"]}], 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           SuperscriptBox["x", "2"], "+", 
           SuperscriptBox["y", "2"]}]], ",", 
         FractionBox[
          RowBox[{"x", " ", "y"}], 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           SuperscriptBox["x", "2"], "+", 
           SuperscriptBox["y", "2"]}]]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413727002101913*^9, 3.413727159465355*^9, 
  3.428251651319069*^9, 3.432317518129285*^9, 3.500210469286433*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RicciTensor", "=", 
  RowBox[{"Map", "[", 
   RowBox[{"Tr", ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"Riemann", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3", ",", "2", ",", "4"}], "}"}]}], "]"}], ",", 
    RowBox[{"{", "2", "}"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"RicciTensor", ",", "Riemann", ",", "\[CapitalGamma]", ",", 
     RowBox[{"d", "=", "2"}], ",", 
     RowBox[{"p", "=", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], ",", 
     RowBox[{"g", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]], ",", 
          RowBox[{"-", 
           FractionBox[
            RowBox[{"x", " ", "y"}], 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}]]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            RowBox[{"x", " ", "y"}], 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}]]}], ",", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"]}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]]}], "}"}]}], "}"}]}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"\[CapitalGamma]", "=", 
     RowBox[{
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"gi", "=", 
          RowBox[{"Inverse", "[", "g", "]"}]}], "}"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"gi", "\[LeftDoubleBracket]", 
              RowBox[{"l", ",", "k"}], "\[RightDoubleBracket]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "l"}], "\[RightDoubleBracket]"}]}], "+", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"j", ",", "l"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "l", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}]}]}], 
              ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"l", ",", "d"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], "]"}], "/", "2"}]}], 
    ";", 
    RowBox[{"Riemann", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", 
          RowBox[{
          "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         SubscriptBox["\[PartialD]", 
          RowBox[{
          "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}]}], "+", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}], 
         "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{
         "\[CapitalGamma]", "\[LeftDoubleBracket]", "j", 
          "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}], 
         "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{
         "\[CapitalGamma]", "\[LeftDoubleBracket]", "i", 
          "\[RightDoubleBracket]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], ";", 
    RowBox[{"RicciTensor", "=", 
     RowBox[{"Map", "[", 
      RowBox[{"Tr", ",", 
       RowBox[{"Transpose", "[", 
        RowBox[{"Riemann", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3", ",", "2", ",", "4"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}], ";", 
    RowBox[{"RicciTensor", "//", "FullSimplify"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["y", "2"]}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["x", "2"], "+", 
       SuperscriptBox["y", "2"]}]], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"x", " ", "y"}], 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        SuperscriptBox["x", "2"], "+", 
        SuperscriptBox["y", "2"]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"x", " ", "y"}], 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        SuperscriptBox["x", "2"], "+", 
        SuperscriptBox["y", "2"]}]]}], ",", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["x", "2"]}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["x", "2"], "+", 
       SuperscriptBox["y", "2"]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4137270022270813`*^9, 3.413727159584346*^9, 
  3.4282516653793364`*^9, 3.432317518234578*^9, 3.500210473912994*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RicciScalar", "=", 
  RowBox[{"Tr", "[", 
   RowBox[{"RicciTensor", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
    RowBox[{"Inverse", "[", "g", "]"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "RicciScalar", ",", "RicciTensor", ",", "Riemann", ",", "\[CapitalGamma]",
      ",", 
     RowBox[{"d", "=", "2"}], ",", 
     RowBox[{"p", "=", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], ",", 
     RowBox[{"g", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]], ",", 
          RowBox[{"-", 
           FractionBox[
            RowBox[{"x", " ", "y"}], 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}]]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            RowBox[{"x", " ", "y"}], 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}]]}], ",", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"]}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]]}], "}"}]}], "}"}]}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"\[CapitalGamma]", "=", 
     RowBox[{
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"gi", "=", 
          RowBox[{"Inverse", "[", "g", "]"}]}], "}"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"gi", "\[LeftDoubleBracket]", 
              RowBox[{"l", ",", "k"}], "\[RightDoubleBracket]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "l"}], "\[RightDoubleBracket]"}]}], "+", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"j", ",", "l"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "l", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}]}]}], 
              ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"l", ",", "d"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], "]"}], "/", "2"}]}], 
    ";", 
    RowBox[{"Riemann", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", 
          RowBox[{
          "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         SubscriptBox["\[PartialD]", 
          RowBox[{
          "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}]}], "+", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}], 
         "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{
         "\[CapitalGamma]", "\[LeftDoubleBracket]", "j", 
          "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}], 
         "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{
         "\[CapitalGamma]", "\[LeftDoubleBracket]", "i", 
          "\[RightDoubleBracket]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], ";", 
    RowBox[{"RicciTensor", "=", 
     RowBox[{"Map", "[", 
      RowBox[{"Tr", ",", 
       RowBox[{"Transpose", "[", 
        RowBox[{"Riemann", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3", ",", "2", ",", "4"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}], ";", 
    RowBox[{"RicciScalar", "=", 
     RowBox[{"Tr", "[", 
      RowBox[{"RicciTensor", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
       RowBox[{"Inverse", "[", "g", "]"}]}], "]"}]}], ";", 
    RowBox[{"RicciScalar", "//", "FullSimplify"}]}]}], "]"}]], "Input"],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.4137270023503447`*^9, 3.413727159703347*^9, 
  3.428251675852714*^9, 3.432317518342814*^9, 3.500210477861877*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 531 \[CenterDot] Geodesics", "Subsection"], Cell[
     " (page 1049)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["x", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[DoublePrime]"}]], "[", "t",
    "]"}], "==", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["f", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", 
        RowBox[{"y", "[", "t", "]"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox[
          RowBox[{
           SuperscriptBox["y", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[Prime]"}]], "[", 
           "t", "]"}], 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
         RowBox[{
          SuperscriptBox["f", 
           TagBox[
            RowBox[{"(", 
             RowBox[{"0", ",", "2"}], ")"}],
            Derivative],
           MultilineFunction->None], "[", 
          RowBox[{
           RowBox[{"x", "[", "t", "]"}], ",", 
           RowBox[{"y", "[", "t", "]"}]}], "]"}]}], "+", 
        RowBox[{"2", " ", 
         RowBox[{
          SuperscriptBox["x", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[Prime]"}]], "[", 
          "t", "]"}], " ", 
         RowBox[{
          SuperscriptBox["y", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[Prime]"}]], "[", 
          "t", "]"}], " ", 
         RowBox[{
          SuperscriptBox["f", 
           TagBox[
            RowBox[{"(", 
             RowBox[{"1", ",", "1"}], ")"}],
            Derivative],
           MultilineFunction->None], "[", 
          RowBox[{
           RowBox[{"x", "[", "t", "]"}], ",", 
           RowBox[{"y", "[", "t", "]"}]}], "]"}]}], "+", 
        RowBox[{
         SuperscriptBox[
          RowBox[{
           SuperscriptBox["x", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[Prime]"}]], "[", 
           "t", "]"}], 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
         RowBox[{
          SuperscriptBox["f", 
           TagBox[
            RowBox[{"(", 
             RowBox[{"2", ",", "0"}], ")"}],
            Derivative],
           MultilineFunction->None], "[", 
          RowBox[{
           RowBox[{"x", "[", "t", "]"}], ",", 
           RowBox[{"y", "[", "t", "]"}]}], "]"}]}]}], ")"}]}], ")"}]}], "/", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["f", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", 
        RowBox[{"y", "[", "t", "]"}]}], "]"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "+", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["f", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", 
        RowBox[{"y", "[", "t", "]"}]}], "]"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], 
    ")"}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"Sqrt", "[", 
   RowBox[{"1", "-", 
    RowBox[{"x", "^", "2"}], "-", 
    RowBox[{"y", "^", "2"}]}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NDSolve", "[", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "\[Prime]\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "==", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox["f", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"1", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{
             RowBox[{"x", "[", "t", "]"}], ",", 
             RowBox[{"y", "[", "t", "]"}]}], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["y", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], " ", 
              RowBox[{
               SuperscriptBox["f", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"0", ",", "2"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{"x", "[", "t", "]"}], ",", 
                RowBox[{"y", "[", "t", "]"}]}], "]"}]}], "+", 
             RowBox[{"2", " ", 
              RowBox[{
               SuperscriptBox["x", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["y", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["f", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"1", ",", "1"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{"x", "[", "t", "]"}], ",", 
                RowBox[{"y", "[", "t", "]"}]}], "]"}]}], "+", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["x", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], " ", 
              RowBox[{
               SuperscriptBox["f", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"2", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{"x", "[", "t", "]"}], ",", 
                RowBox[{"y", "[", "t", "]"}]}], "]"}]}]}], ")"}]}], ")"}]}], 
        "/", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["f", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"0", ",", "1"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{
             RowBox[{"x", "[", "t", "]"}], ",", 
             RowBox[{"y", "[", "t", "]"}]}], "]"}], "2"], "+", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["f", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"1", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{
             RowBox[{"x", "[", "t", "]"}], ",", 
             RowBox[{"y", "[", "t", "]"}]}], "]"}], "2"]}], ")"}]}]}], ",", 
      RowBox[{
       RowBox[{
        SuperscriptBox["y", "\[Prime]\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "==", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox["f", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"0", ",", "1"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{
             RowBox[{"x", "[", "t", "]"}], ",", 
             RowBox[{"y", "[", "t", "]"}]}], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["y", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], " ", 
              RowBox[{
               SuperscriptBox["f", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"0", ",", "2"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{"x", "[", "t", "]"}], ",", 
                RowBox[{"y", "[", "t", "]"}]}], "]"}]}], "+", 
             RowBox[{"2", " ", 
              RowBox[{
               SuperscriptBox["x", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["y", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["f", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"1", ",", "1"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{"x", "[", "t", "]"}], ",", 
                RowBox[{"y", "[", "t", "]"}]}], "]"}]}], "+", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["x", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], " ", 
              RowBox[{
               SuperscriptBox["f", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"2", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{"x", "[", "t", "]"}], ",", 
                RowBox[{"y", "[", "t", "]"}]}], "]"}]}]}], ")"}]}], ")"}]}], 
        "/", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["f", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"0", ",", "1"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{
             RowBox[{"x", "[", "t", "]"}], ",", 
             RowBox[{"y", "[", "t", "]"}]}], "]"}], "2"], "+", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["f", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"1", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{
             RowBox[{"x", "[", "t", "]"}], ",", 
             RowBox[{"y", "[", "t", "]"}]}], "]"}], "2"]}], ")"}]}]}], ",", 
      RowBox[{
       RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "1"}], ",", 
      RowBox[{
       RowBox[{"y", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], ",", 
     RowBox[{"y", "[", "t", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "5"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "\[Rule]", 
     RowBox[{
      TagBox[
       RowBox[{"InterpolatingFunction", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"0.`", ",", "5.`"}], "}"}], "}"}], ",", "\<\"<>\"\>"}], 
        "]"}],
       False,
       Editable->False], "[", "t", "]"}]}], ",", 
    RowBox[{
     RowBox[{"y", "[", "t", "]"}], "\[Rule]", 
     RowBox[{
      TagBox[
       RowBox[{"InterpolatingFunction", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"0.`", ",", "5.`"}], "}"}], "}"}], ",", "\<\"<>\"\>"}], 
        "]"}],
       False,
       Editable->False], "[", "t", "]"}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.413727002962726*^9, 3.413727159851512*^9, 
  3.428251691669557*^9, 3.4323175187325573`*^9, 3.5002104855479603`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", 
    RowBox[{"First", "[", "%", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.388760853488082*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwll3k4Vd37xg2RkJx9mpUhokilN0rUs2iSJElKqChEkYper5SKNIpKigwp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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0, 5}, {-0.9999999540831918, 0.9999998402777972}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.413727003168762*^9, 3.413727159998806*^9, 
  3.428251694179193*^9, 3.4323175187877827`*^9, 3.500210488020369*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 533 \[CenterDot] Sphere volumes", "Subsection"], Cell[
     " (page 1050)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "[", "d", "]"}], "=", 
  RowBox[{
   SuperscriptBox["\[Pi]", 
    RowBox[{"d", "/", "2"}]], "/", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"d", "/", "2"}], ")"}], "!"}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"2", " ", "\[Pi]", " ", 
   SuperscriptBox["a", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"Cos", "[", 
      RowBox[{"r", "/", "a"}], "]"}]}], ")"}]}], "=", 
  RowBox[{"\[Pi]", " ", 
   SuperscriptBox["r", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      SuperscriptBox["r", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
      RowBox[{"(", 
       RowBox[{"12", " ", 
        SuperscriptBox["a", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["r", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]], "/", 
      RowBox[{"(", 
       RowBox[{"360", " ", 
        SuperscriptBox["a", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]]}], ")"}]}], "-", 
     "\[Ellipsis]"}], ")"}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"d", " ", 
   RowBox[{"s", "[", "d", "]"}], " ", 
   SuperscriptBox["a", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "d"}]], " ", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Sin", "[", "\[Theta]", "]"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
       RowBox[{"d", "-", "1"}]}]], ",", 
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", "0", ",", 
       RowBox[{"r", "/", "a"}]}], "}"}]}], "]"}]}], "=", 
  RowBox[{
   RowBox[{"s", "[", "d", "]"}], " ", 
   SuperscriptBox["r", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "d"}]], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"d", " ", 
      RowBox[{"(", 
       RowBox[{"d", "-", "1"}], ")"}], " ", 
      RowBox[{
       SuperscriptBox["r", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"6", " ", 
           RowBox[{"(", 
            RowBox[{"d", "+", "2"}], ")"}]}], ")"}], " ", 
         SuperscriptBox["a", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}]}]}], 
     "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"5", " ", 
           SuperscriptBox["d", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "-", 
          RowBox[{"12", " ", "d"}], "+", "7"}], ")"}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox["r", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"360", " ", 
           RowBox[{"(", 
            RowBox[{"d", "+", "4"}], ")"}]}], ")"}], " ", 
         SuperscriptBox["a", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]]}], ")"}]}]}], 
     "+", "\[Ellipsis]"}], ")"}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Integrate", "[", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"Sin", "[", "x", "]"}], 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
      RowBox[{"d", "-", "1"}]}]], ",", "x"}], "]"}], "=", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{"Cos", "[", "x", "]"}]}], " ", 
   RowBox[{"Hypergeometric2F1", "[", 
    RowBox[{
     RowBox[{"1", "/", "2"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", "-", "d"}], ")"}], "/", "2"}], ",", 
     RowBox[{"3", "/", "2"}], ",", 
     SuperscriptBox[
      RowBox[{"Cos", "[", "x", "]"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], 
    "]"}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "[", "d", "]"}], " ", 
  SuperscriptBox["r", 
   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "d"}]], " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    RowBox[{"RicciScalar", " ", 
     RowBox[{
      SuperscriptBox["r", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
      RowBox[{"(", 
       RowBox[{"6", " ", 
        RowBox[{"(", 
         RowBox[{"d", "+", "2"}], ")"}]}], ")"}]}]}], "+", "\[Ellipsis]"}], 
   ")"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"s", "[", "d", "]"}], " ", 
   SuperscriptBox["r", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "d"}]], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"RicciScalar", " ", 
      RowBox[{
       SuperscriptBox["r", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
       RowBox[{"(", 
        RowBox[{"6", " ", 
         RowBox[{"(", 
          RowBox[{"d", "+", "2"}], ")"}]}], ")"}]}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"5", " ", 
         SuperscriptBox["RicciScalar", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "-", 
        RowBox[{"3", " ", "RiemannNorm"}], "+", 
        RowBox[{"8", " ", "RicciNorm"}], "-", 
        RowBox[{"18", " ", 
         RowBox[{"Laplacian", "[", "RicciScalar", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox["r", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]], "/", 
       RowBox[{"(", 
        RowBox[{"360", " ", 
         RowBox[{"(", 
          RowBox[{"d", "+", "2"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"d", "+", "4"}], ")"}]}], ")"}]}]}], "+", "\[Ellipsis]"}], 
    ")"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"RicciNorm", "=", 
   RowBox[{"NormSquared", "[", 
    RowBox[{"RicciTensor", ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "g"}], "}"}]}], "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"RiemannNorm", "=", 
   RowBox[{"NormSquared", "[", 
    RowBox[{"Riemann", ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "g", ",", "g", ",", 
       RowBox[{"Inverse", "[", "g", "]"}]}], "}"}]}], "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"NormSquared", "[", 
    RowBox[{"t_", ",", "gl_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Flatten", "[", "t", "]"}], ".", 
    RowBox[{"Flatten", "[", 
     RowBox[{"Dual", "[", 
      RowBox[{"t", ",", "gl"}], "]"}], "]"}]}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Dual", "[", 
    RowBox[{"t_", ",", "gl_"}], "]"}], ":=", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{
        RowBox[{"#1", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{"Inverse", "[", "#2", "]"}]}], ",", 
        RowBox[{"RotateLeft", "[", 
         RowBox[{"Range", "[", 
          RowBox[{"TensorRank", "[", "t", "]"}], "]"}], "]"}]}], "]"}], "&"}],
      ",", "t", ",", 
     RowBox[{"Reverse", "[", "gl", "]"}]}], "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Laplacian", "[", "f_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Inner", "[", 
    RowBox[{"D", ",", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{"Det", "[", "g", "]"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Inverse", "[", "g", "]"}], "\[VeryThinSpace]", ".", 
        "\[VeryThinSpace]", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "#"], "f"}], "&"}], ",", "p"}], 
         "]"}]}], ")"}]}], ",", "p"}], "]"}], "/", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"Det", "[", "g", "]"}], "]"}]}]}]}], "Subsubsection",
 CellChangeTimes->{{3.4137297017082*^9, 3.41372970846801*^9}, {
  3.513003610611267*^9, 3.513003616399864*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NormSquared", "[", 
   RowBox[{"t_", ",", "gl_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Flatten", "[", "t", "]"}], ".", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Dual", "[", 
     RowBox[{"t", ",", "gl"}], "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dual", "[", 
   RowBox[{"t_", ",", "gl_"}], "]"}], ":=", 
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{
       RowBox[{"#1", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
        RowBox[{"Inverse", "[", "#2", "]"}]}], ",", 
       RowBox[{"RotateLeft", "[", 
        RowBox[{"Range", "[", 
         RowBox[{"TensorRank", "[", "t", "]"}], "]"}], "]"}]}], "]"}], "&"}], 
    ",", "t", ",", 
    RowBox[{"Reverse", "[", "gl", "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"Laplacian", "[", "f_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Inner", "[", 
    RowBox[{"D", ",", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{"Det", "[", "g", "]"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Inverse", "[", "g", "]"}], "\[VeryThinSpace]", ".", 
        "\[VeryThinSpace]", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "#"], "f"}], "&"}], ",", "p"}], 
         "]"}]}], ")"}]}], ",", "p"}], "]"}], "/", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"Det", "[", "g", "]"}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.4431917781370697`*^9, 3.443191794181838*^9}, {
  3.443191890750004*^9, 3.443191896239953*^9}, {3.443191983497265*^9, 
  3.443191983565957*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "RicciNorm", ",", "RiemannNorm", ",", "RicciScalar", ",", "RicciTensor", 
     ",", "Riemann", ",", "\[CapitalGamma]", ",", 
     RowBox[{"d", "=", "2"}], ",", 
     RowBox[{"p", "=", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], ",", "s", ",", 
     RowBox[{"g", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]], ",", 
          RowBox[{"-", 
           FractionBox[
            RowBox[{"x", " ", "y"}], 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}]]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            RowBox[{"x", " ", "y"}], 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}]]}], ",", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"]}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]]}], "}"}]}], "}"}]}]}], "}"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"s", "[", "d_", "]"}], ":=", 
     RowBox[{
      SuperscriptBox["\[Pi]", 
       RowBox[{"d", "/", "2"}]], "/", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"d", "/", "2"}], ")"}], "!"}]}]}], ";", 
    RowBox[{"\[CapitalGamma]", "=", 
     RowBox[{
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"gi", "=", 
          RowBox[{"Inverse", "[", "g", "]"}]}], "}"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"gi", "\[LeftDoubleBracket]", 
              RowBox[{"l", ",", "k"}], "\[RightDoubleBracket]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "l"}], "\[RightDoubleBracket]"}]}], "+", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"j", ",", "l"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "l", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}]}]}], 
              ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"l", ",", "d"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], "]"}], "/", "2"}]}], 
    ";", 
    RowBox[{"Riemann", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", 
          RowBox[{
          "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         SubscriptBox["\[PartialD]", 
          RowBox[{
          "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}]}], "+", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}], 
         "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{
         "\[CapitalGamma]", "\[LeftDoubleBracket]", "j", 
          "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}], 
         "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{
         "\[CapitalGamma]", "\[LeftDoubleBracket]", "i", 
          "\[RightDoubleBracket]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], ";", 
    RowBox[{"RicciTensor", "=", 
     RowBox[{"Map", "[", 
      RowBox[{"Tr", ",", 
       RowBox[{"Transpose", "[", 
        RowBox[{"Riemann", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3", ",", "2", ",", "4"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}], ";", 
    RowBox[{"RicciScalar", "=", 
     RowBox[{
      RowBox[{"Tr", "[", 
       RowBox[{"RicciTensor", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
        RowBox[{"Inverse", "[", "g", "]"}]}], "]"}], "//", "FullSimplify"}]}],
     ";", "\[IndentingNewLine]", 
    RowBox[{"RicciNorm", "=", 
     RowBox[{
      RowBox[{"NormSquared", "[", 
       RowBox[{"RicciTensor", ",", 
        RowBox[{"{", 
         RowBox[{"g", ",", "g"}], "}"}]}], "]"}], "//", "FullSimplify"}]}], 
    ";", 
    RowBox[{"RiemannNorm", "=", 
     RowBox[{
      RowBox[{"NormSquared", "[", 
       RowBox[{"Riemann", ",", 
        RowBox[{"{", 
         RowBox[{"g", ",", "g", ",", "g", ",", 
          RowBox[{"Inverse", "[", "g", "]"}]}], "}"}]}], "]"}], "//", 
      "FullSimplify"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"s", "[", "d", "]"}], " ", 
      SuperscriptBox["r", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "d"}]], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"RicciScalar", " ", 
         RowBox[{
          SuperscriptBox["r", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
          RowBox[{"(", 
           RowBox[{"6", " ", 
            RowBox[{"(", 
             RowBox[{"d", "+", "2"}], ")"}]}], ")"}]}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"5", " ", 
            SuperscriptBox["RicciScalar", 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "-", 
           RowBox[{"3", " ", "RiemannNorm"}], "+", 
           RowBox[{"8", " ", "RicciNorm"}], "-", 
           RowBox[{"18", " ", 
            RowBox[{"Laplacian", "[", "RicciScalar", "]"}]}]}], ")"}], " ", 
         RowBox[{
          SuperscriptBox["r", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]], "/", 
          RowBox[{"(", 
           RowBox[{"360", " ", 
            RowBox[{"(", 
             RowBox[{"d", "+", "2"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"d", "+", "4"}], ")"}]}], ")"}]}]}], "+", 
        "\[Ellipsis]"}], ")"}]}], "//", "FullSimplify"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.443191917688896*^9, 3.443191924219363*^9}}],

Cell[BoxData[
 RowBox[{"\[Pi]", " ", 
  SuperscriptBox["r", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{
     FractionBox["1", "360"], " ", 
     SuperscriptBox["r", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "30"}], "+", 
       SuperscriptBox["r", "2"]}], ")"}]}], "+", "\[Ellipsis]"}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.443191945147501*^9, 3.500210500831222*^9}]
}, Open  ]],

Cell["This is identical to (as it should be):", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"d", "=", "2"}], ",", 
     RowBox[{"a", "=", "1"}], ",", "s"}], "}"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"s", "[", "d_", "]"}], ":=", 
     RowBox[{
      SuperscriptBox["\[Pi]", 
       RowBox[{"d", "/", "2"}]], "/", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"d", "/", "2"}], ")"}], "!"}]}]}], ";", 
    RowBox[{
     RowBox[{"s", "[", "d", "]"}], " ", 
     SuperscriptBox["r", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "d"}]], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"d", " ", 
        RowBox[{"(", 
         RowBox[{"d", "-", "1"}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["r", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"6", " ", 
             RowBox[{"(", 
              RowBox[{"d", "+", "2"}], ")"}]}], ")"}], " ", 
           SuperscriptBox["a", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}]}]}], 
       "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"5", " ", 
             SuperscriptBox["d", 
              RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "-", 
            RowBox[{"12", " ", "d"}], "+", "7"}], ")"}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["r", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"360", " ", 
             RowBox[{"(", 
              RowBox[{"d", "+", "4"}], ")"}]}], ")"}], " ", 
           SuperscriptBox["a", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]]}], ")"}]}]}], 
       "+", "\[Ellipsis]"}], ")"}]}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"\[Pi]", " ", 
  SuperscriptBox["r", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    FractionBox[
     SuperscriptBox["r", "2"], "12"], "+", 
    FractionBox[
     SuperscriptBox["r", "4"], "360"], "+", "\[Ellipsis]"}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.413727006117092*^9, 3.41372716310956*^9, 
  3.413729760283512*^9, 3.428251716232036*^9, 3.432317522844058*^9, 
  3.500210506367732*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Cylinder volumes", "Subsection"], Cell[" (page 1050)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "[", 
   RowBox[{"d", "-", "1"}], "]"}], " ", 
  SuperscriptBox["r", 
   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
    RowBox[{"d", "-", "1"}]}]], " ", "x", " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"d", "-", "1"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"RicciScalar", "-", 
       RowBox[{
       "RicciTensor", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", "v", 
        "\[VeryThinSpace]", ".", "\[VeryThinSpace]", "v"}]}], ")"}], " ", 
     RowBox[{
      SuperscriptBox["r", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
      RowBox[{"(", 
       RowBox[{"d", "+", "1"}], ")"}]}]}], "+", "\[Ellipsis]"}], 
   ")"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "RicciScalar", ",", "RicciTensor", ",", "Riemann", ",", "\[CapitalGamma]",
      ",", 
     RowBox[{"d", "=", "2"}], ",", 
     RowBox[{"p", "=", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], ",", "s", ",", 
     RowBox[{"L", "=", "1"}], ",", 
     RowBox[{"v", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], ",", 
     RowBox[{"g", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]], ",", 
          RowBox[{"-", 
           FractionBox[
            RowBox[{"x", " ", "y"}], 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}]]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            RowBox[{"x", " ", "y"}], 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}]]}], ",", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"]}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}]]}], "}"}]}], "}"}]}]}], "}"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"s", "[", "d_", "]"}], ":=", 
     RowBox[{
      SuperscriptBox["\[Pi]", 
       RowBox[{"d", "/", "2"}]], "/", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"d", "/", "2"}], ")"}], "!"}]}]}], ";", 
    RowBox[{"\[CapitalGamma]", "=", 
     RowBox[{
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"gi", "=", 
          RowBox[{"Inverse", "[", "g", "]"}]}], "}"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"gi", "\[LeftDoubleBracket]", 
              RowBox[{"l", ",", "k"}], "\[RightDoubleBracket]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "l"}], "\[RightDoubleBracket]"}]}], "+", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"j", ",", "l"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "l", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}]}]}], 
              ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"l", ",", "d"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], "]"}], "/", "2"}]}], 
    ";", 
    RowBox[{"Riemann", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", 
          RowBox[{
          "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         SubscriptBox["\[PartialD]", 
          RowBox[{
          "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}]}], "+", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}], 
         "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{
         "\[CapitalGamma]", "\[LeftDoubleBracket]", "j", 
          "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}], 
         "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{
         "\[CapitalGamma]", "\[LeftDoubleBracket]", "i", 
          "\[RightDoubleBracket]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], ";", 
    RowBox[{"RicciTensor", "=", 
     RowBox[{"Map", "[", 
      RowBox[{"Tr", ",", 
       RowBox[{"Transpose", "[", 
        RowBox[{"Riemann", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3", ",", "2", ",", "4"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}], ";", 
    RowBox[{"RicciScalar", "=", 
     RowBox[{"Tr", "[", 
      RowBox[{"RicciTensor", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
       RowBox[{"Inverse", "[", "g", "]"}]}], "]"}]}], ";", 
    RowBox[{
     RowBox[{
      RowBox[{"s", "[", 
       RowBox[{"d", "-", "1"}], "]"}], " ", 
      SuperscriptBox["r", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
        RowBox[{"d", "-", "1"}]}]], " ", "L", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"d", "-", "1"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"RicciScalar", "-", 
           RowBox[{
           "RicciTensor", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", "v", 
            "\[VeryThinSpace]", ".", "\[VeryThinSpace]", "v"}]}], ")"}], " ", 
         RowBox[{
          SuperscriptBox["r", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
          RowBox[{"(", 
           RowBox[{"d", "+", "1"}], ")"}]}]}]}], ")"}]}], "//", 
     "FullSimplify"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["2", "3"], " ", "r", " ", 
  RowBox[{"(", 
   RowBox[{"3", "+", 
    RowBox[{
     SuperscriptBox["r", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       FractionBox[
        SuperscriptBox["x", "2"], 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["x", "2"], "+", 
         SuperscriptBox["y", "2"]}]]}], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.4137270065279837`*^9, 3.413727163538789*^9, 
  3.428251723291766*^9, 3.4323175231471577`*^9, 3.500210513819161*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that we substituted ",
 StyleBox["L",
  FontSlant->"Italic"],
 " for the cylinder length ",
 StyleBox["x",
  FontSlant->"Italic"],
 ", to avoid confusion with the coordinate ",
 StyleBox["x",
  FontSlant->"Italic"],
 "."
}], "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 534 \[CenterDot] Lorentzian spaces", "Subsection"], Cell[
     " (page 1051)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "[", "d", "]"}], " ", 
  SuperscriptBox["t", 
   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
    RowBox[{"d", "+", "1"}]}]], " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      SuperscriptBox["t", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
      RowBox[{"(", 
       RowBox[{"d", "+", "1"}], ")"}], " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"d", " ", "RicciScalar"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"d", "+", "1"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
           "RicciTensor", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", "e", 
            "\[VeryThinSpace]", ".", "\[VeryThinSpace]", "e"}], ")"}]}]}], 
        ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"d", "+", "2"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"d", "+", "3"}], ")"}]}], ")"}]}]}], "+", "\[Ellipsis]"}], 
    ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"d", "+", "1"}], ")"}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "RicciScalar", ",", "RicciTensor", ",", "Riemann", ",", "\[CapitalGamma]",
      ",", 
     RowBox[{"d", "=", "2"}], ",", "s", ",", 
     RowBox[{"p", "=", 
      RowBox[{"{", 
       RowBox[{"t", ",", "x"}], "}"}]}], ",", 
     RowBox[{"e1", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], ",", "e", ",", 
     RowBox[{"g", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "}"}]}]}], "}"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"s", "[", "d_", "]"}], ":=", 
     RowBox[{
      SuperscriptBox["\[Pi]", 
       RowBox[{"d", "/", "2"}]], "/", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"d", "/", "2"}], ")"}], "!"}]}]}], ";", 
    RowBox[{"e", "=", 
     RowBox[{"e1", "/", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"e1", ".", "g", ".", "e1"}], "]"}]}]}], ";", 
    RowBox[{"\[CapitalGamma]", "=", 
     RowBox[{
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"gi", "=", 
          RowBox[{"Inverse", "[", "g", "]"}]}], "}"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"gi", "\[LeftDoubleBracket]", 
              RowBox[{"l", ",", "k"}], "\[RightDoubleBracket]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "l"}], "\[RightDoubleBracket]"}]}], "+", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"j", ",", "l"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{
                 "p", "\[LeftDoubleBracket]", "l", "\[RightDoubleBracket]"}]], 
                RowBox[{"g", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}]}]}], 
              ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"l", ",", "d"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], "]"}], "/", "2"}]}], 
    ";", 
    RowBox[{"Riemann", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", 
          RowBox[{
          "p", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]], 
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         SubscriptBox["\[PartialD]", 
          RowBox[{
          "p", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]], 
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}]}], "+", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}], 
         "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{
         "\[CapitalGamma]", "\[LeftDoubleBracket]", "j", 
          "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "\[LeftDoubleBracket]", 
          RowBox[{"j", ",", "k"}], "\[RightDoubleBracket]"}], 
         "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{
         "\[CapitalGamma]", "\[LeftDoubleBracket]", "i", 
          "\[RightDoubleBracket]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "d"}], "}"}]}], "]"}]}], ";", 
    RowBox[{"RicciTensor", "=", 
     RowBox[{"Map", "[", 
      RowBox[{"Tr", ",", 
       RowBox[{"Transpose", "[", 
        RowBox[{"Riemann", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3", ",", "2", ",", "4"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}], ";", 
    RowBox[{"RicciScalar", "=", 
     RowBox[{"Tr", "[", 
      RowBox[{"RicciTensor", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
       RowBox[{"Inverse", "[", "g", "]"}]}], "]"}]}], ";", 
    RowBox[{
     RowBox[{
      RowBox[{"s", "[", "d", "]"}], " ", 
      SuperscriptBox["H", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
        RowBox[{"d", "+", "1"}]}]], " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          SuperscriptBox["H", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
          RowBox[{"(", 
           RowBox[{"d", "+", "1"}], ")"}], " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"d", " ", "RicciScalar"}], "+", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{"d", "+", "1"}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
               "RicciTensor", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
                "e", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", "e"}], 
               ")"}]}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"d", "+", "2"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"d", "+", "3"}], ")"}]}], ")"}]}]}], "+", 
         "\[Ellipsis]"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"d", "+", "1"}], ")"}]}]}], "//", "FullSimplify"}]}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "3"], " ", 
  SuperscriptBox["H", "3"], " ", "\[Pi]", " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "\[Ellipsis]"}], ")"}]}]], "Output",
 CellChangeTimes->{3.413727006612843*^9, 3.4137271635961533`*^9, 
  3.428251729962968*^9, 3.43231752325114*^9, 3.500210517734441*^9}]
}, Open  ]],

Cell[TextData[{
 "We replaced the cone height ",
 StyleBox["t",
  FontSlant->"Italic"],
 " by the variable ",
 StyleBox["H",
  FontSlant->"Italic"],
 ", to avoid confusion with the variable for time."
}], "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 534 \[CenterDot] Einstein equations", "Subsection"], Cell[
     " (page 1053)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"t", "\[InvisibleComma]", "t"}]], 
    RowBox[{"v", "[", "t", "]"}]}], "/", 
   RowBox[{"v", "[", "t", "]"}]}], "==", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "1"}], "/", "2"}], " ", 
   RowBox[{"(", 
    RowBox[{"\[Rho]", "+", 
     RowBox[{"3", " ", "p"}]}], ")"}]}]}]], "Subsubsection"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Quantum Phenomena", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 540 \[CenterDot] Feynman diagrams", "Subsection"], Cell[
     " (page 1060)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"2", " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"\[Alpha]", "/", 
     RowBox[{"(", 
      RowBox[{"2", " ", "\[Pi]"}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"3", " ", 
         RowBox[{"Zeta", "[", "3", "]"}]}], "/", "4"}], "-", 
       RowBox[{
        RowBox[{"1", "/", "2"}], " ", 
        SuperscriptBox["\[Pi]", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
        RowBox[{"Log", "[", "2", "]"}]}], "+", 
       RowBox[{
        SuperscriptBox["\[Pi]", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", "12"}], "+", 
       RowBox[{"197", "/", "144"}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"\[Alpha]", "/", "\[Pi]"}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"83", "/", "72"}], " ", 
        SuperscriptBox["\[Pi]", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
        RowBox[{"Zeta", "[", "3", "]"}]}], "-", 
       RowBox[{
        RowBox[{"215", " ", 
         RowBox[{"Zeta", "[", "5", "]"}]}], "/", "24"}], "-", 
       RowBox[{"239", " ", 
        RowBox[{
         SuperscriptBox["\[Pi]", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]], "/", "2160"}]}],
        "+", 
       RowBox[{
        RowBox[{"139", " ", 
         RowBox[{"Zeta", "[", "3", "]"}]}], "/", "18"}], "+", 
       RowBox[{
        RowBox[{"25", "/", "18"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"24", " ", 
           RowBox[{"PolyLog", "[", 
            RowBox[{"4", ",", 
             RowBox[{"1", "/", "2"}]}], "]"}]}], "+", 
          SuperscriptBox[
           RowBox[{"Log", "[", "2", "]"}], 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]], "-", 
          RowBox[{
           SuperscriptBox["\[Pi]", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
           SuperscriptBox[
            RowBox[{"Log", "[", "2", "]"}], 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}], ")"}]}], 
       "-", 
       RowBox[{
        RowBox[{"298", "/", "9"}], " ", 
        SuperscriptBox["\[Pi]", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
        RowBox[{"Log", "[", "2", "]"}]}], "+", 
       RowBox[{"17101", " ", 
        RowBox[{
         SuperscriptBox["\[Pi]", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", "810"}]}], 
       "+", 
       RowBox[{"28259", "/", "5184"}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"\[Alpha]", "/", "\[Pi]"}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "3"}]]}], "-", 
    RowBox[{"1.4", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"\[Alpha]", "/", "\[Pi]"}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]]}], "+", 
    "\[Ellipsis]"}], ")"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"N", "[", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"\[Alpha]", "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", "\[Pi]"}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"3", " ", 
           RowBox[{"Zeta", "[", "3", "]"}]}], "/", "4"}], "-", 
         RowBox[{
          RowBox[{"1", "/", "2"}], " ", 
          SuperscriptBox["\[Pi]", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
          RowBox[{"Log", "[", "2", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["\[Pi]", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", "12"}], 
         "+", 
         RowBox[{"197", "/", "144"}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"\[Alpha]", "/", "\[Pi]"}], ")"}], 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"83", "/", "72"}], " ", 
          SuperscriptBox["\[Pi]", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
          RowBox[{"Zeta", "[", "3", "]"}]}], "-", 
         RowBox[{
          RowBox[{"215", " ", 
           RowBox[{"Zeta", "[", "5", "]"}]}], "/", "24"}], "-", 
         RowBox[{"239", " ", 
          RowBox[{
           SuperscriptBox["\[Pi]", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]], "/", 
           "2160"}]}], "+", 
         RowBox[{
          RowBox[{"139", " ", 
           RowBox[{"Zeta", "[", "3", "]"}]}], "/", "18"}], "+", 
         RowBox[{
          RowBox[{"25", "/", "18"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"24", " ", 
             RowBox[{"PolyLog", "[", 
              RowBox[{"4", ",", 
               RowBox[{"1", "/", "2"}]}], "]"}]}], "+", 
            SuperscriptBox[
             RowBox[{"Log", "[", "2", "]"}], 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]], "-", 
            RowBox[{
             SuperscriptBox["\[Pi]", 
              RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
             SuperscriptBox[
              RowBox[{"Log", "[", "2", "]"}], 
              RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}], ")"}]}],
          "-", 
         RowBox[{
          RowBox[{"298", "/", "9"}], " ", 
          SuperscriptBox["\[Pi]", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
          RowBox[{"Log", "[", "2", "]"}]}], "+", 
         RowBox[{"17101", " ", 
          RowBox[{
           SuperscriptBox["\[Pi]", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
           "810"}]}], "+", 
         RowBox[{"28259", "/", "5184"}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"\[Alpha]", "/", "\[Pi]"}], ")"}], 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "3"}]]}], "-", 
      RowBox[{"1.4", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"\[Alpha]", "/", "\[Pi]"}], ")"}], 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]]}]}], ")"}]}], 
   "]"}], "//", "Expand"}]], "Input",
 CellChangeTimes->{{3.500210523771667*^9, 3.500210524953134*^9}}],

Cell[BoxData[
 RowBox[{"2.`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.3183098861837907`", " ", "\[Alpha]"}], "-", 
  RowBox[{"0.06656375518818923`", " ", 
   SuperscriptBox["\[Alpha]", "2"]}], "+", 
  RowBox[{"0.07619369902209087`", " ", 
   SuperscriptBox["\[Alpha]", "3"]}], "-", 
  RowBox[{"0.02874475031311614`", " ", 
   SuperscriptBox["\[Alpha]", "4"]}]}]], "Output",
 CellChangeTimes->{3.413727006704218*^9, 3.413727163666749*^9, 
  3.4282517388067923`*^9, 3.4323175233028297`*^9, 3.500210525314413*^9}]
}, Open  ]]
}, Closed]],

Cell[BoxData[
 RowBox[{"2.", "+", 
  RowBox[{"0.32", " ", "\[Alpha]"}], "-", 
  RowBox[{"0.067", " ", 
   SuperscriptBox["\[Alpha]", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "+", 
  RowBox[{"0.076", " ", 
   SuperscriptBox["\[Alpha]", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "3"}]]}], "-", 
  RowBox[{"0.029", " ", 
   SuperscriptBox["\[Alpha]", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "4"}]]}], "+", 
  "\[Ellipsis]"}]], "Subsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 543 \[CenterDot] Bell's inequalities", "Subsection"], Cell[
     " (page 1064)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "\[Phi]", "]"}], " ", 
     RowBox[{"f", "[", 
      RowBox[{"\[Theta]", "-", "\[Phi]"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Phi]", ",", "0", ",", 
      RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}], "]"}], "/", 
  RowBox[{"(", 
   RowBox[{"2", " ", "\[Pi]"}], ")"}]}]], "Subsubsection"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{707, 845},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
CellContext->CellGroup,
Magnification->1.,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2011)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell["Style Definitions for NKS Webcode", "Subtitle"], 
      Cell[
      "Modify the definitions below to change the default appearance of all \
cells in a given style.  Make modifications to any definition using commands \
in the Format menu.", "Text"], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Names", "Section"], 
         Cell[
          StyleData[All, "Working"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 9], 
         Cell[
          StyleData[All, "Presentation"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{24, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 12], 
         Cell[
          StyleData[All, "Condensed"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{8, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 8], 
         Cell[
          StyleData[All, "Printout"], PageWidth -> PaperWidth, 
          CellLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 5, 
          PrivateFontOptions -> {"FontType" -> "Outline"}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Notebook Options", "Section"], 
         Cell[
         "The options defined for the style below will be used at the \
Notebook level.", "Text"], 
         Cell[
          StyleData["Notebook"], PageHeaders -> {{
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"], None, 
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"]}, {
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"], None, 
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"]}}, CellFrameLabelMargins -> 
          6, StyleMenuListing -> None]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], ShowCellBracket -> False, 
             CellMargins -> {{36, 6}, {20, 3}}, 
             CellGroupingRules -> {"TitleGrouping", 0}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
             "NaturalLanguage", CounterIncrements -> "Title", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontSize -> 
             36], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 40}}, LineSpacing -> {1, 0}, 
             FontSize -> 44], 
            Cell[
             StyleData["Title", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 8}}, FontSize -> 20], 
            Cell[
             StyleData["Title", "Printout"], 
             CellMargins -> {{2, 10}, {12, 30}}, FontSize -> 24]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleHeader"], CellFrame -> {{0, 0}, {0.25, 0}}, 
             ShowCellBracket -> False, 
             CellMargins -> {{36, Inherited}, {3, 25}}, 
             CellGroupingRules -> {"TitleGrouping", 20}, PageBreakBelow -> 
             False, CellFrameMargins -> {{8, 8}, {4, 8}}, 
             DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
             "NaturalLanguage", FontSize -> 14], 
            Cell[
             StyleData["TitleHeader", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 20}}, LineSpacing -> {1, 0}, 
             FontSize -> 24], 
            Cell[
             StyleData["TitleHeader", "Condensed"], 
             CellMargins -> {{8, 10}, {8, 8}}, FontSize -> 12], 
            Cell[
             StyleData["TitleHeader", "Printout"], 
             CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], 
             CellMargins -> {{12, Inherited}, {20, 15}}, 
             CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
             FontSize -> 24], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 20}}, LineSpacing -> {1, 0}, 
             FontSize -> 36], 
            Cell[
             StyleData["Subtitle", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 4}}, FontSize -> 14], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 18]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{0, 0}, {0.25, 0}}, 
             ShowCellBracket -> False, ShowGroupOpener -> True, 
             CellMargins -> {{36, 3}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, CellFrameMargins -> {{Inherited, Inherited}, {
               4, Inherited}}, CellFrameColor -> GrayLevel[0.6], 
             DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 18], 
            Cell[
             StyleData["Section", "Presentation"], 
             CellMargins -> {{40, 10}, {11, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 24], 
            Cell[
             StyleData["Section", "Condensed"], 
             CellMargins -> {{18, Inherited}, {6, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Section", "Printout"], 
             CellMargins -> {{13, 0}, {7, 22}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], ShowCellBracket -> False, 
             ShowGroupOpener -> True, CellMargins -> {{50, 6}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subsection", CounterAssignments -> {{"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 14, FontWeight -> "Bold", 
             GridBoxOptions -> {
              GridBoxAlignment -> {
                "Columns" -> {Left, {Right}}, "ColumnsIndexed" -> {}, 
                 "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
               GridBoxItemSize -> {"Columns" -> {
                   Scaled[0.8], {
                    Scaled[0.2]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
                 "RowsIndexed" -> {}}}], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{36, 10}, {11, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsection", "Condensed"], 
             CellMargins -> {{16, Inherited}, {6, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Subsection", "Printout"], 
             CellMargins -> {{9, 0}, {7, 22}}, FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellFrame -> 2, ShowCellBracket -> 
             False, ShowGroupOpener -> True, 
             CellMargins -> {{70, 2}, {8, 18}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             Evaluatable -> False, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, CellFrameColor -> RGBColor[1, 0.730007, 0.360006], 
             DefaultFormatType -> DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
             FormatType -> InputForm, ShowStringCharacters -> True, 
             NumberMarks -> True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1},
              CounterIncrements -> "Subsubsection", FontWeight -> "Bold", 
             Background -> RGBColor[1, 0.970001, 0.840009]], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{34, 10}, {11, 26}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Subsubsection", "Condensed"], 
             CellMargins -> {{17, Inherited}, {6, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Subsubsection", "Printout"], 
             CellMargins -> {{9, 0}, {7, 14}}, FontSize -> 11]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleCell1"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {20, 0}}, 
             CellFrameMargins -> {{-1, 0}, {-1, -1}}, Hyphenation -> True, 
             StyleMenuListing -> None, FontSize -> 2, Magnification -> 1, 
             Background -> GrayLevel[0.2]], 
            Cell[
             StyleData["TitleCell1", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, FontSize -> 16], 
            Cell[
             StyleData["TitleCell1", "Condensed"], 
             CellMargins -> {{8, 10}, {6, 6}}, FontSize -> 11], 
            Cell[
             StyleData["TitleCell1", "Printout"], 
             CellMargins -> {{2, 2}, {6, 6}}, TextJustification -> 0.5, 
             FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleCell2"], ShowCellBracket -> False, 
             CellMargins -> {{12, 10}, {-3, 7}}, Hyphenation -> True, 
             StyleMenuListing -> None, Background -> GrayLevel[0.98999]], 
            Cell[
             StyleData["TitleCell2", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, FontSize -> 16], 
            Cell[
             StyleData["TitleCell2", "Condensed"], 
             CellMargins -> {{8, 10}, {6, 6}}, FontSize -> 11], 
            Cell[
             StyleData["TitleCell2", "Printout"], 
             CellMargins -> {{2, 2}, {6, 6}}, TextJustification -> 0.5, 
             FontSize -> 10]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Body Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{80, 10}, {7, 7}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             Hyphenation -> True, LineSpacing -> {1, 3}, CounterIncrements -> 
             "Text"], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 16], 
            Cell[
             StyleData["Text", "Condensed"], CellMargins -> {{8, 10}, {6, 6}},
              LineSpacing -> {1, 1}, FontSize -> 11], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{2, 2}, {6, 6}}, 
             TextJustification -> 0.5, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SmallText"], CellMargins -> {{12, 10}, {6, 6}}, 
             DefaultNewInlineCellStyle -> "None", Hyphenation -> True, 
             LineSpacing -> {1, 3}, LanguageCategory -> "NaturalLanguage", 
             CounterIncrements -> "SmallText", FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Presentation"], 
             CellMargins -> {{24, 10}, {8, 8}}, LineSpacing -> {1, 5}, 
             FontSize -> 12], 
            Cell[
             StyleData["SmallText", "Condensed"], 
             CellMargins -> {{8, 10}, {5, 5}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Printout"], 
             CellMargins -> {{2, 2}, {5, 5}}, TextJustification -> 0.5, 
             FontSize -> 7]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input/Output", "Section"], 
         Cell[
         "The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names. Some attributes for these styles are actually set in FormatType Styles \
(in the last section of this stylesheet). ", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], CellMargins -> {{80, 10}, {5, 7}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             Evaluatable -> True, CellGroupingRules -> "InputGrouping", 
             CellHorizontalScrolling -> True, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, DefaultFormatType -> 
             DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
             FormatType -> InputForm, ShowStringCharacters -> True, 
             NumberMarks -> True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1},
              CounterIncrements -> "Input", FontWeight -> "Bold"], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellMargins -> {{72, Inherited}, {8, 10}}, LineSpacing -> {1, 0},
              FontSize -> 16], 
            Cell[
             StyleData["Input", "Condensed"], 
             CellMargins -> {{40, 10}, {2, 3}}, FontSize -> 11], 
            Cell[
             StyleData["Input", "Printout"], CellMargins -> {{39, 0}, {4, 6}},
              LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
           Closed]], 
         Cell[
          StyleData["InputOnly"], Evaluatable -> True, CellGroupingRules -> 
          "InputGrouping", CellHorizontalScrolling -> True, DefaultFormatType -> 
          DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", StyleMenuListing -> None, FontWeight -> 
          "Bold"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Output"], CellMargins -> {{80, 10}, {7, 5}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellEditDuplicate -> True, CellGroupingRules -> "OutputGrouping",
              CellHorizontalScrolling -> True, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, DefaultFormatType -> 
             DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Output"], 
            Cell[
             StyleData["Output", "Presentation"], 
             CellMargins -> {{72, Inherited}, {10, 8}}, LineSpacing -> {1, 0},
              FontSize -> 16], 
            Cell[
             StyleData["Output", "Condensed"], 
             CellMargins -> {{41, Inherited}, {3, 2}}, FontSize -> 11], 
            Cell[
             StyleData["Output", "Printout"], 
             CellMargins -> {{39, 0}, {6, 4}}, FontSize -> 9]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Message"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "OutputGrouping", PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Message", StyleMenuListing -> 
             None, FontSize -> 11, FontColor -> RGBColor[0, 0, 1]], 
            Cell[
             StyleData["Message", "Presentation"], 
             CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 0}, FontSize -> 16], 
            Cell[
             StyleData["Message", "Condensed"], 
             CellMargins -> {{41, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 11], 
            Cell[
             StyleData["Message", "Printout"], 
             CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 7, FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
             False, DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Print", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 0}, FontSize -> 16], 
            Cell[
             StyleData["Print", "Condensed"], 
             CellMargins -> {{41, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 11], 
            Cell[
             StyleData["Print", "Printout"], 
             CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Graphics"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, LanguageCategory -> 
             None, FormatType -> InputForm, CounterIncrements -> "Graphics", 
             ImageMargins -> {{43, Inherited}, {Inherited, 0}}, 
             StyleMenuListing -> None, FontFamily -> "Courier", FontSize -> 
             10], 
            Cell[
             StyleData["Graphics", "Presentation"], 
             ImageMargins -> {{62, Inherited}, {Inherited, 0}}], 
            Cell[
             StyleData["Graphics", "Condensed"], 
             ImageMargins -> {{38, Inherited}, {Inherited, 0}}, Magnification -> 
             0.6], 
            Cell[
             StyleData["Graphics", "Printout"], 
             ImageMargins -> {{30, Inherited}, {Inherited, 0}}, Magnification -> 
             0.8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], LanguageCategory -> None, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             9, FontColor -> RGBColor[0, 0, 1]], 
            Cell[
             StyleData["CellLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "Condensed"], FontSize -> 9], 
            Cell[
             StyleData["CellLabel", "Printout"], FontFamily -> "Courier", 
             FontSize -> 8, FontSlant -> "Italic", FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["FrameLabel"], LanguageCategory -> None, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             9], 
            Cell[
             StyleData["FrameLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["FrameLabel", "Condensed"], FontSize -> 9], 
            Cell[
             StyleData["FrameLabel", "Printout"], FontFamily -> "Courier", 
             FontSize -> 8, FontSlant -> "Italic", FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Inline Formatting", "Section"], 
         Cell[
         "These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.", "Text"], 
         Cell[
          StyleData["RM"], StyleMenuListing -> None, FontWeight -> "Plain", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["BF"], StyleMenuListing -> None, FontWeight -> "Bold"], 
         Cell[
          StyleData["IT"], StyleMenuListing -> None, FontSlant -> "Italic"], 
         Cell[
          StyleData["TR"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["TI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["TB"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["TBI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["MR"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["MO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["MB"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["MBO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["SR"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["SO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["SB"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["SBO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SO10"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 10, FontWeight -> "Plain", FontSlant -> 
             "Italic"], 
            Cell[
             StyleData["SO10", "Printout"], StyleMenuListing -> None, 
             FontFamily -> "Helvetica", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"], 
            Cell[
             StyleData["SO10", "EnhancedPrintout"], StyleMenuListing -> None, 
             FontFamily -> "Futura", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Hyperlink Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Hyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, 
             FontVariations -> {"Underline" -> True}, FontColor -> 
             RGBColor[0, 0, 1], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonNote -> 
               ButtonData}], 
            Cell[
             StyleData["Hyperlink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["Hyperlink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["Hyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headers and Footers", "Section"], 
         Cell[
          StyleData["Header"], CellMargins -> {{0, 0}, {4, 1}}, 
          DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
          "NaturalLanguage", StyleMenuListing -> None, FontSize -> 10, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["Footer"], CellMargins -> {{0, 0}, {0, 4}}, 
          DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
          "NaturalLanguage", StyleMenuListing -> None, FontSize -> 9, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Times", FontSize -> 10]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Palette Styles", "Section"], 
         Cell[
         "The cells below define styles that define standard ButtonFunctions, \
for use in palette buttons.", "Text"], 
         Cell[
          StyleData["Paste"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, After]}]& )}], 
         Cell[
          StyleData["Evaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["EvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionMove[
                FrontEnd`InputNotebook[], All, Cell, 1], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Placeholder Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making placeholder objects \
in palette templates.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Placeholder"], Placeholder -> True, StyleMenuListing -> 
             None, FontSlant -> "Italic", FontColor -> 
             RGBColor[0.890623, 0.864698, 0.384756], 
             TagBoxOptions -> {
              Editable -> False, Selectable -> False, StripWrapperBoxes -> 
               False}], 
            Cell[
             StyleData["Placeholder", "Presentation"]], 
            Cell[
             StyleData["Placeholder", "Condensed"]], 
            Cell[
             StyleData["Placeholder", "Printout"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["PrimaryPlaceholder"], StyleMenuListing -> None, 
             DrawHighlighted -> True, FontSlant -> "Italic", Background -> 
             RGBColor[0.912505, 0.891798, 0.507774], 
             TagBoxOptions -> {
              Editable -> False, Selectable -> False, StripWrapperBoxes -> 
               False}], 
            Cell[
             StyleData["PrimaryPlaceholder", "Presentation"]], 
            Cell[
             StyleData["PrimaryPlaceholder", "Condensed"]], 
            Cell[
             StyleData["PrimaryPlaceholder", "Printout"]]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["FormatType Styles", "Section"], 
         Cell[
         "The cells below define styles that are mixed in with the styles of \
most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options. This is particularly true of Input and Output.", "Text"], 
         Cell[
          StyleData["CellExpression"], PageWidth -> Infinity, 
          CellMargins -> {{6, Inherited}, {Inherited, Inherited}}, 
          ShowCellLabel -> False, ShowSpecialCharacters -> False, 
          AllowInlineCells -> False, Hyphenation -> False, 
          AutoItalicWords -> {}, StyleMenuListing -> None, FontFamily -> 
          "Courier", FontSize -> 12, Background -> GrayLevel[1]], 
         Cell[
          StyleData["InputForm"], InputAutoReplacements -> {}, 
          AllowInlineCells -> False, Hyphenation -> False, StyleMenuListing -> 
          None, FontFamily -> "Courier"], 
         Cell[
          StyleData["OutputForm"], PageWidth -> Infinity, TextAlignment -> 
          Left, LineSpacing -> {0.6, 1}, StyleMenuListing -> None, FontFamily -> 
          "Courier"], 
         Cell[
          StyleData["StandardForm"], 
          InputAutoReplacements -> {
           "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> 
            "\[LessEqual]", ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", 
            "==" -> "\[Equal]", Inherited}, LineSpacing -> {1.25, 0}, 
          StyleMenuListing -> None, FontFamily -> "Courier"], 
         Cell[
          StyleData["TraditionalForm"], 
          InputAutoReplacements -> {
           "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> 
            "\[LessEqual]", ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", 
            "==" -> "\[Equal]", Inherited}, LineSpacing -> {1.25, 0}, 
          SingleLetterItalics -> True, TraditionalFunctionNotation -> True, 
          DelimiterMatching -> None, StyleMenuListing -> None], 
         Cell[
         "The style defined below is mixed in to any cell that is in an \
inline cell within another.", "Text"], 
         Cell[
          StyleData["InlineCell"], LanguageCategory -> "Formula", ScriptLevel -> 
          1, StyleMenuListing -> None], 
         Cell[
          StyleData["InlineCellEditing"], StyleMenuListing -> None, 
          Background -> RGBColor[1, 0.749996, 0.8]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Automatic Styles", "Section"], 
         Cell[
         "The cells below define styles that are used to affect the display \
of certain types of objects in typeset expressions.  For example, \
\"UnmatchedBracket\" style defines how unmatched bracket, curly bracket, and \
parenthesis characters are displayed (typically by coloring them to make them \
stand out).", "Text"], 
         Cell[
          StyleData["UnmatchedBracket"], StyleMenuListing -> None, FontColor -> 
          RGBColor[0.760006, 0.330007, 0.8]]}, Closed]]}, Open]]}, Visible -> 
  False, FrontEndVersion -> 
  "8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, 2011)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 1845, 38, 25, "TitleCell1"],
Cell[3083, 70, 234, 7, 24, "Text"],
Cell[3320, 79, 42, 0, 46, "TitleHeader"],
Cell[CellGroupData[{
Cell[3387, 83, 36, 0, 59, "Title"],
Cell[CellGroupData[{
Cell[3448, 87, 46, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[3519, 91, 177, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[3721, 100, 1725, 47, 133, "Subsubsection"],
Cell[5449, 149, 1664, 45, 84, "Input"],
Cell[CellGroupData[{
Cell[7138, 198, 177, 5, 24, "Input"],
Cell[7318, 205, 267, 4, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7646, 216, 182, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[7853, 225, 1219, 38, 119, "Subsubsection"],
Cell[9075, 265, 1172, 35, 70, "Input"],
Cell[CellGroupData[{
Cell[10272, 304, 707, 18, 40, "Input"],
Cell[10982, 324, 764, 15, 122, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11807, 346, 154, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[11986, 354, 1085, 35, 104, "Subsubsection"],
Cell[CellGroupData[{
Cell[13096, 393, 1954, 55, 130, "Input"],
Cell[15053, 450, 1316, 34, 55, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16430, 491, 152, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[16607, 499, 832, 25, 74, "Subsubsection"],
Cell[CellGroupData[{
Cell[17464, 528, 1116, 34, 55, "Input"],
Cell[18583, 564, 2010, 65, 55, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[20666, 637, 63, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[20754, 641, 136, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[20915, 648, 914, 27, 84, "Subsubsection"],
Cell[21832, 677, 396, 11, 24, "Input"],
Cell[CellGroupData[{
Cell[22253, 692, 1237, 36, 70, "Input"],
Cell[23493, 730, 163, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[23717, 739, 161, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[23903, 747, 1494, 46, 130, "Subsubsection"],
Cell[25400, 795, 1178, 36, 66, "Input"],
Cell[CellGroupData[{
Cell[26603, 835, 1190, 34, 70, "Input"],
Cell[27796, 871, 558, 15, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[28415, 893, 145, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[28585, 900, 1135, 37, 119, "Subsubsection"],
Cell[29723, 939, 1084, 35, 85, "Input"],
Cell[CellGroupData[{
Cell[30832, 978, 1120, 33, 70, "Input"],
Cell[31955, 1013, 712, 14, 106, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[32728, 1034, 164, 4, 46, "Subsection"],
Cell[32895, 1040, 679, 22, 61, "Subsubsection"],
Cell[33577, 1064, 537, 19, 44, "Subsubsection"],
Cell[34117, 1085, 572, 20, 44, "Subsubsection"],
Cell[34692, 1107, 619, 20, 47, "Subsubsection"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[35360, 1133, 37, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[35422, 1137, 160, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[35607, 1145, 2324, 77, 149, "Subsubsection"],
Cell[37934, 1224, 2227, 74, 85, "Input"],
Cell[CellGroupData[{
Cell[40186, 1302, 373, 11, 24, "Input"],
Cell[40562, 1315, 4648, 68, 403, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[45271, 1390, 176, 5, 46, "Subsection"],
Cell[45450, 1397, 640, 21, 58, "Subsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[46127, 1423, 167, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[46319, 1431, 745, 23, 64, "Subsubsection"],
Cell[CellGroupData[{
Cell[47089, 1458, 901, 29, 50, "Input"],
Cell[47993, 1489, 170, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[48224, 1498, 164, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[48413, 1506, 847, 26, 89, "Subsubsection"],
Cell[49263, 1534, 365, 11, 24, "Input"],
Cell[CellGroupData[{
Cell[49653, 1549, 556, 17, 40, "Input"],
Cell[50212, 1568, 369, 9, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50618, 1582, 2578, 69, 115, "Input"],
Cell[53199, 1653, 891, 22, 55, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[54139, 1681, 610, 20, 60, "Subsubsection"],
Cell[54752, 1703, 602, 20, 40, "Input"],
Cell[CellGroupData[{
Cell[55379, 1727, 2621, 71, 115, "Input"],
Cell[58003, 1800, 192, 3, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[58256, 1810, 137, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[58418, 1817, 1545, 43, 146, "Subsubsection"],
Cell[CellGroupData[{
Cell[59988, 1864, 3861, 107, 226, "Input"],
Cell[63852, 1973, 1467, 40, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65356, 2018, 1897, 55, 70, "Input"],
Cell[67256, 2075, 1480, 28, 371, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[68773, 2108, 5096, 134, 272, "Input"],
Cell[73872, 2244, 8217, 244, 265, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[82126, 2493, 3830, 104, 145, "Input"],
Cell[85959, 2599, 18559, 321, 413, 9267, 166, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[104591, 2928, 43, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[104659, 2932, 136, 3, 46, "Subsection"],
Cell[104798, 2937, 1330, 39, 89, "Subsubsection"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[106177, 2982, 59, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[106261, 2986, 136, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[106422, 2993, 2008, 62, 209, "Subsubsection"],
Cell[108433, 3057, 1888, 58, 130, "Input"],
Cell[CellGroupData[{
Cell[110346, 3119, 276, 7, 24, "Input"],
Cell[110625, 3128, 517, 10, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[111203, 3145, 154, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[111382, 3153, 1081, 31, 104, "Subsubsection"],
Cell[CellGroupData[{
Cell[112488, 3188, 1979, 58, 130, "Input"],
Cell[114470, 3248, 705, 19, 24, "Output"]
}, Open  ]],
Cell[115190, 3270, 128, 5, 26, "Text"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[115367, 3281, 137, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[115529, 3288, 439, 15, 58, "Subsubsection"],
Cell[115971, 3305, 493, 16, 24, "Input"],
Cell[CellGroupData[{
Cell[116489, 3325, 159, 5, 24, "Input"],
Cell[116651, 3332, 161, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[116873, 3341, 154, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[117052, 3349, 1107, 30, 74, "Subsubsection"],
Cell[CellGroupData[{
Cell[118184, 3383, 3359, 97, 115, "Input"],
Cell[121546, 3482, 1000, 20, 130, "Output"]
}, Open  ]],
Cell[122561, 3505, 147, 5, 26, "Text"],
Cell[CellGroupData[{
Cell[122733, 3514, 779, 24, 55, "Input"],
Cell[123515, 3540, 223, 3, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[123799, 3550, 156, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[123980, 3558, 547, 16, 74, "Subsubsection"],
Cell[124530, 3576, 981, 29, 55, "Input"],
Cell[CellGroupData[{
Cell[125536, 3609, 261, 7, 24, "Input"],
Cell[125800, 3618, 251, 5, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[126100, 3629, 388, 12, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[126513, 3645, 694, 25, 40, "Input"],
Cell[127210, 3672, 295, 6, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[127578, 3686, 51, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[127654, 3690, 174, 5, 46, "Subsection"],
Cell[127831, 3697, 354, 7, 58, "Subsubsection"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[128234, 3710, 40, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[128299, 3714, 136, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[128460, 3721, 2185, 66, 164, "Subsubsection"],
Cell[130648, 3789, 774, 24, 55, "Input"],
Cell[CellGroupData[{
Cell[131447, 3817, 2191, 62, 100, "Input"],
Cell[133641, 3881, 1080, 29, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[134782, 3917, 137, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[134944, 3924, 747, 23, 89, "Subsubsection"],
Cell[135694, 3949, 739, 23, 55, "Input"],
Cell[CellGroupData[{
Cell[136458, 3976, 67, 1, 24, "Input"],
Cell[136528, 3979, 1076, 34, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[137677, 4021, 45, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[137747, 4025, 140, 3, 46, "Subsection"],
Cell[137890, 4030, 652, 21, 64, "Subsubsection"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[138591, 4057, 44, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[138660, 4061, 143, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[138828, 4068, 280, 8, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[139133, 4080, 750, 24, 40, "Input"],
Cell[139886, 4106, 1142, 38, 50, "Output"]
}, Open  ]],
Cell[141043, 4147, 51, 0, 26, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[141131, 4152, 506, 15, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[141662, 4171, 1979, 61, 106, "Input"],
Cell[143644, 4234, 186, 3, 41, "Output"]
}, Open  ]],
Cell[143845, 4240, 162, 3, 26, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[144044, 4248, 3104, 79, 160, "Subsubsection"],
Cell[CellGroupData[{
Cell[147173, 4331, 4807, 127, 202, "Input"],
Cell[151983, 4460, 2794, 89, 95, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[154826, 4555, 302, 8, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[155153, 4567, 5132, 135, 237, "Input"],
Cell[160288, 4704, 1142, 38, 50, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[161479, 4748, 206, 4, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[161710, 4756, 5356, 141, 237, "Input"],
Cell[167069, 4899, 163, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[167293, 4908, 159, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[167477, 4916, 3248, 101, 119, "Subsubsection"],
Cell[170728, 5019, 219, 7, 24, "Input"],
Cell[CellGroupData[{
Cell[170972, 5030, 7299, 206, 266, "Input"],
Cell[178274, 5238, 920, 29, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[179231, 5272, 270, 8, 24, "Input"],
Cell[179504, 5282, 15785, 265, 224, 8703, 148, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[195350, 5554, 164, 4, 46, "Subsection"],
Cell[195517, 5560, 232, 8, 64, "Subsubsection"],
Cell[195752, 5570, 988, 28, 50, "Subsubsection"],
Cell[196743, 5600, 1905, 56, 70, "Subsubsection"],
Cell[198651, 5658, 671, 21, 50, "Subsubsection"],
Cell[199325, 5681, 497, 15, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[199847, 5700, 3241, 95, 274, "Subsubsection"],
Cell[203091, 5797, 1609, 46, 100, "Input"],
Cell[CellGroupData[{
Cell[204725, 5847, 7576, 201, 376, "Input"],
Cell[212304, 6050, 417, 13, 44, "Output"]
}, Open  ]],
Cell[212736, 6066, 55, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[212816, 6070, 1914, 57, 70, "Input"],
Cell[214733, 6129, 429, 12, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[215223, 6148, 138, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[215386, 6155, 758, 22, 64, "Subsubsection"],
Cell[CellGroupData[{
Cell[216169, 6181, 6505, 175, 293, "Input"],
Cell[222677, 6358, 575, 17, 50, "Output"]
}, Open  ]],
Cell[223267, 6378, 255, 11, 26, "Text"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[223571, 6395, 167, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[223763, 6403, 1116, 34, 80, "Subsubsection"],
Cell[CellGroupData[{
Cell[224904, 6441, 6094, 162, 269, "Input"],
Cell[231001, 6605, 310, 7, 44, "Output"]
}, Open  ]],
Cell[231326, 6615, 212, 8, 26, "Text"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[231587, 6629, 168, 4, 46, "Subsection"],
Cell[231758, 6635, 382, 13, 58, "Subsubsection"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[232189, 6654, 36, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[232250, 6658, 166, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[232441, 6666, 3001, 83, 124, "Subsubsection"],
Cell[CellGroupData[{
Cell[235467, 6753, 3272, 87, 110, "Input"],
Cell[238742, 6842, 509, 10, 27, "Output"]
}, Open  ]]
}, Closed]],
Cell[239278, 6856, 474, 12, 47, "Subsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[239789, 6873, 169, 4, 46, "Subsection"],
Cell[239961, 6879, 396, 12, 58, "Subsubsection"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature Xu0wKdFBt@rX@Dg#6PhDpi4y *)
